//line php5/php5.y:2
package php5

import __yyfmt__ "fmt"

//line php5/php5.y:2
import (
	//    "fmt"
	//    "strings"
	"strconv"

	"github.com/z7zmey/php-parser/node"
	"github.com/z7zmey/php-parser/node/expr"
	"github.com/z7zmey/php-parser/node/expr/assign_op"
	"github.com/z7zmey/php-parser/node/name"
	"github.com/z7zmey/php-parser/node/scalar"
	"github.com/z7zmey/php-parser/node/stmt"
	"github.com/z7zmey/php-parser/token"

//    "github.com/z7zmey/php-parser/node/expr/binary_op"
//    "github.com/z7zmey/php-parser/node/expr/cast"
)

//line php5/php5.y:22
type yySymType struct {
	yys   int
	node  node.Node
	token token.Token
	//    boolWithToken boolWithToken
	list                    []node.Node
	foreachVariable         foreachVariable
	nodesWithEndToken       *nodesWithEndToken
	simpleIndirectReference simpleIndirectReference
	objectPropertyList      []objectProperty
	//    str string
}

const T_INCLUDE = 57346
const T_INCLUDE_ONCE = 57347
const T_EXIT = 57348
const T_IF = 57349
const T_LNUMBER = 57350
const T_DNUMBER = 57351
const T_STRING = 57352
const T_STRING_VARNAME = 57353
const T_VARIABLE = 57354
const T_NUM_STRING = 57355
const T_INLINE_HTML = 57356
const T_CHARACTER = 57357
const T_BAD_CHARACTER = 57358
const T_ENCAPSED_AND_WHITESPACE = 57359
const T_CONSTANT_ENCAPSED_STRING = 57360
const T_ECHO = 57361
const T_DO = 57362
const T_WHILE = 57363
const T_ENDWHILE = 57364
const T_FOR = 57365
const T_ENDFOR = 57366
const T_FOREACH = 57367
const T_ENDFOREACH = 57368
const T_DECLARE = 57369
const T_ENDDECLARE = 57370
const T_AS = 57371
const T_SWITCH = 57372
const T_ENDSWITCH = 57373
const T_CASE = 57374
const T_DEFAULT = 57375
const T_BREAK = 57376
const T_CONTINUE = 57377
const T_GOTO = 57378
const T_FUNCTION = 57379
const T_CONST = 57380
const T_RETURN = 57381
const T_TRY = 57382
const T_CATCH = 57383
const T_FINALLY = 57384
const T_THROW = 57385
const T_USE = 57386
const T_INSTEADOF = 57387
const T_GLOBAL = 57388
const T_VAR = 57389
const T_UNSET = 57390
const T_ISSET = 57391
const T_EMPTY = 57392
const T_HALT_COMPILER = 57393
const T_CLASS = 57394
const T_TRAIT = 57395
const T_INTERFACE = 57396
const T_EXTENDS = 57397
const T_IMPLEMENTS = 57398
const T_OBJECT_OPERATOR = 57399
const T_DOUBLE_ARROW = 57400
const T_LIST = 57401
const T_ARRAY = 57402
const T_CALLABLE = 57403
const T_CLASS_C = 57404
const T_TRAIT_C = 57405
const T_METHOD_C = 57406
const T_FUNC_C = 57407
const T_LINE = 57408
const T_FILE = 57409
const T_COMMENT = 57410
const T_DOC_COMMENT = 57411
const T_OPEN_TAG = 57412
const T_OPEN_TAG_WITH_ECHO = 57413
const T_CLOSE_TAG = 57414
const T_WHITESPACE = 57415
const T_START_HEREDOC = 57416
const T_END_HEREDOC = 57417
const T_DOLLAR_OPEN_CURLY_BRACES = 57418
const T_CURLY_OPEN = 57419
const T_PAAMAYIM_NEKUDOTAYIM = 57420
const T_NAMESPACE = 57421
const T_NS_C = 57422
const T_DIR = 57423
const T_NS_SEPARATOR = 57424
const T_ELLIPSIS = 57425
const T_EVAL = 57426
const T_REQUIRE = 57427
const T_REQUIRE_ONCE = 57428
const T_LOGICAL_OR = 57429
const T_LOGICAL_XOR = 57430
const T_LOGICAL_AND = 57431
const T_INSTANCEOF = 57432
const T_NEW = 57433
const T_CLONE = 57434
const T_ELSEIF = 57435
const T_ELSE = 57436
const T_ENDIF = 57437
const T_PRINT = 57438
const T_YIELD = 57439
const T_STATIC = 57440
const T_ABSTRACT = 57441
const T_FINAL = 57442
const T_PRIVATE = 57443
const T_PROTECTED = 57444
const T_PUBLIC = 57445
const T_INC = 57446
const T_DEC = 57447
const T_YIELD_FROM = 57448
const T_INT_CAST = 57449
const T_DOUBLE_CAST = 57450
const T_STRING_CAST = 57451
const T_ARRAY_CAST = 57452
const T_OBJECT_CAST = 57453
const T_BOOL_CAST = 57454
const T_UNSET_CAST = 57455
const T_COALESCE = 57456
const T_SPACESHIP = 57457
const T_NOELSE = 57458
const T_PLUS_EQUAL = 57459
const T_MINUS_EQUAL = 57460
const T_MUL_EQUAL = 57461
const T_DIV_EQUAL = 57462
const T_CONCAT_EQUAL = 57463
const T_MOD_EQUAL = 57464
const T_AND_EQUAL = 57465
const T_OR_EQUAL = 57466
const T_XOR_EQUAL = 57467
const T_SL_EQUAL = 57468
const T_SR_EQUAL = 57469
const T_POW_EQUAL = 57470
const T_BOOLEAN_OR = 57471
const T_BOOLEAN_AND = 57472
const T_IS_EQUAL = 57473
const T_IS_NOT_EQUAL = 57474
const T_IS_IDENTICAL = 57475
const T_IS_NOT_IDENTICAL = 57476
const T_IS_SMALLER_OR_EQUAL = 57477
const T_IS_GREATER_OR_EQUAL = 57478
const T_SL = 57479
const T_SR = 57480
const T_POW = 57481

var yyToknames = [...]string{
	"$end",
	"error",
	"$unk",
	"T_INCLUDE",
	"T_INCLUDE_ONCE",
	"T_EXIT",
	"T_IF",
	"T_LNUMBER",
	"T_DNUMBER",
	"T_STRING",
	"T_STRING_VARNAME",
	"T_VARIABLE",
	"T_NUM_STRING",
	"T_INLINE_HTML",
	"T_CHARACTER",
	"T_BAD_CHARACTER",
	"T_ENCAPSED_AND_WHITESPACE",
	"T_CONSTANT_ENCAPSED_STRING",
	"T_ECHO",
	"T_DO",
	"T_WHILE",
	"T_ENDWHILE",
	"T_FOR",
	"T_ENDFOR",
	"T_FOREACH",
	"T_ENDFOREACH",
	"T_DECLARE",
	"T_ENDDECLARE",
	"T_AS",
	"T_SWITCH",
	"T_ENDSWITCH",
	"T_CASE",
	"T_DEFAULT",
	"T_BREAK",
	"T_CONTINUE",
	"T_GOTO",
	"T_FUNCTION",
	"T_CONST",
	"T_RETURN",
	"T_TRY",
	"T_CATCH",
	"T_FINALLY",
	"T_THROW",
	"T_USE",
	"T_INSTEADOF",
	"T_GLOBAL",
	"T_VAR",
	"T_UNSET",
	"T_ISSET",
	"T_EMPTY",
	"T_HALT_COMPILER",
	"T_CLASS",
	"T_TRAIT",
	"T_INTERFACE",
	"T_EXTENDS",
	"T_IMPLEMENTS",
	"T_OBJECT_OPERATOR",
	"T_DOUBLE_ARROW",
	"T_LIST",
	"T_ARRAY",
	"T_CALLABLE",
	"T_CLASS_C",
	"T_TRAIT_C",
	"T_METHOD_C",
	"T_FUNC_C",
	"T_LINE",
	"T_FILE",
	"T_COMMENT",
	"T_DOC_COMMENT",
	"T_OPEN_TAG",
	"T_OPEN_TAG_WITH_ECHO",
	"T_CLOSE_TAG",
	"T_WHITESPACE",
	"T_START_HEREDOC",
	"T_END_HEREDOC",
	"T_DOLLAR_OPEN_CURLY_BRACES",
	"T_CURLY_OPEN",
	"T_PAAMAYIM_NEKUDOTAYIM",
	"T_NAMESPACE",
	"T_NS_C",
	"T_DIR",
	"T_NS_SEPARATOR",
	"T_ELLIPSIS",
	"T_EVAL",
	"T_REQUIRE",
	"T_REQUIRE_ONCE",
	"T_LOGICAL_OR",
	"T_LOGICAL_XOR",
	"T_LOGICAL_AND",
	"T_INSTANCEOF",
	"T_NEW",
	"T_CLONE",
	"T_ELSEIF",
	"T_ELSE",
	"T_ENDIF",
	"T_PRINT",
	"T_YIELD",
	"T_STATIC",
	"T_ABSTRACT",
	"T_FINAL",
	"T_PRIVATE",
	"T_PROTECTED",
	"T_PUBLIC",
	"T_INC",
	"T_DEC",
	"T_YIELD_FROM",
	"T_INT_CAST",
	"T_DOUBLE_CAST",
	"T_STRING_CAST",
	"T_ARRAY_CAST",
	"T_OBJECT_CAST",
	"T_BOOL_CAST",
	"T_UNSET_CAST",
	"T_COALESCE",
	"T_SPACESHIP",
	"T_NOELSE",
	"'\"'",
	"'`'",
	"'{'",
	"'}'",
	"';'",
	"':'",
	"'('",
	"')'",
	"'['",
	"']'",
	"'?'",
	"'&'",
	"'-'",
	"'+'",
	"'!'",
	"'~'",
	"'@'",
	"'$'",
	"','",
	"'='",
	"T_PLUS_EQUAL",
	"T_MINUS_EQUAL",
	"T_MUL_EQUAL",
	"T_DIV_EQUAL",
	"T_CONCAT_EQUAL",
	"T_MOD_EQUAL",
	"T_AND_EQUAL",
	"T_OR_EQUAL",
	"T_XOR_EQUAL",
	"T_SL_EQUAL",
	"T_SR_EQUAL",
	"T_POW_EQUAL",
	"T_BOOLEAN_OR",
	"T_BOOLEAN_AND",
	"'|'",
	"'^'",
	"T_IS_EQUAL",
	"T_IS_NOT_EQUAL",
	"T_IS_IDENTICAL",
	"T_IS_NOT_IDENTICAL",
	"'<'",
	"T_IS_SMALLER_OR_EQUAL",
	"'>'",
	"T_IS_GREATER_OR_EQUAL",
	"T_SL",
	"T_SR",
	"'.'",
	"'*'",
	"'/'",
	"'%'",
	"T_POW",
}
var yyStatenames = [...]string{}

const yyEofCode = 1
const yyErrCode = 2
const yyInitialStackSize = 16

//line php5/php5.y:2061

//line yacctab:1
var yyExca = [...]int{
	-1, 1,
	1, -1,
	-2, 0,
	-1, 50,
	104, 485,
	105, 485,
	-2, 483,
	-1, 101,
	78, 382,
	123, 365,
	-2, 461,
	-1, 113,
	78, 503,
	123, 499,
	-2, 509,
	-1, 153,
	104, 485,
	105, 485,
	-2, 483,
	-1, 203,
	121, 348,
	124, 348,
	-2, 480,
	-1, 204,
	104, 485,
	105, 485,
	121, 349,
	124, 349,
	-2, 483,
	-1, 227,
	123, 365,
	-2, 382,
	-1, 270,
	78, 503,
	-2, 509,
	-1, 296,
	78, 384,
	123, 369,
	-2, 463,
	-1, 300,
	123, 500,
	-2, 510,
	-1, 309,
	78, 383,
	123, 367,
	-2, 462,
	-1, 371,
	153, 0,
	154, 0,
	155, 0,
	156, 0,
	-2, 309,
	-1, 372,
	153, 0,
	154, 0,
	155, 0,
	156, 0,
	-2, 310,
	-1, 373,
	153, 0,
	154, 0,
	155, 0,
	156, 0,
	-2, 311,
	-1, 374,
	153, 0,
	154, 0,
	155, 0,
	156, 0,
	-2, 312,
	-1, 375,
	157, 0,
	158, 0,
	159, 0,
	160, 0,
	-2, 313,
	-1, 376,
	157, 0,
	158, 0,
	159, 0,
	160, 0,
	-2, 314,
	-1, 377,
	157, 0,
	158, 0,
	159, 0,
	160, 0,
	-2, 315,
	-1, 378,
	157, 0,
	158, 0,
	159, 0,
	160, 0,
	-2, 316,
	-1, 385,
	104, 485,
	105, 485,
	-2, 483,
	-1, 416,
	123, 369,
	-2, 384,
	-1, 436,
	123, 494,
	-2, 498,
	-1, 455,
	104, 485,
	105, 485,
	124, 566,
	135, 566,
	-2, 483,
	-1, 456,
	124, 567,
	135, 567,
	-2, 480,
	-1, 457,
	104, 485,
	105, 485,
	-2, 483,
	-1, 478,
	123, 373,
	-2, 501,
	-1, 479,
	123, 524,
	-2, 568,
	-1, 484,
	123, 377,
	-2, 502,
	-1, 485,
	123, 524,
	-2, 569,
	-1, 508,
	78, 382,
	-2, 419,
	-1, 554,
	124, 167,
	-2, 172,
	-1, 562,
	121, 350,
	124, 350,
	-2, 480,
	-1, 563,
	104, 485,
	105, 485,
	121, 351,
	124, 351,
	-2, 483,
	-1, 569,
	123, 367,
	-2, 383,
	-1, 570,
	57, 259,
	125, 259,
	-2, 258,
	-1, 593,
	124, 181,
	135, 181,
	-2, 480,
	-1, 594,
	104, 485,
	105, 485,
	124, 182,
	135, 182,
	-2, 483,
	-1, 661,
	78, 384,
	-2, 421,
	-1, 688,
	124, 167,
	-2, 172,
	-1, 703,
	124, 167,
	-2, 172,
	-1, 767,
	153, 0,
	154, 0,
	155, 0,
	156, 0,
	-2, 447,
	-1, 768,
	153, 0,
	154, 0,
	155, 0,
	156, 0,
	-2, 448,
	-1, 769,
	153, 0,
	154, 0,
	155, 0,
	156, 0,
	-2, 449,
	-1, 770,
	153, 0,
	154, 0,
	155, 0,
	156, 0,
	-2, 450,
	-1, 771,
	157, 0,
	158, 0,
	159, 0,
	160, 0,
	-2, 451,
	-1, 772,
	157, 0,
	158, 0,
	159, 0,
	160, 0,
	-2, 452,
	-1, 773,
	157, 0,
	158, 0,
	159, 0,
	160, 0,
	-2, 453,
	-1, 774,
	157, 0,
	158, 0,
	159, 0,
	160, 0,
	-2, 454,
	-1, 777,
	78, 383,
	-2, 420,
	-1, 828,
	57, 254,
	-2, 256,
	-1, 887,
	37, 228,
	-2, 225,
	-1, 948,
	123, 494,
	-2, 498,
	-1, 1010,
	29, 216,
	-2, 4,
	-1, 1036,
	124, 167,
	-2, 172,
	-1, 1040,
	121, 220,
	-2, 222,
}

const yyPrivate = 57344

const yyLast = 8321

var yyAct = [...]int{

	101, 1061, 1004, 581, 704, 334, 136, 891, 831, 122,
	130, 829, 326, 710, 444, 4, 199, 60, 923, 858,
	470, 875, 146, 822, 117, 38, 693, 706, 436, 411,
	802, 592, 663, 682, 113, 137, 412, 97, 467, 142,
	317, 263, 424, 383, 25, 328, 313, 439, 6, 157,
	161, 716, 129, 2, 327, 227, 227, 5, 288, 43,
	178, 454, 633, 42, 1035, 976, 479, 975, 120, 998,
	997, 995, 972, 191, 967, 442, 991, 120, 938, 633,
	266, 974, 926, 257, 152, 996, 504, 992, 826, 250,
	1069, 871, 939, 567, 733, 719, 700, 191, 687, 567,
	1046, 203, 90, 296, 637, 734, 633, 240, 480, 641,
	635, 634, 191, 503, 270, 351, 698, 269, 636, 638,
	639, 637, 485, 323, 120, 309, 633, 699, 314, 318,
	635, 634, 321, 642, 653, 654, 651, 652, 655, 657,
	656, 658, 643, 644, 645, 636, 638, 639, 637, 300,
	178, 176, 175, 333, 823, 817, 781, 332, 601, 38,
	227, 114, 530, 339, 645, 636, 638, 639, 637, 602,
	161, 177, 179, 180, 178, 443, 633, 308, 350, 641,
	635, 634, 566, 240, 443, 174, 177, 179, 180, 178,
	119, 546, 266, 567, 227, 120, 120, 468, 1016, 119,
	200, 977, 547, 388, 653, 654, 651, 652, 655, 657,
	656, 658, 643, 644, 645, 636, 638, 639, 637, 947,
	497, 493, 227, 345, 907, 352, 270, 906, 348, 269,
	416, 443, 837, 379, 498, 494, 343, 310, 125, 353,
	120, 271, 349, 132, 633, 832, 119, 641, 635, 634,
	344, 311, 965, 779, 386, 724, 618, 133, 299, 614,
	613, 227, 633, 900, 298, 158, 635, 634, 607, 449,
	640, 642, 653, 654, 651, 652, 655, 657, 656, 658,
	643, 644, 645, 636, 638, 639, 637, 438, 606, 586,
	572, 571, 227, 466, 240, 585, 426, 440, 643, 644,
	645, 636, 638, 639, 637, 728, 451, 228, 1065, 191,
	229, 1050, 130, 830, 1017, 727, 496, 119, 301, 565,
	500, 4, 478, 460, 508, 432, 232, 484, 579, 464,
	293, 38, 440, 456, 458, 472, 473, 440, 292, 428,
	429, 481, 286, 525, 1015, 477, 465, 172, 176, 175,
	483, 280, 508, 271, 6, 253, 252, 191, 983, 874,
	869, 489, 119, 5, 492, 429, 428, 428, 966, 429,
	171, 173, 185, 186, 183, 184, 187, 188, 189, 190,
	181, 182, 174, 177, 179, 180, 178, 159, 866, 864,
	847, 1052, 1036, 431, 534, 557, 176, 175, 816, 227,
	735, 125, 125, 120, 120, 673, 608, 604, 556, 421,
	419, 38, 305, 138, 934, 446, 569, 860, 859, 427,
	814, 805, 703, 688, 441, 662, 506, 568, 181, 182,
	174, 177, 179, 180, 178, 554, 532, 524, 538, 533,
	1025, 387, 478, 484, 294, 287, 277, 274, 273, 598,
	696, 414, 440, 440, 506, 249, 562, 221, 125, 441,
	120, 194, 193, 141, 441, 477, 483, 121, 981, 953,
	228, 228, 597, 229, 229, 438, 587, 600, 1056, 599,
	1055, 307, 440, 306, 125, 440, 120, 440, 381, 232,
	232, 591, 331, 794, 795, 314, 794, 795, 134, 318,
	1024, 1014, 4, 980, 508, 959, 593, 921, 103, 917,
	862, 661, 38, 508, 856, 855, 786, 691, 445, 695,
	508, 508, 508, 508, 508, 119, 119, 228, 685, 683,
	229, 529, 488, 675, 390, 6, 341, 155, 1022, 628,
	677, 625, 905, 580, 5, 1071, 232, 1043, 227, 227,
	227, 957, 933, 228, 932, 557, 229, 125, 930, 819,
	714, 715, 557, 230, 230, 548, 266, 684, 227, 227,
	304, 196, 232, 223, 224, 717, 697, 951, 879, 441,
	441, 861, 119, 1028, 793, 505, 915, 916, 264, 294,
	632, 692, 713, 346, 851, 852, 227, 660, 721, 256,
	270, 448, 415, 269, 720, 258, 506, 718, 119, 441,
	430, 227, 441, 227, 441, 506, 736, 124, 125, 667,
	452, 447, 506, 506, 506, 506, 506, 125, 730, 124,
	418, 741, 417, 742, 508, 508, 508, 508, 508, 508,
	508, 508, 508, 508, 508, 508, 508, 508, 508, 508,
	508, 508, 508, 508, 508, 508, 508, 508, 508, 508,
	508, 777, 456, 508, 739, 630, 123, 627, 230, 259,
	260, 462, 208, 209, 210, 211, 213, 214, 215, 216,
	217, 218, 219, 220, 212, 789, 791, 558, 508, 557,
	559, 281, 285, 800, 302, 778, 227, 790, 38, 319,
	264, 508, 230, 780, 557, 297, 125, 125, 815, 61,
	461, 808, 1010, 557, 821, 502, 125, 796, 294, 798,
	294, 803, 499, 832, 818, 841, 717, 271, 806, 125,
	230, 120, 495, 127, 128, 834, 506, 506, 506, 506,
	506, 506, 506, 506, 506, 506, 506, 506, 506, 506,
	506, 506, 506, 506, 506, 506, 506, 506, 506, 506,
	506, 506, 506, 666, 820, 506, 839, 320, 294, 230,
	835, 836, 238, 450, 799, 294, 508, 125, 131, 315,
	262, 558, 508, 508, 559, 294, 53, 811, 131, 712,
	506, 258, 561, 207, 593, 394, 430, 206, 267, 1026,
	230, 268, 876, 506, 227, 813, 227, 1062, 162, 702,
	783, 44, 38, 1027, 475, 549, 870, 232, 557, 1068,
	294, 284, 486, 528, 557, 1034, 1018, 708, 709, 993,
	867, 988, 518, 44, 969, 868, 935, 898, 902, 899,
	536, 225, 233, 880, 227, 877, 558, 508, 1047, 559,
	1041, 258, 784, 119, 463, 259, 260, 438, 258, 999,
	518, 904, 970, 283, 909, 913, 438, 440, 942, 912,
	908, 125, 508, 903, 557, 810, 440, 919, 506, 924,
	258, 748, 924, 747, 506, 506, 922, 931, 927, 258,
	631, 557, 629, 38, 430, 941, 895, 896, 897, 894,
	893, 892, 626, 115, 944, 258, 577, 230, 551, 940,
	282, 501, 508, 946, 462, 259, 260, 863, 794, 795,
	474, 284, 259, 260, 954, 391, 322, 956, 797, 794,
	795, 202, 958, 952, 584, 201, 258, 960, 198, 962,
	963, 255, 135, 945, 259, 260, 582, 583, 574, 506,
	576, 575, 978, 259, 260, 902, 948, 971, 929, 726,
	982, 664, 984, 979, 985, 515, 303, 621, 508, 259,
	260, 620, 617, 508, 506, 557, 616, 557, 476, 38,
	491, 38, 295, 38, 964, 38, 38, 537, 1001, 392,
	1009, 254, 75, 74, 441, 615, 251, 248, 508, 508,
	259, 260, 545, 441, 557, 38, 1023, 38, 38, 801,
	624, 380, 518, 570, 506, 357, 356, 1009, 1029, 355,
	354, 518, 824, 723, 722, 1031, 901, 557, 518, 518,
	518, 518, 518, 827, 828, 1040, 508, 557, 681, 1042,
	1038, 1045, 335, 887, 1039, 1008, 1037, 557, 1007, 1006,
	1049, 1005, 38, 1003, 994, 1002, 230, 230, 230, 1000,
	1051, 973, 1064, 1058, 943, 38, 557, 1054, 1021, 886,
	506, 885, 38, 884, 264, 506, 230, 230, 1072, 1066,
	968, 38, 937, 883, 1019, 1020, 882, 590, 707, 705,
	1011, 950, 633, 920, 955, 38, 635, 634, 665, 560,
	506, 506, 395, 729, 230, 668, 669, 670, 671, 672,
	40, 711, 555, 393, 39, 553, 878, 14, 13, 230,
	1070, 230, 1044, 1067, 655, 657, 656, 658, 643, 644,
	645, 636, 638, 639, 637, 743, 744, 1060, 506, 745,
	746, 872, 518, 518, 518, 518, 518, 518, 518, 518,
	518, 518, 518, 518, 518, 518, 518, 518, 518, 518,
	518, 518, 518, 518, 518, 518, 518, 518, 518, 603,
	1059, 518, 1057, 1033, 961, 873, 812, 701, 807, 550,
	195, 208, 209, 210, 211, 213, 214, 215, 216, 217,
	218, 219, 220, 212, 382, 163, 518, 531, 337, 1030,
	1012, 918, 680, 679, 230, 140, 676, 527, 139, 518,
	914, 853, 116, 788, 526, 850, 787, 674, 330, 749,
	750, 751, 752, 753, 754, 755, 756, 757, 758, 759,
	760, 761, 762, 763, 764, 765, 766, 767, 768, 769,
	770, 771, 772, 773, 774, 776, 10, 1, 665, 208,
	209, 210, 211, 213, 214, 215, 216, 217, 218, 219,
	220, 212, 840, 738, 437, 289, 453, 231, 231, 160,
	156, 316, 312, 30, 126, 265, 63, 88, 573, 89,
	507, 100, 73, 11, 518, 324, 99, 98, 78, 118,
	518, 518, 272, 513, 3, 0, 144, 150, 154, 0,
	0, 0, 164, 0, 0, 0, 0, 0, 0, 0,
	197, 0, 230, 0, 230, 205, 0, 0, 0, 0,
	0, 0, 0, 0, 0, 0, 222, 0, 0, 0,
	234, 235, 236, 237, 0, 0, 239, 0, 241, 242,
	243, 244, 245, 246, 247, 0, 0, 0, 0, 0,
	0, 261, 230, 0, 0, 518, 275, 276, 0, 278,
	279, 845, 0, 0, 0, 0, 342, 848, 849, 0,
	290, 0, 231, 0, 50, 0, 0, 0, 0, 0,
	518, 208, 209, 210, 211, 213, 214, 215, 216, 217,
	218, 219, 220, 212, 0, 0, 0, 0, 0, 153,
	0, 0, 0, 0, 272, 0, 231, 0, 0, 0,
	0, 0, 239, 0, 0, 336, 204, 0, 0, 0,
	518, 0, 0, 0, 0, 0, 0, 0, 0, 226,
	226, 0, 910, 0, 231, 0, 0, 0, 0, 0,
	0, 0, 0, 0, 358, 359, 360, 361, 362, 363,
	364, 365, 366, 367, 368, 369, 370, 371, 372, 373,
	374, 375, 376, 377, 378, 0, 0, 0, 154, 0,
	0, 0, 0, 231, 0, 0, 518, 0, 0, 0,
	0, 518, 397, 399, 400, 401, 402, 403, 404, 405,
	406, 407, 408, 409, 410, 0, 0, 949, 0, 0,
	0, 0, 0, 0, 231, 0, 518, 518, 0, 0,
	0, 0, 0, 0, 0, 0, 0, 191, 0, 0,
	0, 0, 0, 239, 0, 423, 425, 425, 0, 0,
	0, 191, 0, 433, 347, 0, 0, 0, 0, 0,
	0, 0, 0, 0, 518, 0, 0, 154, 154, 0,
	0, 459, 0, 0, 425, 172, 176, 175, 0, 0,
	425, 290, 0, 0, 0, 0, 425, 425, 384, 385,
	176, 175, 425, 482, 0, 0, 0, 0, 487, 173,
	185, 186, 183, 184, 187, 188, 189, 190, 181, 182,
	174, 177, 179, 180, 178, 0, 413, 0, 187, 188,
	189, 190, 181, 182, 174, 177, 179, 180, 178, 0,
	0, 231, 0, 0, 0, 0, 168, 170, 169, 191,
	535, 0, 0, 0, 0, 0, 0, 539, 540, 541,
	542, 543, 911, 0, 0, 435, 0, 0, 0, 0,
	0, 0, 0, 0, 0, 0, 0, 0, 455, 457,
	860, 859, 0, 0, 544, 0, 192, 172, 176, 175,
	0, 648, 646, 647, 0, 0, 471, 0, 0, 0,
	154, 0, 0, 0, 0, 0, 0, 0, 166, 167,
	171, 173, 185, 186, 183, 184, 187, 188, 189, 190,
	181, 182, 174, 177, 179, 180, 178, 0, 0, 633,
	0, 659, 641, 635, 634, 0, 0, 0, 0, 0,
	0, 0, 0, 0, 0, 0, 0, 588, 0, 191,
	154, 0, 0, 650, 649, 640, 642, 653, 654, 651,
	652, 655, 657, 656, 658, 643, 644, 645, 636, 638,
	639, 637, 609, 611, 0, 0, 0, 0, 0, 0,
	0, 0, 0, 0, 0, 0, 0, 172, 176, 175,
	231, 231, 231, 0, 648, 646, 647, 0, 0, 0,
	0, 563, 0, 564, 0, 0, 0, 0, 272, 0,
	231, 231, 185, 186, 183, 184, 187, 188, 189, 190,
	181, 182, 174, 177, 179, 180, 178, 0, 0, 846,
	0, 0, 633, 0, 659, 641, 635, 634, 231, 0,
	0, 0, 0, 0, 0, 168, 170, 169, 191, 690,
	0, 594, 0, 231, 0, 231, 650, 649, 640, 642,
	653, 654, 651, 652, 655, 657, 656, 658, 643, 644,
	645, 636, 638, 639, 637, 0, 0, 0, 838, 0,
	0, 0, 0, 725, 0, 192, 172, 176, 175, 425,
	731, 0, 0, 0, 0, 0, 0, 0, 0, 0,
	737, 0, 0, 0, 0, 0, 154, 166, 167, 171,
	173, 185, 186, 183, 184, 187, 188, 189, 190, 181,
	182, 174, 177, 179, 180, 178, 0, 633, 0, 0,
	889, 635, 634, 0, 0, 0, 890, 0, 231, 888,
	0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
	0, 0, 384, 694, 694, 653, 654, 651, 652, 655,
	657, 656, 658, 643, 644, 645, 636, 638, 639, 637,
	0, 0, 413, 413, 0, 0, 0, 0, 0, 0,
	0, 0, 0, 0, 336, 792, 0, 648, 646, 647,
	895, 896, 897, 894, 893, 892, 0, 0, 0, 0,
	471, 0, 0, 0, 0, 0, 0, 455, 0, 0,
	889, 0, 936, 0, 0, 471, 890, 471, 0, 888,
	0, 0, 0, 825, 0, 633, 844, 659, 641, 635,
	634, 425, 425, 0, 0, 0, 0, 0, 154, 0,
	0, 0, 0, 0, 842, 0, 231, 0, 231, 650,
	649, 640, 642, 653, 654, 651, 652, 655, 657, 656,
	658, 643, 644, 645, 636, 638, 639, 637, 0, 0,
	895, 896, 897, 894, 893, 892, 0, 0, 168, 170,
	169, 191, 0, 0, 0, 0, 231, 0, 0, 0,
	0, 0, 881, 0, 0, 0, 0, 0, 857, 0,
	804, 0, 0, 0, 0, 865, 0, 0, 0, 0,
	0, 0, 0, 0, 0, 0, 0, 833, 192, 172,
	176, 175, 648, 646, 647, 0, 0, 0, 0, 0,
	0, 0, 0, 0, 425, 0, 0, 0, 0, 594,
	166, 167, 171, 173, 185, 186, 183, 184, 187, 188,
	189, 190, 181, 182, 174, 177, 179, 180, 178, 785,
	633, 0, 659, 641, 635, 634, 0, 0, 0, 0,
	0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
	0, 0, 0, 0, 650, 649, 640, 642, 653, 654,
	651, 652, 655, 657, 656, 658, 643, 644, 645, 636,
	638, 639, 637, 0, 425, 0, 0, 0, 694, 0,
	413, 82, 83, 71, 17, 104, 105, 12, 87, 120,
	0, 29, 336, 0, 0, 94, 28, 19, 18, 0,
	20, 0, 32, 0, 33, 0, 0, 21, 0, 0,
	0, 22, 23, 37, 44, 15, 24, 35, 471, 0,
	36, 9, 0, 26, 0, 31, 80, 81, 7, 45,
	47, 49, 0, 0, 0, 0, 51, 95, 0, 93,
	109, 110, 111, 106, 107, 0, 0, 0, 0, 0,
	0, 92, 0, 0, 0, 0, 8, 112, 108, 102,
	0, 84, 85, 86, 0, 0, 0, 0, 79, 52,
	0, 0, 0, 77, 41, 27, 46, 48, 0, 0,
	0, 54, 55, 0, 64, 65, 66, 67, 68, 69,
	70, 0, 0, 0, 91, 76, 16, 623, 34, 0,
	62, 0, 96, 0, 0, 0, 57, 56, 58, 59,
	72, 119, 82, 83, 71, 17, 104, 105, 12, 87,
	120, 0, 29, 0, 0, 0, 94, 28, 19, 18,
	0, 20, 0, 32, 0, 33, 0, 0, 21, 0,
	0, 0, 22, 23, 37, 44, 15, 24, 35, 0,
	0, 36, 9, 0, 26, 0, 31, 80, 81, 7,
	45, 47, 49, 0, 0, 0, 0, 51, 95, 0,
	93, 109, 110, 111, 106, 107, 0, 0, 0, 0,
	0, 0, 92, 0, 0, 0, 0, 8, 112, 108,
	102, 0, 84, 85, 86, 0, 0, 0, 0, 79,
	52, 0, 0, 0, 77, 41, 27, 46, 48, 0,
	0, 0, 54, 55, 0, 64, 65, 66, 67, 68,
	69, 70, 0, 0, 0, 91, 76, 16, 490, 34,
	0, 62, 0, 96, 0, 0, 0, 57, 56, 58,
	59, 72, 119, 82, 83, 71, 17, 104, 105, 12,
	87, 120, 0, 29, 0, 0, 0, 94, 28, 19,
	18, 0, 20, 0, 32, 0, 33, 0, 0, 21,
	0, 0, 0, 22, 23, 37, 44, 15, 24, 35,
	0, 0, 36, 9, 0, 26, 0, 31, 80, 81,
	7, 45, 47, 49, 0, 0, 0, 0, 51, 95,
	0, 93, 109, 110, 111, 106, 107, 0, 0, 0,
	0, 0, 0, 92, 0, 0, 0, 0, 8, 112,
	108, 102, 0, 84, 85, 86, 0, 0, 0, 0,
	79, 52, 0, 0, 0, 77, 41, 27, 46, 48,
	0, 0, 0, 54, 55, 0, 64, 65, 66, 67,
	68, 69, 70, 0, 0, 0, 91, 76, 16, 0,
	34, 0, 62, 0, 96, 0, 0, 0, 57, 56,
	58, 59, 72, 119, 82, 83, 71, 17, 104, 105,
	12, 87, 120, 0, 29, 0, 0, 0, 94, 28,
	19, 18, 0, 20, 0, 32, 0, 33, 0, 0,
	21, 0, 0, 0, 22, 23, 37, 44, 0, 24,
	35, 0, 0, 36, 0, 0, 26, 0, 31, 80,
	81, 329, 45, 47, 49, 0, 0, 0, 0, 51,
	95, 0, 93, 109, 110, 111, 106, 107, 0, 0,
	0, 0, 0, 0, 92, 0, 0, 0, 0, 148,
	112, 108, 102, 0, 84, 85, 86, 0, 0, 0,
	0, 79, 52, 0, 0, 0, 77, 41, 27, 46,
	48, 0, 0, 0, 54, 55, 0, 64, 65, 66,
	67, 68, 69, 70, 0, 0, 0, 91, 76, 16,
	1073, 34, 0, 62, 0, 96, 0, 0, 0, 57,
	56, 58, 59, 72, 119, 82, 83, 71, 17, 104,
	105, 12, 87, 120, 0, 29, 0, 0, 0, 94,
	28, 19, 18, 0, 20, 0, 32, 0, 33, 0,
	0, 21, 0, 0, 0, 22, 23, 37, 44, 0,
	24, 35, 0, 0, 36, 0, 0, 26, 0, 31,
	80, 81, 329, 45, 47, 49, 0, 0, 0, 0,
	51, 95, 0, 93, 109, 110, 111, 106, 107, 0,
	0, 0, 0, 0, 0, 92, 0, 0, 0, 0,
	148, 112, 108, 102, 0, 84, 85, 86, 0, 0,
	0, 0, 79, 52, 0, 0, 0, 77, 41, 27,
	46, 48, 0, 0, 0, 54, 55, 0, 64, 65,
	66, 67, 68, 69, 70, 0, 0, 0, 91, 76,
	16, 1063, 34, 0, 62, 0, 96, 0, 0, 0,
	57, 56, 58, 59, 72, 119, 82, 83, 71, 17,
	104, 105, 12, 87, 120, 0, 29, 0, 0, 0,
	94, 28, 19, 18, 0, 20, 0, 32, 0, 33,
	0, 0, 21, 0, 0, 0, 22, 23, 37, 44,
	0, 24, 35, 0, 0, 36, 0, 0, 26, 0,
	31, 80, 81, 329, 45, 47, 49, 0, 0, 0,
	0, 51, 95, 0, 93, 109, 110, 111, 106, 107,
	0, 0, 0, 0, 0, 0, 92, 0, 0, 0,
	0, 148, 112, 108, 102, 0, 84, 85, 86, 0,
	0, 0, 0, 79, 52, 0, 0, 0, 77, 41,
	27, 46, 48, 0, 0, 0, 54, 55, 0, 64,
	65, 66, 67, 68, 69, 70, 0, 0, 0, 91,
	76, 16, 1053, 34, 0, 62, 0, 96, 0, 0,
	0, 57, 56, 58, 59, 72, 119, 82, 83, 71,
	17, 104, 105, 12, 87, 120, 0, 29, 0, 0,
	0, 94, 28, 19, 18, 0, 20, 1048, 32, 0,
	33, 0, 0, 21, 0, 0, 0, 22, 23, 37,
	44, 0, 24, 35, 0, 0, 36, 0, 0, 26,
	0, 31, 80, 81, 329, 45, 47, 49, 0, 0,
	0, 0, 51, 95, 0, 93, 109, 110, 111, 106,
	107, 0, 0, 0, 0, 0, 0, 92, 0, 0,
	0, 0, 148, 112, 108, 102, 0, 84, 85, 86,
	0, 0, 0, 0, 79, 52, 0, 0, 0, 77,
	41, 27, 46, 48, 0, 0, 0, 54, 55, 0,
	64, 65, 66, 67, 68, 69, 70, 0, 0, 0,
	91, 76, 16, 0, 34, 0, 62, 0, 96, 0,
	0, 0, 57, 56, 58, 59, 72, 119, 82, 83,
	71, 17, 104, 105, 12, 87, 120, 0, 29, 0,
	0, 0, 94, 28, 19, 18, 0, 20, 0, 32,
	0, 33, 0, 0, 21, 0, 0, 0, 22, 23,
	37, 44, 0, 24, 35, 0, 0, 36, 0, 0,
	26, 0, 31, 80, 81, 329, 45, 47, 49, 0,
	0, 0, 0, 51, 95, 0, 93, 109, 110, 111,
	106, 107, 0, 0, 0, 0, 0, 0, 92, 0,
	0, 0, 0, 148, 112, 108, 102, 0, 84, 85,
	86, 0, 0, 0, 0, 79, 52, 0, 0, 0,
	77, 41, 27, 46, 48, 0, 0, 0, 54, 55,
	0, 64, 65, 66, 67, 68, 69, 70, 0, 0,
	0, 91, 76, 16, 1013, 34, 0, 62, 0, 96,
	0, 0, 0, 57, 56, 58, 59, 72, 119, 82,
	83, 71, 17, 104, 105, 12, 87, 120, 0, 29,
	0, 0, 0, 94, 28, 19, 18, 0, 20, 0,
	32, 0, 33, 0, 0, 21, 0, 0, 0, 22,
	23, 37, 44, 0, 24, 35, 0, 0, 36, 0,
	0, 26, 0, 31, 80, 81, 329, 45, 47, 49,
	0, 0, 0, 0, 51, 95, 0, 93, 109, 110,
	111, 106, 107, 0, 0, 0, 0, 0, 0, 92,
	0, 0, 0, 0, 148, 112, 108, 102, 0, 84,
	85, 86, 0, 0, 0, 0, 79, 52, 0, 0,
	0, 77, 41, 27, 46, 48, 0, 0, 0, 54,
	55, 0, 64, 65, 66, 67, 68, 69, 70, 0,
	0, 0, 91, 76, 16, 990, 34, 0, 62, 0,
	96, 0, 0, 0, 57, 56, 58, 59, 72, 119,
	82, 83, 71, 17, 104, 105, 12, 87, 120, 0,
	29, 0, 0, 0, 94, 28, 19, 18, 0, 20,
	0, 32, 0, 33, 0, 0, 21, 0, 0, 0,
	22, 23, 37, 44, 0, 24, 35, 0, 0, 36,
	0, 0, 26, 0, 31, 80, 81, 329, 45, 47,
	49, 0, 0, 0, 0, 51, 95, 0, 93, 109,
	110, 111, 106, 107, 0, 0, 0, 0, 0, 0,
	92, 0, 0, 0, 0, 148, 112, 108, 102, 0,
	84, 85, 86, 0, 0, 0, 0, 79, 52, 0,
	0, 0, 77, 41, 27, 46, 48, 0, 0, 0,
	54, 55, 0, 64, 65, 66, 67, 68, 69, 70,
	0, 0, 0, 91, 76, 16, 989, 34, 0, 62,
	0, 96, 0, 0, 0, 57, 56, 58, 59, 72,
	119, 82, 83, 71, 17, 104, 105, 12, 87, 120,
	0, 29, 0, 0, 0, 94, 28, 19, 18, 0,
	20, 0, 32, 0, 33, 0, 0, 21, 0, 0,
	0, 22, 23, 37, 44, 0, 24, 35, 0, 0,
	36, 0, 0, 26, 0, 31, 80, 81, 329, 45,
	47, 49, 0, 0, 0, 0, 51, 95, 0, 93,
	109, 110, 111, 106, 107, 0, 0, 0, 0, 0,
	0, 92, 0, 0, 0, 0, 148, 112, 108, 102,
	0, 84, 85, 86, 0, 0, 0, 0, 79, 52,
	0, 0, 0, 77, 41, 27, 46, 48, 0, 0,
	0, 54, 55, 0, 64, 65, 66, 67, 68, 69,
	70, 0, 0, 0, 91, 76, 16, 987, 34, 0,
	62, 0, 96, 0, 0, 0, 57, 56, 58, 59,
	72, 119, 82, 83, 71, 17, 104, 105, 12, 87,
	120, 0, 29, 0, 0, 0, 94, 28, 19, 18,
	0, 20, 0, 32, 986, 33, 0, 0, 21, 0,
	0, 0, 22, 23, 37, 44, 0, 24, 35, 0,
	0, 36, 0, 0, 26, 0, 31, 80, 81, 329,
	45, 47, 49, 0, 0, 0, 0, 51, 95, 0,
	93, 109, 110, 111, 106, 107, 0, 0, 0, 0,
	0, 0, 92, 0, 0, 0, 0, 148, 112, 108,
	102, 0, 84, 85, 86, 0, 0, 0, 0, 79,
	52, 0, 0, 0, 77, 41, 27, 46, 48, 0,
	0, 0, 54, 55, 0, 64, 65, 66, 67, 68,
	69, 70, 0, 0, 0, 91, 76, 16, 0, 34,
	0, 62, 0, 96, 0, 0, 0, 57, 56, 58,
	59, 72, 119, 82, 83, 71, 17, 104, 105, 12,
	87, 120, 0, 29, 0, 0, 0, 94, 28, 19,
	18, 0, 20, 0, 32, 0, 33, 928, 0, 21,
	0, 0, 0, 22, 23, 37, 44, 0, 24, 35,
	0, 0, 36, 0, 0, 26, 0, 31, 80, 81,
	329, 45, 47, 49, 0, 0, 0, 0, 51, 95,
	0, 93, 109, 110, 111, 106, 107, 0, 0, 0,
	0, 0, 0, 92, 0, 0, 0, 0, 148, 112,
	108, 102, 0, 84, 85, 86, 0, 0, 0, 0,
	79, 52, 0, 0, 0, 77, 41, 27, 46, 48,
	0, 0, 0, 54, 55, 0, 64, 65, 66, 67,
	68, 69, 70, 0, 0, 0, 91, 76, 16, 0,
	34, 0, 62, 0, 96, 0, 0, 0, 57, 56,
	58, 59, 72, 119, 82, 83, 71, 17, 104, 105,
	12, 87, 120, 0, 29, 0, 0, 0, 94, 28,
	19, 18, 854, 20, 0, 32, 0, 33, 0, 0,
	21, 0, 0, 0, 22, 23, 37, 44, 0, 24,
	35, 0, 0, 36, 0, 0, 26, 0, 31, 80,
	81, 329, 45, 47, 49, 0, 0, 0, 0, 51,
	95, 0, 93, 109, 110, 111, 106, 107, 0, 0,
	0, 0, 0, 0, 92, 0, 0, 0, 0, 148,
	112, 108, 102, 0, 84, 85, 86, 0, 0, 0,
	0, 79, 52, 0, 0, 0, 77, 41, 27, 46,
	48, 0, 0, 0, 54, 55, 0, 64, 65, 66,
	67, 68, 69, 70, 0, 0, 0, 91, 76, 16,
	0, 34, 0, 62, 0, 96, 0, 0, 0, 57,
	56, 58, 59, 72, 119, 82, 83, 71, 17, 104,
	105, 12, 87, 120, 0, 29, 0, 0, 0, 94,
	28, 19, 18, 0, 20, 0, 32, 0, 33, 0,
	0, 21, 0, 0, 0, 22, 23, 37, 44, 0,
	24, 35, 0, 0, 36, 0, 0, 26, 0, 31,
	80, 81, 329, 45, 47, 49, 0, 0, 0, 0,
	51, 95, 0, 93, 109, 110, 111, 106, 107, 0,
	0, 0, 0, 0, 0, 92, 0, 0, 0, 0,
	148, 112, 108, 102, 0, 84, 85, 86, 0, 0,
	0, 0, 79, 52, 0, 0, 0, 77, 41, 27,
	46, 48, 0, 0, 0, 54, 55, 0, 64, 65,
	66, 67, 68, 69, 70, 0, 0, 0, 91, 76,
	16, 552, 34, 0, 62, 0, 96, 0, 0, 0,
	57, 56, 58, 59, 72, 119, 82, 83, 71, 17,
	104, 105, 12, 87, 120, 0, 29, 0, 0, 0,
	94, 28, 19, 18, 0, 20, 0, 32, 0, 33,
	0, 0, 21, 0, 0, 0, 22, 23, 37, 44,
	0, 24, 35, 0, 0, 36, 0, 0, 26, 0,
	31, 80, 81, 329, 45, 47, 49, 0, 0, 0,
	0, 51, 95, 0, 93, 109, 110, 111, 106, 107,
	0, 0, 0, 0, 0, 0, 92, 0, 0, 0,
	0, 148, 112, 108, 102, 0, 84, 85, 86, 0,
	0, 0, 0, 79, 52, 0, 0, 0, 77, 41,
	27, 46, 48, 0, 0, 0, 54, 55, 0, 64,
	65, 66, 67, 68, 69, 70, 0, 0, 0, 91,
	76, 16, 325, 34, 0, 62, 0, 96, 0, 0,
	0, 57, 56, 58, 59, 72, 119, 82, 83, 71,
	17, 104, 105, 12, 87, 120, 0, 29, 0, 0,
	0, 94, 28, 19, 18, 0, 20, 0, 32, 0,
	33, 0, 0, 21, 0, 0, 0, 22, 23, 37,
	44, 0, 24, 35, 0, 0, 36, 0, 0, 26,
	0, 31, 80, 81, 329, 45, 47, 49, 0, 0,
	0, 0, 51, 95, 0, 93, 109, 110, 111, 106,
	107, 0, 0, 0, 0, 0, 0, 92, 0, 0,
	0, 0, 148, 112, 108, 102, 0, 84, 85, 86,
	0, 0, 0, 0, 79, 52, 0, 0, 0, 77,
	41, 27, 46, 48, 0, 0, 0, 54, 55, 0,
	64, 65, 66, 67, 68, 69, 70, 0, 0, 0,
	91, 76, 16, 0, 34, 0, 62, 0, 96, 0,
	0, 0, 57, 56, 58, 59, 72, 119, 82, 83,
	71, 17, 104, 105, 12, 87, 120, 0, 29, 0,
	0, 0, 94, 28, 19, 18, 0, 20, 0, 32,
	0, 33, 0, 0, 21, 0, 0, 0, 22, 23,
	37, 44, 0, 24, 35, 0, 0, 36, 0, 0,
	26, 0, 31, 80, 81, 0, 0, 0, 0, 0,
	0, 0, 0, 51, 95, 0, 93, 109, 110, 111,
	106, 107, 0, 0, 0, 0, 0, 0, 92, 0,
	0, 0, 0, 148, 112, 108, 102, 0, 84, 85,
	86, 0, 0, 0, 0, 79, 52, 0, 0, 0,
	77, 41, 27, 0, 0, 0, 0, 0, 54, 55,
	0, 64, 65, 66, 67, 68, 69, 70, 0, 0,
	0, 91, 76, 16, 0, 34, 1032, 62, 0, 96,
	0, 0, 0, 57, 56, 58, 59, 72, 119, 82,
	83, 71, 17, 104, 105, 12, 87, 120, 0, 29,
	0, 0, 0, 94, 28, 19, 18, 0, 20, 0,
	32, 0, 33, 0, 0, 21, 0, 0, 0, 22,
	23, 37, 44, 0, 24, 35, 0, 0, 36, 0,
	0, 26, 0, 31, 80, 81, 0, 0, 0, 0,
	0, 0, 0, 0, 51, 95, 0, 93, 109, 110,
	111, 106, 107, 0, 0, 0, 0, 0, 0, 92,
	0, 0, 0, 0, 148, 112, 108, 102, 0, 84,
	85, 86, 0, 0, 0, 0, 79, 52, 0, 0,
	0, 77, 41, 27, 0, 0, 0, 0, 0, 54,
	55, 0, 64, 65, 66, 67, 68, 69, 70, 0,
	0, 0, 91, 76, 16, 0, 34, 925, 62, 0,
	96, 0, 0, 0, 57, 56, 58, 59, 72, 119,
	82, 83, 71, 17, 104, 105, 12, 87, 120, 0,
	29, 0, 0, 0, 94, 28, 19, 18, 0, 20,
	0, 32, 0, 33, 0, 0, 21, 0, 0, 0,
	22, 23, 37, 44, 0, 24, 35, 0, 0, 36,
	0, 0, 26, 0, 31, 80, 81, 0, 0, 0,
	0, 0, 0, 0, 0, 51, 95, 0, 93, 109,
	110, 111, 106, 107, 0, 0, 0, 0, 0, 0,
	92, 0, 0, 0, 0, 148, 112, 108, 102, 0,
	84, 85, 86, 0, 0, 0, 0, 79, 52, 0,
	0, 0, 77, 41, 27, 0, 0, 0, 0, 0,
	54, 55, 0, 64, 65, 66, 67, 68, 69, 70,
	0, 0, 0, 91, 76, 16, 0, 34, 809, 62,
	0, 96, 0, 0, 0, 57, 56, 58, 59, 72,
	119, 82, 83, 71, 17, 104, 105, 12, 87, 120,
	0, 29, 0, 0, 0, 94, 28, 19, 18, 0,
	20, 0, 32, 0, 33, 0, 0, 21, 0, 0,
	0, 22, 23, 37, 44, 0, 24, 35, 0, 0,
	36, 0, 0, 26, 0, 31, 80, 81, 0, 0,
	0, 0, 0, 0, 0, 0, 51, 95, 0, 93,
	109, 110, 111, 106, 107, 0, 0, 0, 0, 0,
	0, 92, 0, 0, 0, 0, 148, 112, 108, 102,
	0, 84, 85, 86, 0, 0, 0, 0, 79, 52,
	0, 0, 0, 77, 41, 27, 0, 0, 0, 0,
	0, 54, 55, 0, 64, 65, 66, 67, 68, 69,
	70, 0, 0, 0, 91, 76, 16, 0, 34, 678,
	62, 0, 96, 0, 0, 0, 57, 56, 58, 59,
	72, 119, 82, 83, 71, 17, 104, 105, 12, 87,
	120, 0, 29, 0, 0, 0, 94, 28, 19, 18,
	0, 20, 0, 32, 0, 33, 0, 0, 21, 0,
	0, 0, 22, 23, 37, 44, 0, 24, 35, 0,
	0, 36, 0, 0, 26, 0, 31, 80, 81, 0,
	0, 0, 0, 0, 0, 0, 0, 51, 95, 0,
	93, 109, 110, 111, 106, 107, 0, 0, 782, 0,
	0, 0, 92, 0, 0, 0, 0, 148, 112, 108,
	102, 0, 84, 85, 86, 0, 0, 0, 0, 79,
	52, 0, 0, 0, 77, 41, 27, 648, 646, 647,
	0, 0, 54, 55, 0, 64, 65, 66, 67, 68,
	69, 70, 740, 0, 0, 91, 76, 16, 0, 34,
	0, 62, 0, 96, 0, 0, 0, 57, 56, 58,
	59, 72, 119, 0, 0, 633, 0, 659, 641, 635,
	634, 168, 170, 169, 191, 0, 0, 0, 0, 0,
	0, 0, 0, 0, 0, 0, 0, 0, 0, 650,
	649, 640, 642, 653, 654, 651, 652, 655, 657, 656,
	658, 643, 644, 645, 636, 638, 639, 637, 0, 0,
	0, 192, 172, 176, 175, 0, 0, 0, 0, 168,
	170, 169, 191, 0, 0, 0, 0, 0, 0, 0,
	0, 0, 0, 166, 167, 171, 173, 185, 186, 183,
	184, 187, 188, 189, 190, 181, 182, 174, 177, 179,
	180, 178, 732, 0, 0, 0, 0, 0, 0, 192,
	172, 176, 175, 0, 0, 168, 170, 169, 191, 0,
	0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
	0, 166, 167, 171, 173, 185, 186, 183, 184, 187,
	188, 189, 190, 181, 182, 174, 177, 179, 180, 178,
	689, 0, 0, 0, 0, 192, 172, 176, 175, 0,
	0, 0, 0, 168, 170, 169, 191, 0, 0, 0,
	0, 0, 0, 0, 0, 0, 0, 166, 167, 171,
	173, 185, 186, 183, 184, 187, 188, 189, 190, 181,
	182, 174, 177, 179, 180, 178, 686, 0, 0, 0,
	0, 0, 0, 192, 172, 176, 175, 0, 0, 0,
	0, 168, 170, 169, 191, 0, 0, 0, 0, 0,
	0, 0, 0, 0, 0, 166, 167, 171, 173, 185,
	186, 183, 184, 187, 188, 189, 190, 181, 182, 174,
	177, 179, 180, 178, 622, 0, 0, 0, 0, 0,
	0, 192, 172, 176, 175, 0, 0, 0, 0, 168,
	170, 169, 191, 0, 0, 0, 0, 0, 0, 0,
	0, 0, 0, 166, 167, 171, 173, 185, 186, 183,
	184, 187, 188, 189, 190, 181, 182, 174, 177, 179,
	180, 178, 619, 0, 0, 0, 0, 0, 0, 192,
	172, 176, 175, 168, 170, 169, 191, 0, 0, 0,
	0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
	0, 166, 167, 171, 173, 185, 186, 183, 184, 187,
	188, 189, 190, 181, 182, 174, 177, 179, 180, 178,
	605, 0, 0, 192, 172, 176, 175, 0, 0, 0,
	0, 168, 170, 169, 191, 0, 0, 0, 0, 0,
	0, 0, 0, 0, 0, 166, 167, 171, 173, 185,
	186, 183, 184, 187, 188, 189, 190, 181, 182, 174,
	177, 179, 180, 178, 578, 0, 0, 0, 0, 0,
	0, 192, 172, 176, 175, 0, 0, 0, 0, 0,
	0, 0, 0, 469, 0, 0, 0, 0, 0, 0,
	0, 0, 0, 166, 167, 171, 173, 185, 186, 183,
	184, 187, 188, 189, 190, 181, 182, 174, 177, 179,
	180, 178, 168, 170, 169, 191, 0, 0, 0, 0,
	0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
	0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
	0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
	0, 0, 192, 172, 176, 175, 168, 170, 169, 191,
	0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
	0, 396, 0, 0, 166, 167, 171, 173, 185, 186,
	183, 184, 187, 188, 189, 190, 181, 182, 174, 177,
	179, 180, 178, 420, 0, 0, 192, 172, 176, 175,
	168, 170, 169, 191, 0, 0, 0, 0, 0, 0,
	0, 0, 0, 0, 0, 0, 0, 0, 166, 167,
	171, 173, 185, 186, 183, 184, 187, 188, 189, 190,
	181, 182, 174, 177, 179, 180, 178, 0, 0, 0,
	192, 172, 176, 175, 0, 0, 0, 168, 170, 169,
	191, 0, 0, 0, 0, 0, 0, 0, 0, 0,
	0, 0, 166, 167, 171, 173, 185, 186, 183, 184,
	187, 188, 189, 190, 181, 182, 174, 177, 179, 180,
	178, 389, 0, 0, 0, 0, 0, 192, 172, 176,
	175, 0, 0, 0, 168, 170, 169, 191, 0, 0,
	0, 0, 0, 0, 0, 0, 0, 0, 0, 166,
	167, 171, 173, 185, 186, 183, 184, 187, 188, 189,
	190, 181, 182, 174, 177, 179, 180, 178, 340, 0,
	0, 0, 0, 0, 192, 172, 176, 175, 0, 0,
	0, 168, 170, 169, 191, 0, 0, 0, 0, 0,
	0, 0, 0, 0, 0, 0, 166, 167, 171, 173,
	185, 186, 183, 184, 187, 188, 189, 190, 181, 182,
	174, 177, 179, 180, 178, 338, 0, 0, 0, 0,
	0, 192, 172, 176, 175, 0, 0, 0, 168, 170,
	169, 191, 0, 0, 0, 0, 0, 0, 0, 0,
	0, 0, 0, 166, 167, 171, 173, 185, 186, 183,
	184, 187, 188, 189, 190, 181, 182, 174, 177, 179,
	180, 178, 165, 0, 0, 0, 0, 0, 192, 172,
	176, 175, 648, 646, 647, 0, 0, 0, 0, 0,
	0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
	166, 167, 171, 173, 185, 186, 183, 184, 187, 188,
	189, 190, 181, 182, 174, 177, 179, 180, 178, 0,
	633, 0, 659, 641, 635, 634, 168, 170, 169, 191,
	0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
	0, 0, 0, 0, 650, 649, 640, 642, 653, 654,
	651, 652, 655, 657, 656, 658, 643, 644, 645, 636,
	638, 639, 637, 0, 0, 0, 192, 172, 176, 175,
	646, 647, 0, 0, 0, 0, 0, 0, 0, 0,
	0, 0, 0, 0, 0, 0, 0, 0, 166, 167,
	171, 173, 185, 186, 183, 184, 187, 188, 189, 190,
	181, 182, 174, 177, 179, 180, 178, 633, 0, 659,
	641, 635, 634, 170, 169, 191, 0, 0, 0, 0,
	0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
	0, 650, 649, 640, 642, 653, 654, 651, 652, 655,
	657, 656, 658, 643, 644, 645, 636, 638, 639, 637,
	0, 0, 192, 172, 176, 175, 0, 647, 0, 0,
	0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
	0, 0, 0, 0, 166, 167, 171, 173, 185, 186,
	183, 184, 187, 188, 189, 190, 181, 182, 174, 177,
	179, 180, 178, 633, 0, 659, 641, 635, 634, 169,
	191, 0, 0, 0, 0, 0, 0, 0, 0, 0,
	0, 0, 0, 0, 0, 0, 0, 650, 649, 640,
	642, 653, 654, 651, 652, 655, 657, 656, 658, 643,
	644, 645, 636, 638, 639, 637, 0, 192, 172, 176,
	175, 191, 0, 0, 0, 0, 0, 0, 0, 0,
	0, 0, 0, 0, 0, 0, 0, 0, 0, 166,
	167, 171, 173, 185, 186, 183, 184, 187, 188, 189,
	190, 181, 182, 174, 177, 179, 180, 178, 192, 172,
	176, 175, 0, 0, 0, 0, 0, 0, 0, 0,
	0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
	166, 167, 171, 173, 185, 186, 183, 184, 187, 188,
	189, 190, 181, 182, 174, 177, 179, 180, 178, 633,
	0, 659, 641, 635, 634, 0, 0, 0, 0, 0,
	0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
	0, 0, 0, 650, 649, 640, 642, 653, 654, 651,
	652, 655, 657, 656, 658, 643, 644, 645, 636, 638,
	639, 637, 633, 0, 0, 641, 635, 634, 191, 0,
	0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
	0, 0, 0, 0, 0, 0, 650, 649, 640, 642,
	653, 654, 651, 652, 655, 657, 656, 658, 643, 644,
	645, 636, 638, 639, 637, 0, 172, 176, 175, 0,
	0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
	0, 633, 0, 0, 641, 635, 634, 166, 167, 171,
	173, 185, 186, 183, 184, 187, 188, 189, 190, 181,
	182, 174, 177, 179, 180, 178, 649, 640, 642, 653,
	654, 651, 652, 655, 657, 656, 658, 643, 644, 645,
	636, 638, 639, 637, 191, 0, 0, 0, 0, 0,
	0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
	0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
	0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
	0, 0, 172, 176, 175, 0, 0, 0, 0, 82,
	83, 71, 0, 104, 105, 125, 87, 120, 0, 0,
	0, 0, 0, 94, 167, 171, 173, 185, 186, 183,
	184, 187, 188, 189, 190, 181, 182, 174, 177, 179,
	180, 178, 44, 0, 0, 0, 0, 0, 0, 0,
	0, 0, 0, 0, 80, 81, 0, 0, 0, 0,
	0, 0, 0, 0, 51, 95, 0, 93, 109, 110,
	111, 106, 107, 0, 0, 0, 0, 0, 0, 92,
	0, 0, 0, 0, 148, 112, 108, 102, 596, 84,
	85, 86, 191, 0, 0, 0, 79, 52, 0, 0,
	0, 77, 41, 147, 0, 0, 0, 0, 0, 54,
	55, 0, 64, 65, 66, 67, 68, 69, 70, 0,
	0, 0, 91, 76, 0, 0, 0, 0, 62, 589,
	96, 176, 175, 595, 57, 56, 58, 59, 72, 119,
	82, 83, 71, 0, 104, 105, 125, 87, 120, 0,
	0, 0, 0, 0, 94, 185, 186, 183, 184, 187,
	188, 189, 190, 181, 182, 174, 177, 179, 180, 178,
	0, 0, 0, 44, 0, 0, 0, 0, 0, 0,
	0, 0, 0, 0, 0, 80, 81, 0, 0, 0,
	0, 0, 0, 0, 0, 51, 95, 0, 93, 109,
	110, 111, 106, 107, 0, 0, 0, 0, 0, 0,
	92, 0, 0, 0, 0, 148, 112, 108, 102, 596,
	84, 85, 86, 0, 0, 0, 0, 79, 52, 0,
	0, 0, 77, 145, 147, 0, 0, 0, 0, 0,
	54, 55, 0, 64, 65, 66, 67, 68, 69, 70,
	0, 0, 0, 91, 76, 0, 0, 0, 0, 62,
	0, 96, 0, 0, 595, 57, 56, 58, 59, 72,
	119, 82, 83, 71, 0, 104, 105, 125, 87, 120,
	0, 0, 0, 0, 0, 94, 0, 0, 0, 0,
	0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
	0, 0, 0, 0, 44, 0, 0, 0, 0, 0,
	0, 0, 0, 0, 0, 0, 80, 81, 0, 0,
	0, 0, 0, 0, 0, 0, 51, 95, 0, 93,
	109, 110, 111, 106, 107, 0, 0, 0, 0, 0,
	0, 92, 0, 0, 0, 0, 148, 112, 108, 102,
	0, 84, 85, 86, 0, 0, 0, 0, 79, 52,
	0, 0, 0, 77, 145, 147, 0, 0, 0, 0,
	0, 54, 55, 0, 64, 65, 66, 67, 68, 69,
	70, 0, 0, 0, 91, 76, 0, 0, 0, 0,
	62, 0, 96, 0, 0, 843, 57, 56, 58, 59,
	72, 119, 82, 83, 71, 0, 104, 105, 125, 87,
	120, 0, 0, 0, 0, 0, 94, 0, 0, 0,
	0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
	0, 0, 0, 0, 0, 44, 0, 0, 0, 0,
	0, 0, 0, 0, 0, 0, 0, 80, 81, 0,
	0, 0, 0, 0, 0, 0, 0, 51, 95, 0,
	93, 109, 110, 111, 106, 107, 0, 0, 0, 0,
	0, 0, 92, 0, 0, 0, 0, 148, 112, 108,
	102, 0, 84, 85, 86, 0, 0, 0, 0, 79,
	52, 0, 0, 0, 77, 145, 147, 0, 0, 0,
	0, 0, 54, 55, 0, 64, 65, 66, 67, 68,
	69, 70, 0, 0, 0, 91, 76, 0, 0, 0,
	0, 62, 0, 96, 0, 0, 612, 57, 56, 58,
	59, 72, 119, 82, 83, 71, 0, 104, 105, 125,
	87, 120, 0, 0, 0, 0, 0, 94, 0, 0,
	0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
	0, 0, 0, 0, 0, 0, 44, 0, 0, 0,
	0, 0, 0, 0, 0, 0, 0, 0, 80, 81,
	0, 0, 0, 0, 0, 0, 0, 0, 51, 95,
	0, 93, 109, 110, 111, 106, 107, 0, 0, 0,
	0, 0, 0, 92, 0, 0, 0, 0, 148, 112,
	108, 102, 0, 84, 85, 86, 0, 0, 0, 0,
	79, 52, 0, 0, 0, 77, 145, 147, 0, 0,
	0, 0, 0, 54, 55, 0, 64, 65, 66, 67,
	68, 69, 70, 0, 0, 0, 91, 76, 0, 0,
	0, 0, 62, 0, 96, 0, 0, 610, 57, 56,
	58, 59, 72, 119, 82, 83, 71, 0, 104, 105,
	125, 87, 120, 0, 0, 0, 0, 0, 94, 0,
	0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
	0, 0, 0, 0, 0, 0, 0, 44, 0, 0,
	0, 0, 0, 0, 0, 0, 0, 0, 0, 80,
	81, 0, 0, 0, 0, 0, 0, 0, 0, 51,
	95, 0, 93, 109, 110, 111, 106, 107, 0, 0,
	0, 0, 0, 0, 92, 0, 0, 0, 0, 148,
	112, 108, 102, 0, 84, 85, 86, 0, 0, 0,
	0, 79, 52, 0, 0, 0, 77, 145, 147, 0,
	0, 0, 0, 0, 54, 55, 0, 64, 65, 66,
	67, 68, 69, 70, 0, 0, 0, 91, 76, 0,
	0, 0, 0, 62, 0, 96, 0, 0, 291, 57,
	56, 58, 59, 72, 119, 82, 83, 71, 0, 104,
	105, 125, 87, 120, 0, 0, 0, 0, 0, 94,
	0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
	0, 0, 0, 0, 0, 0, 0, 0, 44, 0,
	0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
	80, 81, 0, 0, 0, 0, 0, 0, 0, 0,
	51, 95, 0, 93, 109, 110, 111, 106, 107, 0,
	0, 0, 0, 0, 0, 92, 0, 0, 0, 0,
	148, 112, 108, 102, 0, 84, 85, 86, 0, 0,
	0, 0, 79, 52, 0, 0, 0, 77, 41, 147,
	0, 0, 0, 0, 0, 54, 55, 0, 64, 65,
	66, 67, 68, 69, 70, 0, 0, 0, 91, 76,
	0, 0, 0, 0, 62, 422, 96, 0, 0, 0,
	57, 56, 58, 59, 72, 119, 82, 83, 71, 0,
	104, 105, 125, 87, 120, 0, 0, 0, 0, 0,
	94, 0, 0, 0, 0, 0, 0, 0, 0, 0,
	0, 0, 0, 0, 0, 0, 0, 0, 0, 44,
	0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
	0, 80, 81, 0, 0, 0, 0, 0, 0, 0,
	0, 51, 95, 0, 93, 109, 110, 111, 106, 107,
	0, 0, 0, 0, 0, 0, 92, 0, 0, 0,
	0, 148, 112, 108, 102, 0, 84, 85, 86, 0,
	0, 0, 0, 79, 52, 0, 0, 0, 77, 145,
	147, 0, 0, 0, 0, 0, 54, 55, 0, 64,
	65, 66, 67, 68, 69, 70, 0, 0, 0, 91,
	76, 0, 0, 0, 0, 62, 0, 96, 0, 0,
	398, 57, 56, 58, 59, 72, 119, 82, 83, 71,
	0, 104, 105, 125, 87, 120, 0, 0, 0, 0,
	0, 94, 0, 0, 0, 0, 0, 0, 0, 0,
	0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
	44, 0, 0, 0, 0, 0, 0, 0, 0, 0,
	0, 0, 80, 81, 0, 0, 0, 0, 0, 0,
	0, 0, 51, 95, 0, 93, 109, 110, 111, 106,
	107, 0, 0, 0, 0, 0, 0, 92, 0, 0,
	0, 0, 148, 112, 108, 102, 0, 84, 85, 86,
	0, 0, 0, 0, 79, 52, 0, 0, 0, 77,
	145, 147, 0, 0, 0, 0, 0, 54, 55, 0,
	64, 65, 66, 67, 68, 69, 70, 0, 0, 0,
	91, 76, 0, 0, 151, 0, 62, 0, 96, 0,
	0, 0, 57, 56, 58, 59, 72, 119, 82, 83,
	71, 0, 104, 105, 125, 87, 120, 0, 0, 0,
	0, 0, 94, 0, 0, 0, 0, 0, 0, 0,
	0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
	0, 44, 0, 0, 0, 0, 0, 0, 0, 0,
	0, 0, 0, 80, 81, 0, 0, 0, 0, 0,
	0, 0, 0, 51, 95, 0, 93, 109, 110, 111,
	106, 107, 0, 0, 0, 0, 0, 0, 92, 0,
	0, 0, 0, 148, 112, 108, 102, 0, 84, 85,
	86, 0, 0, 0, 0, 79, 52, 0, 0, 0,
	77, 145, 147, 0, 0, 0, 0, 0, 54, 55,
	0, 64, 65, 66, 67, 68, 69, 70, 0, 0,
	0, 91, 76, 0, 0, 149, 0, 62, 0, 96,
	0, 0, 0, 57, 56, 58, 59, 72, 119, 82,
	83, 71, 0, 104, 105, 125, 87, 120, 0, 0,
	0, 0, 0, 94, 0, 0, 0, 0, 0, 0,
	0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
	0, 0, 44, 0, 0, 0, 0, 0, 0, 0,
	0, 0, 0, 0, 80, 81, 0, 0, 0, 0,
	0, 0, 0, 0, 51, 95, 0, 93, 109, 110,
	111, 106, 107, 0, 0, 0, 0, 0, 0, 92,
	0, 0, 0, 0, 148, 112, 108, 102, 0, 84,
	85, 86, 0, 0, 0, 0, 79, 52, 0, 0,
	0, 77, 145, 147, 0, 0, 0, 0, 0, 54,
	55, 0, 64, 65, 66, 67, 68, 69, 70, 0,
	0, 0, 91, 76, 0, 0, 143, 0, 62, 0,
	96, 0, 0, 0, 57, 56, 58, 59, 72, 119,
	82, 83, 71, 0, 104, 105, 125, 87, 120, 0,
	0, 0, 0, 0, 94, 0, 0, 0, 0, 0,
	0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
	0, 0, 0, 44, 0, 0, 0, 0, 0, 0,
	0, 0, 0, 0, 0, 80, 81, 0, 0, 0,
	0, 0, 0, 0, 0, 51, 95, 0, 93, 109,
	110, 111, 106, 107, 0, 0, 0, 0, 0, 0,
	92, 0, 0, 0, 0, 148, 112, 108, 102, 0,
	84, 85, 86, 0, 0, 0, 0, 79, 52, 0,
	0, 0, 77, 145, 147, 0, 0, 0, 0, 0,
	54, 55, 0, 64, 65, 66, 67, 68, 69, 70,
	0, 0, 0, 91, 76, 0, 0, 0, 0, 62,
	0, 96, 0, 0, 0, 57, 56, 58, 59, 72,
	119, 82, 83, 71, 0, 104, 105, 125, 434, 120,
	0, 0, 0, 0, 0, 94, 0, 0, 0, 0,
	0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
	0, 0, 0, 0, 44, 0, 0, 0, 0, 0,
	0, 0, 0, 0, 0, 0, 80, 81, 0, 0,
	0, 0, 0, 0, 0, 0, 51, 95, 0, 93,
	109, 110, 111, 106, 107, 0, 0, 0, 0, 0,
	0, 92, 0, 0, 0, 0, 148, 112, 108, 102,
	0, 84, 85, 86, 0, 0, 0, 0, 79, 52,
	0, 0, 0, 77, 145, 147, 0, 0, 0, 0,
	0, 54, 55, 0, 64, 65, 66, 67, 68, 69,
	70, 0, 0, 0, 91, 76, 0, 0, 0, 0,
	62, 0, 96, 0, 0, 0, 57, 56, 58, 59,
	72, 119, 82, 83, 71, 0, 104, 105, 125, 87,
	120, 0, 0, 0, 0, 0, 94, 0, 0, 0,
	0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
	0, 0, 0, 0, 0, 44, 0, 0, 0, 0,
	0, 0, 0, 0, 0, 0, 0, 80, 81, 0,
	0, 0, 0, 0, 0, 0, 0, 51, 95, 0,
	93, 109, 110, 111, 106, 107, 0, 0, 0, 0,
	0, 0, 92, 0, 0, 0, 0, 148, 112, 108,
	102, 0, 84, 85, 86, 0, 0, 0, 0, 79,
	52, 104, 105, 125, 77, 41, 147, 0, 0, 0,
	0, 516, 54, 55, 0, 64, 65, 66, 67, 68,
	69, 70, 0, 0, 0, 91, 76, 0, 0, 0,
	0, 62, 0, 96, 0, 0, 0, 57, 56, 58,
	59, 72, 119, 0, 0, 0, 0, 0, 0, 0,
	0, 0, 0, 511, 0, 514, 109, 110, 111, 106,
	107, 0, 0, 0, 0, 0, 0, 517, 0, 0,
	0, 0, 509, 112, 108, 510, 104, 105, 125, 0,
	0, 0, 0, 0, 0, 0, 516, 0, 0, 0,
	0, 232, 0, 0, 0, 0, 0, 0, 0, 0,
	0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
	0, 0, 0, 0, 0, 775, 523, 0, 512, 0,
	0, 0, 522, 521, 519, 520, 0, 0, 511, 0,
	514, 109, 110, 111, 106, 107, 0, 0, 0, 0,
	0, 0, 517, 0, 0, 0, 0, 509, 112, 108,
	510, 0, 0, 0, 0, 0, 0, 0, 0, 0,
	0, 0, 0, 0, 0, 0, 232, 0, 0, 0,
	0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
	0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
	0, 523, 0, 512, 0, 0, 0, 522, 521, 519,
	520,
}
var yyPact = [...]int{

	-1000, -1000, 2439, -1000, -1000, -1000, -1000, 344, 547, 696,
	122, -1000, 376, -1000, -1000, 932, -1000, 290, -1000, -1000,
	340, 290, 7635, 7504, 7373, 416, 253, 796, 7766, -1000,
	5671, 339, 338, -1000, -1000, 452, 7766, 928, 72, 925,
	921, 7766, -1000, -1000, -1000, -1000, 745, -1000, 741, -1000,
	1113, 334, 7766, 469, 448, 448, 7766, 7766, 7766, 7766,
	-1000, -1000, 8028, -1000, 7766, 7766, 7766, 7766, 7766, 7766,
	7766, 332, -1000, -1000, 231, 230, 924, 7766, 723, 719,
	325, 324, 7766, 7766, 323, 7766, 7766, -1000, 226, -1000,
	-1000, 893, 846, -1000, 217, 322, 6980, -1000, 213, 205,
	-1000, 507, 861, 627, -1000, -1000, -1000, -1000, -1000, -1000,
	-1000, -1000, -1000, 139, 184, -1000, 616, -1000, -1000, 451,
	-1000, 288, 362, -1000, 861, -1000, 116, 697, 617, -1000,
	738, 861, -1000, 916, -1000, -13, 4142, 370, 8028, 290,
	4928, 7766, -1000, -1000, 5624, -1000, 72, 774, 535, -1000,
	5577, -1000, 415, 1245, 5759, -1000, 115, -1000, -1000, 474,
	107, 72, -21, 104, 5759, -1000, -1000, -1000, -1000, -1000,
	7766, 7766, 7766, 7766, 7766, 7766, 7766, 7766, 7766, 7766,
	7766, 7766, 7766, 7766, 7766, 7766, 7766, 7766, 7766, 7766,
	7766, 719, 366, 448, 7766, 318, -1000, 5530, 413, 915,
	-1000, 740, -1000, -1000, 1113, 5483, -1000, -1000, 7242, 7766,
	7766, 7766, 7766, 7766, 7766, 7766, 7766, 7766, 7766, 7766,
	7766, 392, -1000, -1000, -1000, -1000, -1000, 507, 520, 861,
	554, 552, -1000, -1000, -107, -107, -17, -107, 286, 5439,
	285, -107, -107, -107, -107, -107, -107, -107, -1000, 7111,
	-1000, 7766, 7766, 7766, 301, 868, 877, -1000, 268, 7897,
	448, 5971, 65, 292, 543, -1000, 507, 519, 861, 716,
	139, 184, 542, 7766, 7766, 5759, 5759, 7766, 5759, 5759,
	7766, 593, 868, 839, -1000, 779, 7766, 6980, 167, 62,
	5395, 448, 7766, 7766, 910, 292, 507, 56, 7766, 7766,
	139, 451, 112, 292, 7766, 411, -1000, -1000, 2308, 507,
	-1000, 706, 100, -1000, 703, 861, 99, -1000, 693, 861,
	901, 686, -23, 8188, -1000, -1000, -1000, -1000, -1000, 314,
	4928, -1000, -1000, 802, 410, 27, 5759, 317, -1000, -1000,
	-1000, -1000, -1000, -1000, 253, -1000, 7766, -1000, -1000, 828,
	-1000, 8188, -1000, 7766, 7766, 7766, 7766, 7766, 5930, 1427,
	6322, 1629, 7, 7, 7, -17, -107, -17, -17, 22,
	22, 1441, 1441, 1441, 1441, 267, 267, 267, 267, -1000,
	7766, -1000, 67, -1000, -1000, 536, 786, 898, 4011, -1000,
	-1000, -1000, 312, -1000, 608, 737, 7766, 5971, 228, 5971,
	5971, 5971, 5971, 5971, 5971, 5971, 5971, 5971, 5971, 5971,
	5971, 58, -1000, -1000, 304, 861, 507, 65, 65, -1000,
	-1000, -1000, -1000, -107, 165, 5759, 164, -1000, -1000, -1000,
	-1000, 938, 896, 5314, 203, 423, -1000, 170, -1000, -1000,
	139, 184, -1000, 7766, -1000, -1000, 6325, 183, 861, 507,
	65, 139, 183, 34, -1000, 1113, -1000, 1045, 283, 5266,
	162, -1000, -1000, -1000, 142, 282, -1000, -1000, 6849, 6718,
	-1000, -1000, 134, 133, -1000, -1000, 292, -1000, -1000, -1000,
	-1000, 130, 5222, -1000, -1000, -1000, -1000, 5174, -1000, 2177,
	-1000, 292, -1000, -1000, 697, 892, 638, -1000, 617, 882,
	636, -1000, 880, 8188, -1000, 5715, -1000, -1000, 507, 515,
	861, 302, 8188, -1000, -1000, -1000, -1000, 746, 541, 8188,
	8188, 8188, 8188, 8188, 281, -1000, -1000, 4797, -1000, -1000,
	-1000, -1000, 408, 407, -1000, 5126, -38, 300, -1000, 5759,
	6194, 219, 5845, 5971, 5078, 7766, 396, 448, 391, 391,
	-8, -40, 768, 299, 767, 733, -1000, 507, 510, 861,
	442, 608, -1000, 1113, -1000, 719, -41, 392, 392, 507,
	-1000, -1000, -1000, 129, -1000, -1000, -1000, -1000, -1000, 7766,
	-1000, -1000, 190, 180, 292, 7766, 7766, 139, 5032, -1000,
	-30, 276, -1000, -1000, 1113, 448, 7766, -1000, 507, -1000,
	-1000, -1000, 7766, -1000, -1000, -1000, -1000, -1000, -1000, 4984,
	448, 5759, 448, -1000, -1000, -1000, 292, 292, -1000, -1000,
	292, 292, -1000, -1000, -1000, -1000, -1000, 873, -1000, -1000,
	871, -1000, -1000, 8188, 8188, 8188, 8188, 8188, 8188, 8188,
	8188, 8188, 8188, 8188, 8188, 8188, 8188, 8188, 8188, 8188,
	8188, 8188, 8188, 8188, 8188, 8188, 8188, 8188, 8188, 8113,
	861, 507, 8188, 127, 21, 4940, 596, 800, -63, -63,
	-46, -46, 2005, 395, -1000, 4273, -1000, -1000, -1000, 290,
	7766, 7766, 464, -1000, 897, -1000, -1000, 8188, 767, -1000,
	6098, -1000, -1000, 663, -1000, 448, 298, 663, 4666, 865,
	8188, 763, 297, 767, 274, 20, -1000, 72, -1000, -1000,
	-1000, 440, 608, 861, 507, -1000, 19, -1000, -1000, 7766,
	-1000, -36, -1000, 188, -1000, 1961, 666, 7766, 7766, -1000,
	106, 1728, -1000, -1000, 6456, -1000, -1000, 5759, 668, -1000,
	6587, -1000, -1000, -1000, -1000, -1000, -1000, -1000, -1000, 1870,
	-46, -46, -63, -63, -63, -63, -19, 1772, 51, 1,
	1, -46, 5888, 6014, 5802, 119, 6116, 967, 967, 967,
	967, 137, 137, 137, 137, 8188, 1677, 507, 266, -1000,
	-1000, 8188, 8188, -1000, -1000, -1000, -1000, 501, -1000, 3880,
	394, 393, 5759, -1000, 7766, 296, 461, 389, 886, -1000,
	265, 7766, 264, 391, -1000, 392, 236, -1000, -1000, -1000,
	-45, -1000, -1000, -1000, -1000, 235, 758, 767, 495, -1000,
	19, 507, 1942, 608, 292, 5971, -1000, -1000, 138, 666,
	7766, -1000, 65, 422, -1000, 101, 98, -1000, -1000, -1000,
	-1000, 65, 5759, 448, -1000, 6057, 8188, -1000, 1574, 5715,
	-1000, 290, 4928, 493, 388, -1000, -1000, 1529, -1000, -1000,
	-1000, -1000, -1000, 386, 758, 6098, 4535, -1000, -42, 4535,
	3749, 8188, 439, 608, 435, 433, 291, -1000, 824, -1000,
	1862, -1000, -1000, -1000, -43, -1000, 774, 798, -1000, 858,
	608, -1000, -1000, -1000, -1000, -1000, -1000, -1000, -1000, -1000,
	7766, 666, -1000, 93, -1000, -1000, -1000, -1000, -1000, -1000,
	6057, 8188, -1000, -1000, 482, 290, 347, -1000, 7766, -1000,
	-1000, -1000, 432, -1000, -1000, -1000, -1000, -1000, 384, -1000,
	-1000, -1000, -1000, -1000, 240, -62, -1000, 822, -1000, 852,
	72, -1000, -64, -54, -1000, 75, 666, -1000, -1000, 5715,
	4928, 382, 346, -1000, 234, -1000, 4273, -1000, 3618, -1000,
	3487, 819, 3356, 3225, -48, -1000, 817, 8188, -50, -66,
	-67, 849, 8188, -1000, 608, -1000, 702, -1000, -1000, -1000,
	-1000, -1000, 4273, -1000, 4273, 3094, 380, -1000, 220, -1000,
	-1000, -1000, 186, -1000, -1000, -1000, 814, 8188, 8188, -1000,
	-1000, -1000, 418, 702, -1000, 379, 319, 754, 784, 505,
	-1000, -1000, 4404, -1000, -1000, -1000, -1000, 813, -72, -1000,
	-1000, 269, -1000, -1000, -1000, -1000, 608, 798, 840, 4273,
	-1000, -1000, -1000, 428, -1000, 8188, 767, -35, -1000, 838,
	-1000, -1000, 2963, -1000, -1000, 187, 608, -1000, 270, 2832,
	359, -1000, -1000, -1000, -1000, -1000, -1000, 766, 2701, -1000,
	766, -1000, 185, -1000, -1000, 608, -1000, 807, -34, -1000,
	426, -1000, 2570, -1000,
}
var yyPgo = [...]int{

	0, 1294, 52, 46, 40, 102, 1293, 1289, 34, 508,
	1212, 42, 1273, 59, 63, 20, 786, 1374, 1288, 37,
	1287, 1286, 1285, 12, 1283, 49, 86, 1282, 1281, 1280,
	1279, 83, 1278, 1277, 61, 1276, 36, 47, 24, 1275,
	709, 41, 53, 0, 1274, 1272, 1271, 6, 1270, 1269,
	599, 1266, 1265, 58, 29, 161, 26, 28, 1264, 1263,
	1262, 14, 518, 1247, 54, 45, 1246, 17, 1218, 1217,
	1216, 1215, 1214, 1213, 1211, 1210, 1208, 1207, 1206, 1205,
	1203, 5, 1202, 1201, 1200, 1199, 1198, 1197, 44, 1195,
	1194, 30, 18, 1180, 1179, 1178, 1177, 1176, 1175, 13,
	1174, 1173, 1172, 1170, 1141, 1137, 1, 1123, 1120, 43,
	1118, 1117, 16, 1116, 22, 1115, 4, 1114, 1113, 1112,
	1111, 23, 1110, 1102, 1099, 51, 33, 19, 1094, 1093,
	1091, 1090, 1089, 27, 1088, 1087, 31, 1086, 1083, 1082,
	1080, 1073, 1071, 1069, 1068, 1067, 1064, 1061, 1055, 1053,
	2, 1051, 1049, 1048, 1046, 1045, 1044, 7, 1043, 1042,
	1038, 11, 8, 1034, 1033, 1026, 1024, 1023, 1022, 1020,
	1019, 1016, 1015, 1013, 1011, 1009, 1002, 997, 996, 993,
	992, 991, 989, 21, 987, 984, 982, 980, 978, 976,
	972, 971, 967, 966, 585, 32, 965, 961, 38, 3,
	959, 956, 947, 946, 934, 903,
}
var yyR1 = [...]int{

	0, 63, 42, 42, 43, 43, 1, 1, 1, 1,
	1, 1, 1, 1, 1, 1, 1, 44, 44, 2,
	2, 2, 2, 45, 45, 3, 3, 3, 3, 46,
	46, 4, 4, 4, 4, 66, 66, 47, 47, 22,
	22, 22, 22, 23, 23, 24, 68, 69, 24, 72,
	73, 24, 76, 77, 24, 79, 80, 24, 82, 83,
	84, 24, 86, 24, 24, 24, 24, 24, 24, 24,
	24, 24, 24, 24, 24, 24, 24, 24, 24, 24,
	93, 24, 24, 24, 24, 24, 96, 98, 100, 101,
	102, 96, 97, 104, 97, 103, 103, 105, 105, 107,
	108, 106, 90, 90, 109, 64, 65, 112, 112, 113,
	113, 115, 110, 119, 111, 123, 111, 117, 117, 117,
	117, 118, 118, 122, 124, 124, 120, 120, 125, 125,
	91, 91, 56, 56, 56, 85, 85, 92, 92, 95,
	95, 94, 94, 87, 87, 87, 87, 126, 128, 126,
	129, 126, 127, 127, 78, 78, 70, 130, 70, 74,
	131, 74, 71, 71, 75, 75, 116, 116, 132, 132,
	133, 133, 134, 134, 134, 134, 62, 62, 62, 135,
	135, 136, 136, 136, 136, 48, 48, 25, 25, 25,
	49, 49, 49, 49, 121, 121, 139, 137, 137, 137,
	144, 137, 142, 146, 146, 147, 147, 148, 148, 149,
	149, 150, 150, 151, 154, 154, 155, 155, 153, 152,
	152, 156, 156, 145, 145, 138, 138, 143, 143, 158,
	158, 157, 157, 157, 157, 157, 157, 140, 140, 140,
	140, 141, 141, 89, 89, 81, 81, 160, 159, 159,
	161, 161, 163, 163, 165, 164, 164, 164, 166, 167,
	166, 40, 13, 13, 13, 168, 13, 13, 13, 13,
	13, 13, 13, 13, 13, 13, 13, 13, 13, 13,
	13, 13, 13, 13, 169, 13, 170, 13, 171, 13,
	172, 13, 13, 13, 13, 13, 13, 13, 13, 13,
	13, 13, 13, 13, 13, 13, 13, 13, 13, 13,
	13, 13, 13, 13, 13, 13, 13, 13, 13, 13,
	173, 13, 174, 175, 13, 176, 13, 13, 13, 13,
	13, 13, 13, 13, 13, 13, 178, 13, 13, 13,
	13, 13, 13, 13, 182, 13, 184, 13, 88, 88,
	88, 88, 179, 179, 179, 179, 180, 180, 114, 183,
	183, 185, 185, 185, 185, 186, 21, 187, 21, 188,
	21, 189, 21, 190, 21, 191, 21, 192, 21, 193,
	21, 9, 9, 9, 9, 99, 99, 99, 41, 41,
	39, 39, 59, 59, 60, 177, 177, 177, 181, 181,
	181, 61, 61, 5, 5, 5, 5, 5, 5, 5,
	5, 5, 5, 5, 5, 6, 26, 194, 194, 194,
	194, 194, 194, 194, 194, 194, 194, 196, 196, 196,
	196, 196, 196, 196, 196, 196, 196, 196, 196, 196,
	196, 196, 196, 196, 196, 196, 196, 196, 196, 196,
	196, 196, 196, 196, 196, 196, 196, 196, 196, 196,
	33, 33, 33, 33, 27, 27, 27, 27, 27, 27,
	27, 195, 195, 198, 198, 197, 197, 197, 197, 12,
	12, 67, 67, 14, 15, 16, 17, 17, 200, 200,
	201, 162, 202, 202, 204, 203, 199, 199, 199, 38,
	38, 205, 205, 10, 20, 20, 18, 18, 18, 19,
	19, 19, 8, 8, 8, 7, 7, 11, 11, 57,
	57, 58, 58, 58, 37, 37, 55, 55, 54, 54,
	36, 36, 36, 53, 53, 52, 52, 52, 52, 52,
	52, 52, 52, 50, 50, 50, 50, 31, 31, 31,
	31, 31, 31, 32, 32, 32, 35, 35, 35, 35,
	35, 35, 35, 35, 51, 51, 34, 34, 28, 28,
	29, 30,
}
var yyR2 = [...]int{

	0, 1, 2, 0, 1, 3, 1, 1, 1, 4,
	3, 5, 4, 3, 4, 4, 2, 3, 1, 1,
	3, 2, 4, 3, 1, 1, 3, 2, 4, 3,
	1, 1, 3, 2, 4, 5, 4, 2, 0, 1,
	1, 1, 4, 1, 2, 3, 0, 0, 7, 0,
	0, 10, 0, 0, 5, 0, 0, 7, 0, 0,
	0, 12, 0, 4, 2, 3, 2, 3, 2, 3,
	3, 2, 3, 3, 3, 1, 2, 5, 8, 8,
	0, 6, 1, 6, 3, 3, 0, 0, 0, 0,
	0, 13, 0, 0, 5, 1, 0, 1, 2, 0,
	0, 10, 1, 3, 1, 1, 1, 0, 1, 0,
	1, 0, 10, 0, 8, 0, 7, 1, 2, 1,
	2, 0, 2, 1, 0, 2, 0, 2, 1, 3,
	0, 2, 1, 2, 4, 1, 4, 1, 4, 1,
	4, 3, 5, 3, 4, 4, 5, 0, 0, 6,
	0, 5, 1, 1, 1, 4, 0, 0, 5, 0,
	0, 6, 0, 2, 0, 3, 1, 0, 1, 3,
	4, 6, 0, 1, 1, 1, 2, 3, 3, 1,
	3, 1, 1, 2, 2, 3, 1, 1, 2, 4,
	3, 5, 1, 3, 2, 0, 0, 4, 2, 1,
	0, 9, 3, 1, 3, 1, 3, 0, 1, 1,
	2, 2, 2, 3, 1, 3, 1, 1, 3, 4,
	3, 0, 1, 1, 3, 1, 1, 0, 1, 1,
	2, 1, 1, 1, 1, 1, 1, 3, 5, 1,
	3, 5, 4, 3, 1, 0, 1, 0, 4, 1,
	2, 1, 4, 3, 0, 3, 1, 1, 0, 0,
	2, 3, 6, 3, 4, 0, 7, 2, 3, 3,
	3, 3, 3, 3, 3, 3, 3, 3, 3, 3,
	2, 2, 2, 2, 0, 4, 0, 4, 0, 4,
	0, 4, 3, 3, 3, 3, 3, 3, 3, 3,
	3, 3, 3, 3, 3, 2, 2, 2, 2, 3,
	3, 3, 3, 3, 3, 3, 3, 3, 1, 1,
	0, 5, 0, 0, 7, 0, 5, 1, 2, 2,
	2, 2, 2, 2, 2, 2, 0, 3, 1, 1,
	1, 3, 2, 1, 0, 10, 0, 11, 2, 2,
	4, 4, 4, 4, 4, 4, 4, 3, 1, 0,
	4, 3, 4, 1, 2, 0, 3, 0, 5, 0,
	4, 0, 5, 0, 5, 0, 5, 0, 5, 0,
	3, 1, 1, 3, 2, 1, 3, 2, 1, 1,
	4, 1, 2, 0, 2, 0, 2, 1, 0, 1,
	1, 0, 1, 1, 1, 1, 1, 1, 1, 1,
	1, 1, 1, 3, 2, 3, 1, 1, 1, 1,
	3, 2, 4, 3, 1, 1, 1, 4, 3, 3,
	3, 3, 3, 3, 2, 2, 3, 3, 3, 3,
	3, 3, 3, 3, 3, 3, 3, 3, 3, 3,
	3, 3, 3, 3, 3, 4, 5, 2, 2, 3,
	1, 1, 3, 2, 1, 1, 1, 1, 3, 3,
	1, 0, 2, 0, 1, 5, 3, 3, 1, 1,
	1, 3, 3, 1, 1, 1, 5, 1, 2, 0,
	0, 4, 4, 4, 0, 2, 1, 1, 0, 1,
	2, 3, 3, 1, 4, 4, 1, 1, 1, 1,
	2, 1, 4, 4, 1, 1, 4, 0, 1, 1,
	1, 4, 4, 1, 1, 3, 1, 2, 3, 1,
	1, 4, 0, 0, 2, 5, 3, 3, 1, 6,
	4, 4, 2, 2, 2, 1, 2, 1, 4, 3,
	3, 6, 3, 1, 1, 1, 4, 4, 4, 2,
	2, 4, 2, 2, 1, 3, 1, 1, 3, 3,
	3, 3,
}
var yyChk = [...]int{

	-1000, -63, -42, -1, -23, -64, -65, 51, 79, 44,
	-66, -24, 10, -110, -111, 38, 119, 7, 21, 20,
	23, 30, 34, 35, 39, -88, 46, 98, 19, 14,
	-12, 48, 25, 27, 121, 40, 43, 36, -114, -117,
	-122, 97, -14, -13, 37, 52, 99, 53, 100, 54,
	-17, 59, 92, -16, 104, 105, 130, 129, 131, 132,
	-67, -40, 123, -35, 107, 108, 109, 110, 111, 112,
	113, 6, 133, -27, -179, -180, 118, 96, -18, 91,
	49, 50, 4, 5, 84, 85, 86, 11, -33, -30,
	-5, 117, 74, 62, 18, 60, 125, -19, -20, -21,
	-28, -43, 82, -9, 8, 9, 66, 67, 81, 63,
	64, 65, 80, -8, -55, -205, -10, -38, -7, 134,
	12, 123, -43, 119, 82, 10, -44, 37, 38, -2,
	-43, 82, 121, 135, 122, 10, -47, -67, 123, -76,
	-79, 123, -67, 121, -12, 97, -114, 98, 79, 121,
	-12, 121, -13, -17, -12, 121, -48, -25, 12, 134,
	-49, -114, 12, -89, -12, 121, 149, 150, 87, 89,
	88, 151, 128, 152, 163, 130, 129, 164, 167, 165,
	166, 161, 162, 155, 156, 153, 154, 157, 158, 159,
	160, 90, 127, 123, 123, -93, 119, -12, 10, -112,
	128, 10, 10, -13, -17, -12, 52, 52, 136, 137,
	138, 139, 148, 140, 141, 142, 143, 144, 145, 146,
	147, 123, -12, 104, 105, -16, -17, -43, 79, 82,
	-9, -10, 98, -16, -12, -12, -12, -12, -40, -12,
	-88, -12, -12, -12, -12, -12, -12, -12, -177, 123,
	-67, -178, 125, 125, -181, 17, -50, -31, 12, 76,
	77, -12, 57, -41, -9, -39, -43, 79, 82, -19,
	-8, -55, -10, 123, 123, -12, -12, 123, -12, -12,
	125, -50, 17, 17, 75, -50, 125, 123, -53, -52,
	-12, 128, 125, 125, 82, -186, -43, 78, 125, 119,
	-8, 134, 78, -193, 119, 124, 121, 119, -42, -43,
	121, 135, -45, -3, -43, 82, -46, -4, -43, 82,
	29, -43, 10, 136, -22, 120, -23, -64, -65, 51,
	-68, 122, -67, -23, -81, -159, -12, -86, 121, -112,
	121, 121, 121, 121, 135, -14, 119, -17, 121, 135,
	-112, 136, 121, 135, -169, -170, -171, -172, -12, -12,
	-12, -12, -12, -12, -12, -12, -12, -12, -12, -12,
	-12, -12, -12, -12, -12, -12, -12, -12, -12, -41,
	-174, 122, -90, -109, -17, -17, -13, 123, -47, 121,
	121, 10, -182, -118, 55, -123, 58, -12, 128, -12,
	-12, -12, -12, -12, -12, -12, -12, -12, -12, -12,
	-12, -54, -36, -17, 59, 82, -43, 78, 78, 124,
	124, 124, 124, -12, -11, -12, -11, 118, -31, -31,
	17, 125, 57, -12, 11, -17, -57, -58, -38, -37,
	-8, -55, 10, 119, -61, -62, 123, 78, 82, -43,
	57, -8, 78, -51, -34, -17, -13, -17, -13, -12,
	-11, 117, 75, 75, -11, -53, 126, -198, 135, 58,
	-15, -17, -11, -11, 10, -62, -188, -37, -38, 10,
	52, -11, -12, -37, -38, 10, -62, -12, 121, -42,
	120, -187, -2, 121, 135, 29, -43, 121, 135, 29,
	-43, 10, 29, 136, -26, -194, -5, -29, -43, 79,
	82, 60, 125, -6, 62, -196, 18, 74, -9, 131,
	132, 130, 129, 123, 123, -23, -72, -77, 21, 121,
	135, -87, 119, 122, -25, -12, 12, -184, -26, -12,
	-12, -12, -12, -12, -12, -176, 124, 135, 29, 29,
	-94, 10, 120, -115, 123, -119, -99, -43, 79, 82,
	-124, 55, -13, -17, -17, 91, 124, 135, 123, -43,
	-173, 126, 126, -32, 10, 13, 12, 10, 120, 125,
	120, -199, -203, -202, -204, 125, 119, -8, -12, 124,
	-135, -88, -136, -13, -17, 128, 83, -38, -43, -57,
	-38, 124, 135, 124, 124, 124, 126, 126, 124, -12,
	128, -12, 128, 126, 126, -62, -189, -190, 126, 120,
	-191, -192, 120, 120, -62, -3, 10, 29, -4, 10,
	29, 10, -26, 125, 130, 129, 164, 167, 165, 166,
	151, 128, 152, 161, 162, 163, 88, 89, 87, 150,
	149, 155, 156, 153, 154, 157, 159, 158, 160, 127,
	82, -43, 123, -195, -197, -194, 17, 78, -194, -194,
	-194, -194, -194, 124, -69, -47, -78, -23, 122, -80,
	-82, -160, -126, 121, -126, 121, 120, 136, 123, 122,
	-12, 121, -109, -56, -17, 128, 59, -56, 124, 135,
	136, -96, 41, 123, -116, -132, -133, -134, 60, 61,
	-99, -120, 56, 82, -43, 119, -125, -99, -41, 136,
	-36, -54, -166, -167, 126, -12, -200, 125, 125, -62,
	-11, -12, 120, 124, 135, 124, -15, -12, -59, -34,
	58, -15, -15, -62, -62, -62, -62, 10, 10, -194,
	-194, -194, -194, -194, -194, -194, -194, -194, -194, -194,
	-194, -194, -194, -194, -194, -194, -194, -194, -194, -194,
	-194, -194, -194, -194, -194, 122, -194, -43, -195, 126,
	-198, 135, 58, 10, 52, 124, 121, -70, -73, -47,
	-67, -81, -12, 120, 32, 33, -126, 31, -126, -26,
	-116, -175, -91, 58, -17, 123, -91, -95, -23, 122,
	10, -26, -97, 42, 123, -116, 124, 135, -112, 119,
	-125, -43, -121, 135, -168, -12, 124, -164, -163, -161,
	125, -162, 57, 126, -162, -11, -11, 126, 120, -136,
	-60, 57, -12, 128, 126, -194, 122, 124, -194, -194,
	-71, 93, 94, -74, 22, 121, 121, -12, -127, 122,
	121, 120, 121, 31, 124, -12, 124, -56, -54, 124,
	-47, 136, -104, -98, 124, -183, 44, -133, -113, 83,
	-121, 120, -137, -138, -141, -142, -143, -158, 47, 38,
	44, -157, 103, 102, 101, 98, 99, 100, -99, -61,
	125, -165, -162, -11, -57, 120, 126, 126, -57, -15,
	-194, 58, -67, -23, -75, 93, 94, 121, -83, -127,
	-129, 121, -183, -92, -23, 122, 124, -92, 28, -26,
	119, -99, 119, 119, 123, 12, 120, -139, 121, 135,
	-114, -157, 10, -146, -99, -11, -161, 126, -201, -194,
	-130, 95, -67, 122, -81, -128, -47, 119, -47, 121,
	-47, -100, -47, -47, -185, 12, 128, 136, -140, 12,
	10, -112, 136, -147, 135, 121, 119, 126, -199, -23,
	121, 122, -47, 124, -47, -47, 26, 120, 12, 120,
	120, 124, 135, 12, -26, 121, 135, 136, 136, 10,
	-26, -99, -148, -149, -150, -151, -152, -153, -155, -99,
	10, -131, -84, 120, 121, 124, 12, 128, 12, -26,
	-26, -144, 120, -150, 121, 121, 45, 29, 78, -47,
	-85, -23, 122, -101, 12, 136, 123, -154, -99, -156,
	-157, 10, -47, 119, -26, -116, 135, 10, 24, -47,
	124, -99, 121, 120, -145, 121, 119, -102, -47, -103,
	-105, -106, 41, 120, -106, 123, -99, -107, 12, 124,
	-108, 119, -47, 120,
}
var yyDef = [...]int{

	3, -2, 1, 2, 6, 7, 8, 0, 0, 0,
	0, 43, 4, 105, 106, 0, 38, 0, 52, 55,
	0, 0, 0, 0, 0, 0, 0, 381, 0, 75,
	0, 0, 0, 80, 82, 0, 0, 0, 107, 0,
	0, 343, 479, 480, 358, 117, 0, 119, 0, 123,
	-2, 0, 0, 0, 0, 0, 0, 0, 0, 0,
	318, 319, 0, 327, 0, 0, 0, 0, 0, 0,
	0, 395, 336, 338, 339, 340, 398, 0, 487, 0,
	0, 0, 0, 0, 0, 0, 0, 464, 465, 466,
	467, 0, 0, 470, 405, 0, 533, 506, 507, 508,
	460, -2, 0, 0, 403, 404, 406, 407, 408, 409,
	410, 411, 412, -2, 0, 511, 0, 379, 514, 526,
	515, 0, 0, 3, 0, 4, 0, 0, 0, 18,
	19, 0, 16, 0, 44, 0, 0, 46, 0, 0,
	0, 245, 62, 64, 0, 343, 107, 381, 0, 66,
	0, 68, 480, -2, 0, 71, 0, 186, 187, 0,
	0, 107, 192, 0, 244, 76, 284, 286, 288, 290,
	0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
	0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
	0, 0, 322, 0, 0, 0, 38, 0, 0, 344,
	108, 121, 115, -2, -2, 0, 118, 120, 0, 0,
	0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
	0, 532, 267, 280, 282, 281, 485, -2, 0, 0,
	0, 0, 381, 283, 305, 306, 307, 308, 319, 0,
	0, 328, 329, 330, 331, 332, 333, 334, 335, 0,
	397, 0, 517, 517, 0, 399, 400, 545, 547, 0,
	0, 342, 0, 401, 388, 389, 382, 0, 0, 391,
	-2, 0, 0, 0, 0, 559, 560, 0, 562, 563,
	517, 0, 0, 0, 414, 0, 517, 533, 0, 473,
	538, 0, 517, 517, 0, 0, -2, 0, 517, 0,
	-2, 527, 0, 0, 0, 0, 10, 3, 0, -2,
	13, 0, 0, 24, 25, 0, 0, 30, 31, 0,
	0, 21, 0, 0, 37, 45, 39, 40, 41, 0,
	0, 49, 53, 0, 0, 246, 249, 0, 65, 344,
	67, 69, 70, 72, 0, 188, 0, 483, 73, 0,
	346, 0, 74, 0, 0, 0, 0, 0, 292, 293,
	294, 295, 296, 297, 298, 299, 300, 301, 302, 303,
	304, -2, -2, -2, -2, -2, -2, -2, -2, 317,
	0, 325, 0, 102, 104, -2, 480, 0, 0, 84,
	85, 111, 0, 113, 0, 124, 0, 263, 0, 268,
	269, 270, 271, 272, 273, 274, 275, 276, 277, 278,
	279, 0, 529, 530, 0, 0, -2, 0, 0, 320,
	481, 482, 396, 337, 0, 518, 0, 341, 546, 543,
	544, 0, 0, 0, 464, 0, -2, 519, 520, 523,
	499, 0, 524, 0, 261, 402, 0, 0, 0, 384,
	0, 510, 0, 0, 564, -2, -2, -2, 480, 0,
	0, 468, 413, 469, 0, 0, 357, 534, 474, 0,
	542, 484, 0, 0, 5, 366, 0, 371, -2, -2,
	571, 0, 0, 375, -2, -2, 380, 0, 9, 0,
	12, 0, 17, 14, 0, 0, 27, 15, 0, 0,
	33, 20, 0, 0, 36, 416, 417, 418, -2, 0,
	0, 0, 471, 424, 425, 426, 405, 0, 0, 0,
	0, 0, 0, 0, 0, 47, 38, 0, 56, 58,
	247, 63, 147, 147, 185, 0, 190, 0, 193, 243,
	285, 287, 289, 291, 0, 0, 0, 0, 0, 0,
	0, 0, 86, 0, -2, 126, 122, 385, 0, 0,
	0, 0, -2, -2, 264, 0, 0, 532, 532, -2,
	-2, 353, 352, 0, 553, 554, 555, 549, 550, 0,
	552, 489, 496, 497, 0, 517, 0, 500, 0, 176,
	0, 0, 179, -2, -2, 0, 0, 501, 383, 393,
	502, 556, 0, 557, 558, 561, 355, 354, 356, 536,
	0, 537, 0, 504, 505, 370, 0, 0, 512, 513,
	0, 0, 516, 11, 368, 23, 26, 0, 29, 32,
	0, 22, 35, 0, 0, 0, 0, 0, 0, 0,
	0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
	0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
	0, -2, 471, 0, 473, 478, 0, 0, 434, 435,
	457, 458, 0, 0, 156, 50, 54, 154, 38, 0,
	245, 0, 0, 147, 0, 147, 189, 0, -2, 323,
	326, 77, 103, 130, 132, 0, 0, 130, 0, 0,
	0, 92, 0, -2, 0, 166, 168, 107, 173, 174,
	175, 0, 0, 0, 387, 195, 125, 128, 265, 0,
	528, 0, 321, 0, 548, 0, 486, 517, 517, 495,
	0, 0, 525, 177, 0, 178, 183, 184, 390, 565,
	0, 540, 541, 372, 374, 376, 378, 28, 34, 0,
	428, 429, 430, 431, 432, 433, 436, 437, 438, 439,
	440, 441, 442, 443, 444, 445, 446, -2, -2, -2,
	-2, -2, -2, -2, -2, 0, 0, -2, 0, 423,
	472, 474, 0, 415, 570, 459, 42, 162, 159, 0,
	0, 0, 248, 143, 0, 0, 0, 0, 0, 191,
	0, 0, 0, 0, 133, 532, 0, 81, 139, 38,
	0, 141, 83, 93, 87, 0, 359, 172, 109, 195,
	127, 386, 227, 0, 401, 262, 531, 260, -2, 257,
	517, 251, 0, 0, 488, 0, 0, 521, 522, 180,
	392, 0, 535, 0, 427, 455, 0, 422, 476, 477,
	48, 0, 0, 164, 0, 57, 59, 0, 150, 152,
	153, 144, 145, 0, 359, 324, 0, 131, 0, 0,
	0, 0, 0, 0, 0, 0, 0, 169, 0, 110,
	227, 116, 194, 196, 0, 199, 0, -2, 226, 0,
	0, 229, 231, 232, 233, 234, 235, 236, 129, 266,
	517, 0, 250, 0, 490, 551, 493, 492, 394, 539,
	456, 0, 157, 163, 0, 0, 0, 155, 245, 148,
	38, 146, 0, 78, 137, 38, 134, 79, 0, 142,
	38, 88, 38, 38, 0, 170, 114, 0, 198, 0,
	107, 230, 0, 0, 203, 0, 255, 253, -2, 475,
	0, 0, 0, 38, 0, 38, 151, 38, 0, 140,
	0, 0, 0, 0, 0, 363, 0, 0, 0, 239,
	0, 0, 0, 202, 0, 205, 207, 252, 491, 158,
	51, 160, 165, 60, 149, 0, 0, 94, 0, 112,
	345, 360, 0, 364, 171, 197, 0, 0, 0, 200,
	242, 204, 0, 208, 209, 0, 0, 217, 0, 0,
	-2, 38, 0, 347, 138, 89, 361, 0, 237, 240,
	241, 0, 206, 210, 211, 212, 0, 221, 0, 161,
	61, 135, 38, 0, 362, 0, -2, 213, 214, 0,
	-2, 218, 0, 38, 238, 0, 0, 219, 0, 0,
	0, 215, 136, 90, 201, 223, 38, 96, 0, 91,
	95, 97, 0, 224, 98, 0, 99, 0, 0, 100,
	0, 38, 0, 101,
}
var yyTok1 = [...]int{

	1, 3, 3, 3, 3, 3, 3, 3, 3, 3,
	3, 3, 3, 3, 3, 3, 3, 3, 3, 3,
	3, 3, 3, 3, 3, 3, 3, 3, 3, 3,
	3, 3, 3, 131, 117, 3, 134, 166, 128, 3,
	123, 124, 164, 130, 135, 129, 163, 165, 3, 3,
	3, 3, 3, 3, 3, 3, 3, 3, 122, 121,
	157, 136, 159, 127, 133, 3, 3, 3, 3, 3,
	3, 3, 3, 3, 3, 3, 3, 3, 3, 3,
	3, 3, 3, 3, 3, 3, 3, 3, 3, 3,
	3, 125, 3, 126, 152, 3, 118, 3, 3, 3,
	3, 3, 3, 3, 3, 3, 3, 3, 3, 3,
	3, 3, 3, 3, 3, 3, 3, 3, 3, 3,
	3, 3, 3, 119, 151, 120, 132,
}
var yyTok2 = [...]int{

	2, 3, 4, 5, 6, 7, 8, 9, 10, 11,
	12, 13, 14, 15, 16, 17, 18, 19, 20, 21,
	22, 23, 24, 25, 26, 27, 28, 29, 30, 31,
	32, 33, 34, 35, 36, 37, 38, 39, 40, 41,
	42, 43, 44, 45, 46, 47, 48, 49, 50, 51,
	52, 53, 54, 55, 56, 57, 58, 59, 60, 61,
	62, 63, 64, 65, 66, 67, 68, 69, 70, 71,
	72, 73, 74, 75, 76, 77, 78, 79, 80, 81,
	82, 83, 84, 85, 86, 87, 88, 89, 90, 91,
	92, 93, 94, 95, 96, 97, 98, 99, 100, 101,
	102, 103, 104, 105, 106, 107, 108, 109, 110, 111,
	112, 113, 114, 115, 116, 137, 138, 139, 140, 141,
	142, 143, 144, 145, 146, 147, 148, 149, 150, 153,
	154, 155, 156, 158, 160, 161, 162, 167,
}
var yyTok3 = [...]int{
	0,
}

var yyErrorMessages = [...]struct {
	state int
	token int
	msg   string
}{}

//line yaccpar:1

/*	parser for yacc output	*/

var (
	yyDebug        = 0
	yyErrorVerbose = false
)

type yyLexer interface {
	Lex(lval *yySymType) int
	Error(s string)
}

type yyParser interface {
	Parse(yyLexer) int
	Lookahead() int
}

type yyParserImpl struct {
	lval  yySymType
	stack [yyInitialStackSize]yySymType
	char  int
}

func (p *yyParserImpl) Lookahead() int {
	return p.char
}

func yyNewParser() yyParser {
	return &yyParserImpl{}
}

const yyFlag = -1000

func yyTokname(c int) string {
	if c >= 1 && c-1 < len(yyToknames) {
		if yyToknames[c-1] != "" {
			return yyToknames[c-1]
		}
	}
	return __yyfmt__.Sprintf("tok-%v", c)
}

func yyStatname(s int) string {
	if s >= 0 && s < len(yyStatenames) {
		if yyStatenames[s] != "" {
			return yyStatenames[s]
		}
	}
	return __yyfmt__.Sprintf("state-%v", s)
}

func yyErrorMessage(state, lookAhead int) string {
	const TOKSTART = 4

	if !yyErrorVerbose {
		return "syntax error"
	}

	for _, e := range yyErrorMessages {
		if e.state == state && e.token == lookAhead {
			return "syntax error: " + e.msg
		}
	}

	res := "syntax error: unexpected " + yyTokname(lookAhead)

	// To match Bison, suggest at most four expected tokens.
	expected := make([]int, 0, 4)

	// Look for shiftable tokens.
	base := yyPact[state]
	for tok := TOKSTART; tok-1 < len(yyToknames); tok++ {
		if n := base + tok; n >= 0 && n < yyLast && yyChk[yyAct[n]] == tok {
			if len(expected) == cap(expected) {
				return res
			}
			expected = append(expected, tok)
		}
	}

	if yyDef[state] == -2 {
		i := 0
		for yyExca[i] != -1 || yyExca[i+1] != state {
			i += 2
		}

		// Look for tokens that we accept or reduce.
		for i += 2; yyExca[i] >= 0; i += 2 {
			tok := yyExca[i]
			if tok < TOKSTART || yyExca[i+1] == 0 {
				continue
			}
			if len(expected) == cap(expected) {
				return res
			}
			expected = append(expected, tok)
		}

		// If the default action is to accept or reduce, give up.
		if yyExca[i+1] != 0 {
			return res
		}
	}

	for i, tok := range expected {
		if i == 0 {
			res += ", expecting "
		} else {
			res += " or "
		}
		res += yyTokname(tok)
	}
	return res
}

func yylex1(lex yyLexer, lval *yySymType) (char, token int) {
	token = 0
	char = lex.Lex(lval)
	if char <= 0 {
		token = yyTok1[0]
		goto out
	}
	if char < len(yyTok1) {
		token = yyTok1[char]
		goto out
	}
	if char >= yyPrivate {
		if char < yyPrivate+len(yyTok2) {
			token = yyTok2[char-yyPrivate]
			goto out
		}
	}
	for i := 0; i < len(yyTok3); i += 2 {
		token = yyTok3[i+0]
		if token == char {
			token = yyTok3[i+1]
			goto out
		}
	}

out:
	if token == 0 {
		token = yyTok2[1] /* unknown char */
	}
	if yyDebug >= 3 {
		__yyfmt__.Printf("lex %s(%d)\n", yyTokname(token), uint(char))
	}
	return char, token
}

func yyParse(yylex yyLexer) int {
	return yyNewParser().Parse(yylex)
}

func (yyrcvr *yyParserImpl) Parse(yylex yyLexer) int {
	var yyn int
	var yyVAL yySymType
	var yyDollar []yySymType
	_ = yyDollar // silence set and not used
	yyS := yyrcvr.stack[:]

	Nerrs := 0   /* number of errors */
	Errflag := 0 /* error recovery flag */
	yystate := 0
	yyrcvr.char = -1
	yytoken := -1 // yyrcvr.char translated into internal numbering
	defer func() {
		// Make sure we report no lookahead when not parsing.
		yystate = -1
		yyrcvr.char = -1
		yytoken = -1
	}()
	yyp := -1
	goto yystack

ret0:
	return 0

ret1:
	return 1

yystack:
	/* put a state and value onto the stack */
	if yyDebug >= 4 {
		__yyfmt__.Printf("char %v in %v\n", yyTokname(yytoken), yyStatname(yystate))
	}

	yyp++
	if yyp >= len(yyS) {
		nyys := make([]yySymType, len(yyS)*2)
		copy(nyys, yyS)
		yyS = nyys
	}
	yyS[yyp] = yyVAL
	yyS[yyp].yys = yystate

yynewstate:
	yyn = yyPact[yystate]
	if yyn <= yyFlag {
		goto yydefault /* simple state */
	}
	if yyrcvr.char < 0 {
		yyrcvr.char, yytoken = yylex1(yylex, &yyrcvr.lval)
	}
	yyn += yytoken
	if yyn < 0 || yyn >= yyLast {
		goto yydefault
	}
	yyn = yyAct[yyn]
	if yyChk[yyn] == yytoken { /* valid shift */
		yyrcvr.char = -1
		yytoken = -1
		yyVAL = yyrcvr.lval
		yystate = yyn
		if Errflag > 0 {
			Errflag--
		}
		goto yystack
	}

yydefault:
	/* default state action */
	yyn = yyDef[yystate]
	if yyn == -2 {
		if yyrcvr.char < 0 {
			yyrcvr.char, yytoken = yylex1(yylex, &yyrcvr.lval)
		}

		/* look through exception table */
		xi := 0
		for {
			if yyExca[xi+0] == -1 && yyExca[xi+1] == yystate {
				break
			}
			xi += 2
		}
		for xi += 2; ; xi += 2 {
			yyn = yyExca[xi+0]
			if yyn < 0 || yyn == yytoken {
				break
			}
		}
		yyn = yyExca[xi+1]
		if yyn < 0 {
			goto ret0
		}
	}
	if yyn == 0 {
		/* error ... attempt to resume parsing */
		switch Errflag {
		case 0: /* brand new error */
			yylex.Error(yyErrorMessage(yystate, yytoken))
			Nerrs++
			if yyDebug >= 1 {
				__yyfmt__.Printf("%s", yyStatname(yystate))
				__yyfmt__.Printf(" saw %s\n", yyTokname(yytoken))
			}
			fallthrough

		case 1, 2: /* incompletely recovered error ... try again */
			Errflag = 3

			/* find a state where "error" is a legal shift action */
			for yyp >= 0 {
				yyn = yyPact[yyS[yyp].yys] + yyErrCode
				if yyn >= 0 && yyn < yyLast {
					yystate = yyAct[yyn] /* simulate a shift of "error" */
					if yyChk[yystate] == yyErrCode {
						goto yystack
					}
				}

				/* the current p has no shift on "error", pop stack */
				if yyDebug >= 2 {
					__yyfmt__.Printf("error recovery pops state %d\n", yyS[yyp].yys)
				}
				yyp--
			}
			/* there is no state on the stack with an error shift ... abort */
			goto ret1

		case 3: /* no shift yet; clobber input char */
			if yyDebug >= 2 {
				__yyfmt__.Printf("error recovery discards %s\n", yyTokname(yytoken))
			}
			if yytoken == yyEofCode {
				goto ret1
			}
			yyrcvr.char = -1
			yytoken = -1
			goto yynewstate /* try again in the same state */
		}
	}

	/* reduction by production yyn */
	if yyDebug >= 2 {
		__yyfmt__.Printf("reduce %v in:\n\t%v\n", yyn, yyStatname(yystate))
	}

	yynt := yyn
	yypt := yyp
	_ = yypt // guard against "declared and not used"

	yyp -= yyR2[yyn]
	// yyp is now the index of $0. Perform the default action. Iff the
	// reduced production is ε, $1 is possibly out of range.
	if yyp+1 >= len(yyS) {
		nyys := make([]yySymType, len(yyS)*2)
		copy(nyys, yyS)
		yyS = nyys
	}
	yyVAL = yyS[yyp+1]

	/* consult goto table to find next state */
	yyn = yyR1[yyn]
	yyg := yyPgo[yyn]
	yyj := yyg + yyS[yyp].yys + 1

	if yyj >= yyLast {
		yystate = yyAct[yyg]
	} else {
		yystate = yyAct[yyj]
		if yyChk[yystate] != -yyn {
			yystate = yyAct[yyg]
		}
	}
	// dummy call; replaced with literal code
	switch yynt {

	case 1:
		yyDollar = yyS[yypt-1 : yypt+1]
		//line php5/php5.y:218
		{
			rootnode = stmt.NewStmtList(yyDollar[1].list)
		}
	case 2:
		yyDollar = yyS[yypt-2 : yypt+1]
		//line php5/php5.y:224
		{
			yyVAL.list = append(yyDollar[1].list, yyDollar[2].node)
		}
	case 3:
		yyDollar = yyS[yypt-0 : yypt+1]
		//line php5/php5.y:225
		{
			yyVAL.list = []node.Node{}
		}
	case 4:
		yyDollar = yyS[yypt-1 : yypt+1]
		//line php5/php5.y:230
		{
			namePart := name.NewNamePart(yyDollar[1].token.Value)
			positions.AddPosition(namePart, positionBuilder.NewTokenPosition(yyDollar[1].token))
			yyVAL.list = []node.Node{namePart}
			comments.AddComments(namePart, yyDollar[1].token.Comments())
		}
	case 5:
		yyDollar = yyS[yypt-3 : yypt+1]
		//line php5/php5.y:237
		{
			namePart := name.NewNamePart(yyDollar[3].token.Value)
			positions.AddPosition(namePart, positionBuilder.NewTokenPosition(yyDollar[3].token))
			yyVAL.list = append(yyDollar[1].list, namePart)
			comments.AddComments(namePart, yyDollar[3].token.Comments())
		}
	case 6:
		yyDollar = yyS[yypt-1 : yypt+1]
		//line php5/php5.y:246
		{
			yyVAL.node = yyDollar[1].node
		}
	case 7:
		yyDollar = yyS[yypt-1 : yypt+1]
		//line php5/php5.y:247
		{
			yyVAL.node = nil
		}
	case 8:
		yyDollar = yyS[yypt-1 : yypt+1]
		//line php5/php5.y:248
		{
			yyVAL.node = nil
		}
	case 9:
		yyDollar = yyS[yypt-4 : yypt+1]
		//line php5/php5.y:249
		{
			yyVAL.node = stmt.NewHaltCompiler()
		}
	case 10:
		yyDollar = yyS[yypt-3 : yypt+1]
		//line php5/php5.y:251
		{
			name := name.NewName(yyDollar[2].list)
			positions.AddPosition(name, positionBuilder.NewNodeListPosition(yyDollar[2].list))
			yyVAL.node = stmt.NewNamespace(name, nil)
			positions.AddPosition(yyVAL.node, positionBuilder.NewTokensPosition(yyDollar[1].token, yyDollar[3].token))

			comments.AddComments(name, ListGetFirstNodeComments(yyDollar[2].list))
			comments.AddComments(yyVAL.node, yyDollar[1].token.Comments())
		}
	case 11:
		yyDollar = yyS[yypt-5 : yypt+1]
		//line php5/php5.y:261
		{
			name := name.NewName(yyDollar[2].list)
			positions.AddPosition(name, positionBuilder.NewNodeListPosition(yyDollar[2].list))
			yyVAL.node = stmt.NewNamespace(name, yyDollar[4].list)
			positions.AddPosition(yyVAL.node, positionBuilder.NewTokensPosition(yyDollar[1].token, yyDollar[5].token))

			comments.AddComments(name, ListGetFirstNodeComments(yyDollar[2].list))
			comments.AddComments(yyVAL.node, yyDollar[1].token.Comments())
		}
	case 12:
		yyDollar = yyS[yypt-4 : yypt+1]
		//line php5/php5.y:271
		{
			yyVAL.node = stmt.NewNamespace(nil, yyDollar[3].list)
			positions.AddPosition(yyVAL.node, positionBuilder.NewTokensPosition(yyDollar[1].token, yyDollar[4].token))
			comments.AddComments(yyVAL.node, yyDollar[1].token.Comments())
		}
	case 13:
		yyDollar = yyS[yypt-3 : yypt+1]
		//line php5/php5.y:277
		{
			yyVAL.node = stmt.NewUseList(nil, yyDollar[2].list)
			positions.AddPosition(yyVAL.node, positionBuilder.NewTokensPosition(yyDollar[1].token, yyDollar[3].token))
			comments.AddComments(yyVAL.node, yyDollar[1].token.Comments())
		}
	case 14:
		yyDollar = yyS[yypt-4 : yypt+1]
		//line php5/php5.y:283
		{
			useType := node.NewIdentifier(yyDollar[2].token.Value)
			positions.AddPosition(yyVAL.node, positionBuilder.NewTokenPosition(yyDollar[2].token))
			comments.AddComments(yyVAL.node, yyDollar[2].token.Comments())

			yyVAL.node = stmt.NewUseList(useType, yyDollar[3].list)
			positions.AddPosition(yyVAL.node, positionBuilder.NewTokensPosition(yyDollar[1].token, yyDollar[4].token))
			comments.AddComments(yyVAL.node, yyDollar[1].token.Comments())
		}
	case 15:
		yyDollar = yyS[yypt-4 : yypt+1]
		//line php5/php5.y:293
		{
			useType := node.NewIdentifier(yyDollar[2].token.Value)
			positions.AddPosition(yyVAL.node, positionBuilder.NewTokenPosition(yyDollar[2].token))
			comments.AddComments(yyVAL.node, yyDollar[2].token.Comments())

			yyVAL.node = stmt.NewUseList(useType, yyDollar[3].list)
			positions.AddPosition(yyVAL.node, positionBuilder.NewTokensPosition(yyDollar[1].token, yyDollar[4].token))
			comments.AddComments(yyVAL.node, yyDollar[1].token.Comments())
		}
	case 16:
		yyDollar = yyS[yypt-2 : yypt+1]
		//line php5/php5.y:302
		{
			yyVAL.node = nil
		}
	case 17:
		yyDollar = yyS[yypt-3 : yypt+1]
		//line php5/php5.y:306
		{
			yyVAL.list = append(yyDollar[1].list, yyDollar[3].node)
		}
	case 18:
		yyDollar = yyS[yypt-1 : yypt+1]
		//line php5/php5.y:307
		{
			yyVAL.list = []node.Node{yyDollar[1].node}
		}
	case 19:
		yyDollar = yyS[yypt-1 : yypt+1]
		//line php5/php5.y:312
		{
			name := name.NewName(yyDollar[1].list)
			positions.AddPosition(name, positionBuilder.NewNodeListPosition(yyDollar[1].list))
			yyVAL.node = stmt.NewUse(nil, name, nil)
			positions.AddPosition(yyVAL.node, positionBuilder.NewNodeListPosition(yyDollar[1].list))

			comments.AddComments(name, ListGetFirstNodeComments(yyDollar[1].list))
			comments.AddComments(yyVAL.node, ListGetFirstNodeComments(yyDollar[1].list))
		}
	case 20:
		yyDollar = yyS[yypt-3 : yypt+1]
		//line php5/php5.y:322
		{
			name := name.NewName(yyDollar[1].list)
			positions.AddPosition(name, positionBuilder.NewNodeListPosition(yyDollar[1].list))
			alias := node.NewIdentifier(yyDollar[3].token.Value)
			positions.AddPosition(alias, positionBuilder.NewTokenPosition(yyDollar[3].token))
			yyVAL.node = stmt.NewUse(nil, name, alias)
			positions.AddPosition(yyVAL.node, positionBuilder.NewNodeListTokenPosition(yyDollar[1].list, yyDollar[3].token))

			comments.AddComments(name, ListGetFirstNodeComments(yyDollar[1].list))
			comments.AddComments(alias, yyDollar[3].token.Comments())
			comments.AddComments(yyVAL.node, ListGetFirstNodeComments(yyDollar[1].list))
		}
	case 21:
		yyDollar = yyS[yypt-2 : yypt+1]
		//line php5/php5.y:335
		{
			name := name.NewName(yyDollar[2].list)
			positions.AddPosition(name, positionBuilder.NewNodeListPosition(yyDollar[2].list))
			yyVAL.node = stmt.NewUse(nil, name, nil)
			positions.AddPosition(yyVAL.node, positionBuilder.NewNodeListPosition(yyDollar[2].list))

			comments.AddComments(name, ListGetFirstNodeComments(yyDollar[2].list))
			comments.AddComments(yyVAL.node, ListGetFirstNodeComments(yyDollar[2].list))
		}
	case 22:
		yyDollar = yyS[yypt-4 : yypt+1]
		//line php5/php5.y:345
		{
			name := name.NewName(yyDollar[2].list)
			positions.AddPosition(name, positionBuilder.NewNodeListPosition(yyDollar[2].list))
			alias := node.NewIdentifier(yyDollar[4].token.Value)
			positions.AddPosition(alias, positionBuilder.NewTokenPosition(yyDollar[4].token))
			yyVAL.node = stmt.NewUse(nil, name, alias)
			positions.AddPosition(yyVAL.node, positionBuilder.NewNodeListTokenPosition(yyDollar[2].list, yyDollar[4].token))

			comments.AddComments(name, ListGetFirstNodeComments(yyDollar[2].list))
			comments.AddComments(alias, yyDollar[4].token.Comments())
			comments.AddComments(yyVAL.node, ListGetFirstNodeComments(yyDollar[2].list))
		}
	case 23:
		yyDollar = yyS[yypt-3 : yypt+1]
		//line php5/php5.y:361
		{
			yyVAL.list = append(yyDollar[1].list, yyDollar[3].node)
		}
	case 24:
		yyDollar = yyS[yypt-1 : yypt+1]
		//line php5/php5.y:365
		{
			yyVAL.list = []node.Node{yyDollar[1].node}
		}
	case 25:
		yyDollar = yyS[yypt-1 : yypt+1]
		//line php5/php5.y:372
		{
			name := name.NewName(yyDollar[1].list)
			positions.AddPosition(name, positionBuilder.NewNodeListPosition(yyDollar[1].list))
			yyVAL.node = stmt.NewUse(nil, name, nil)
			positions.AddPosition(yyVAL.node, positionBuilder.NewNodeListPosition(yyDollar[1].list))

			comments.AddComments(name, ListGetFirstNodeComments(yyDollar[1].list))
			comments.AddComments(yyVAL.node, ListGetFirstNodeComments(yyDollar[1].list))
		}
	case 26:
		yyDollar = yyS[yypt-3 : yypt+1]
		//line php5/php5.y:382
		{
			name := name.NewName(yyDollar[1].list)
			positions.AddPosition(name, positionBuilder.NewNodeListPosition(yyDollar[1].list))
			alias := node.NewIdentifier(yyDollar[3].token.Value)
			positions.AddPosition(alias, positionBuilder.NewTokenPosition(yyDollar[3].token))
			yyVAL.node = stmt.NewUse(nil, name, alias)
			positions.AddPosition(yyVAL.node, positionBuilder.NewNodeListTokenPosition(yyDollar[1].list, yyDollar[3].token))

			comments.AddComments(name, ListGetFirstNodeComments(yyDollar[1].list))
			comments.AddComments(alias, yyDollar[3].token.Comments())
			comments.AddComments(yyVAL.node, ListGetFirstNodeComments(yyDollar[1].list))
		}
	case 27:
		yyDollar = yyS[yypt-2 : yypt+1]
		//line php5/php5.y:395
		{
			name := name.NewName(yyDollar[2].list)
			positions.AddPosition(name, positionBuilder.NewNodeListPosition(yyDollar[2].list))
			yyVAL.node = stmt.NewUse(nil, name, nil)
			positions.AddPosition(yyVAL.node, positionBuilder.NewNodeListPosition(yyDollar[2].list))

			comments.AddComments(name, ListGetFirstNodeComments(yyDollar[2].list))
			comments.AddComments(yyVAL.node, ListGetFirstNodeComments(yyDollar[2].list))
		}
	case 28:
		yyDollar = yyS[yypt-4 : yypt+1]
		//line php5/php5.y:405
		{
			name := name.NewName(yyDollar[2].list)
			positions.AddPosition(name, positionBuilder.NewNodeListPosition(yyDollar[2].list))
			alias := node.NewIdentifier(yyDollar[4].token.Value)
			positions.AddPosition(alias, positionBuilder.NewTokenPosition(yyDollar[4].token))
			yyVAL.node = stmt.NewUse(nil, name, alias)
			positions.AddPosition(yyVAL.node, positionBuilder.NewNodeListTokenPosition(yyDollar[2].list, yyDollar[4].token))

			comments.AddComments(name, ListGetFirstNodeComments(yyDollar[2].list))
			comments.AddComments(alias, yyDollar[4].token.Comments())
			comments.AddComments(yyVAL.node, ListGetFirstNodeComments(yyDollar[2].list))
		}
	case 29:
		yyDollar = yyS[yypt-3 : yypt+1]
		//line php5/php5.y:421
		{
			yyVAL.list = append(yyDollar[1].list, yyDollar[3].node)
		}
	case 30:
		yyDollar = yyS[yypt-1 : yypt+1]
		//line php5/php5.y:425
		{
			yyVAL.list = []node.Node{yyDollar[1].node}
		}
	case 31:
		yyDollar = yyS[yypt-1 : yypt+1]
		//line php5/php5.y:432
		{
			name := name.NewName(yyDollar[1].list)
			positions.AddPosition(name, positionBuilder.NewNodeListPosition(yyDollar[1].list))
			yyVAL.node = stmt.NewUse(nil, name, nil)
			positions.AddPosition(yyVAL.node, positionBuilder.NewNodeListPosition(yyDollar[1].list))

			comments.AddComments(name, ListGetFirstNodeComments(yyDollar[1].list))
			comments.AddComments(yyVAL.node, ListGetFirstNodeComments(yyDollar[1].list))
		}
	case 32:
		yyDollar = yyS[yypt-3 : yypt+1]
		//line php5/php5.y:442
		{
			name := name.NewName(yyDollar[1].list)
			positions.AddPosition(name, positionBuilder.NewNodeListPosition(yyDollar[1].list))
			alias := node.NewIdentifier(yyDollar[3].token.Value)
			positions.AddPosition(alias, positionBuilder.NewTokenPosition(yyDollar[3].token))
			yyVAL.node = stmt.NewUse(nil, name, alias)
			positions.AddPosition(yyVAL.node, positionBuilder.NewNodeListTokenPosition(yyDollar[1].list, yyDollar[3].token))

			comments.AddComments(name, ListGetFirstNodeComments(yyDollar[1].list))
			comments.AddComments(alias, yyDollar[3].token.Comments())
			comments.AddComments(yyVAL.node, ListGetFirstNodeComments(yyDollar[1].list))
		}
	case 33:
		yyDollar = yyS[yypt-2 : yypt+1]
		//line php5/php5.y:455
		{
			name := name.NewName(yyDollar[2].list)
			positions.AddPosition(name, positionBuilder.NewNodeListPosition(yyDollar[2].list))
			yyVAL.node = stmt.NewUse(nil, name, nil)
			positions.AddPosition(yyVAL.node, positionBuilder.NewNodeListPosition(yyDollar[2].list))

			comments.AddComments(name, ListGetFirstNodeComments(yyDollar[2].list))
			comments.AddComments(yyVAL.node, ListGetFirstNodeComments(yyDollar[2].list))
		}
	case 34:
		yyDollar = yyS[yypt-4 : yypt+1]
		//line php5/php5.y:465
		{
			name := name.NewName(yyDollar[2].list)
			positions.AddPosition(name, positionBuilder.NewNodeListPosition(yyDollar[2].list))
			alias := node.NewIdentifier(yyDollar[4].token.Value)
			positions.AddPosition(alias, positionBuilder.NewTokenPosition(yyDollar[4].token))
			yyVAL.node = stmt.NewUse(nil, name, alias)
			positions.AddPosition(yyVAL.node, positionBuilder.NewNodeListTokenPosition(yyDollar[2].list, yyDollar[4].token))

			comments.AddComments(name, ListGetFirstNodeComments(yyDollar[2].list))
			comments.AddComments(alias, yyDollar[4].token.Comments())
			comments.AddComments(yyVAL.node, ListGetFirstNodeComments(yyDollar[2].list))
		}
	case 35:
		yyDollar = yyS[yypt-5 : yypt+1]
		//line php5/php5.y:480
		{
		}
	case 36:
		yyDollar = yyS[yypt-4 : yypt+1]
		//line php5/php5.y:481
		{
		}
	case 37:
		yyDollar = yyS[yypt-2 : yypt+1]
		//line php5/php5.y:485
		{
			yyVAL.list = append(yyDollar[1].list, yyDollar[2].node)
		}
	case 38:
		yyDollar = yyS[yypt-0 : yypt+1]
		//line php5/php5.y:486
		{
			yyVAL.list = []node.Node{}
		}
	case 39:
		yyDollar = yyS[yypt-1 : yypt+1]
		//line php5/php5.y:491
		{
			yyVAL.node = yyDollar[1].node
		}
	case 40:
		yyDollar = yyS[yypt-1 : yypt+1]
		//line php5/php5.y:492
		{
			yyVAL.node = nil
		}
	case 41:
		yyDollar = yyS[yypt-1 : yypt+1]
		//line php5/php5.y:493
		{
		}
	case 42:
		yyDollar = yyS[yypt-4 : yypt+1]
		//line php5/php5.y:494
		{
		}
	case 43:
		yyDollar = yyS[yypt-1 : yypt+1]
		//line php5/php5.y:499
		{
			yyVAL.node = yyDollar[1].node
		}
	case 44:
		yyDollar = yyS[yypt-2 : yypt+1]
		//line php5/php5.y:500
		{
		}
	case 45:
		yyDollar = yyS[yypt-3 : yypt+1]
		//line php5/php5.y:504
		{
		}
	case 46:
		yyDollar = yyS[yypt-2 : yypt+1]
		//line php5/php5.y:505
		{
		}
	case 47:
		yyDollar = yyS[yypt-4 : yypt+1]
		//line php5/php5.y:505
		{
		}
	case 48:
		yyDollar = yyS[yypt-7 : yypt+1]
		//line php5/php5.y:505
		{
		}
	case 49:
		yyDollar = yyS[yypt-3 : yypt+1]
		//line php5/php5.y:506
		{
		}
	case 50:
		yyDollar = yyS[yypt-5 : yypt+1]
		//line php5/php5.y:506
		{
		}
	case 51:
		yyDollar = yyS[yypt-10 : yypt+1]
		//line php5/php5.y:506
		{
		}
	case 52:
		yyDollar = yyS[yypt-1 : yypt+1]
		//line php5/php5.y:507
		{
		}
	case 53:
		yyDollar = yyS[yypt-3 : yypt+1]
		//line php5/php5.y:507
		{
		}
	case 54:
		yyDollar = yyS[yypt-5 : yypt+1]
		//line php5/php5.y:507
		{
		}
	case 55:
		yyDollar = yyS[yypt-1 : yypt+1]
		//line php5/php5.y:508
		{
		}
	case 56:
		yyDollar = yyS[yypt-4 : yypt+1]
		//line php5/php5.y:508
		{
		}
	case 57:
		yyDollar = yyS[yypt-7 : yypt+1]
		//line php5/php5.y:508
		{
		}
	case 58:
		yyDollar = yyS[yypt-4 : yypt+1]
		//line php5/php5.y:512
		{
		}
	case 59:
		yyDollar = yyS[yypt-7 : yypt+1]
		//line php5/php5.y:514
		{
		}
	case 60:
		yyDollar = yyS[yypt-10 : yypt+1]
		//line php5/php5.y:516
		{
		}
	case 61:
		yyDollar = yyS[yypt-12 : yypt+1]
		//line php5/php5.y:517
		{
		}
	case 62:
		yyDollar = yyS[yypt-2 : yypt+1]
		//line php5/php5.y:518
		{
		}
	case 63:
		yyDollar = yyS[yypt-4 : yypt+1]
		//line php5/php5.y:518
		{
		}
	case 64:
		yyDollar = yyS[yypt-2 : yypt+1]
		//line php5/php5.y:519
		{
		}
	case 65:
		yyDollar = yyS[yypt-3 : yypt+1]
		//line php5/php5.y:520
		{
		}
	case 66:
		yyDollar = yyS[yypt-2 : yypt+1]
		//line php5/php5.y:521
		{
		}
	case 67:
		yyDollar = yyS[yypt-3 : yypt+1]
		//line php5/php5.y:522
		{
		}
	case 68:
		yyDollar = yyS[yypt-2 : yypt+1]
		//line php5/php5.y:523
		{
		}
	case 69:
		yyDollar = yyS[yypt-3 : yypt+1]
		//line php5/php5.y:524
		{
		}
	case 70:
		yyDollar = yyS[yypt-3 : yypt+1]
		//line php5/php5.y:525
		{
		}
	case 71:
		yyDollar = yyS[yypt-2 : yypt+1]
		//line php5/php5.y:526
		{
		}
	case 72:
		yyDollar = yyS[yypt-3 : yypt+1]
		//line php5/php5.y:527
		{
		}
	case 73:
		yyDollar = yyS[yypt-3 : yypt+1]
		//line php5/php5.y:528
		{
		}
	case 74:
		yyDollar = yyS[yypt-3 : yypt+1]
		//line php5/php5.y:529
		{
		}
	case 75:
		yyDollar = yyS[yypt-1 : yypt+1]
		//line php5/php5.y:530
		{
		}
	case 76:
		yyDollar = yyS[yypt-2 : yypt+1]
		//line php5/php5.y:531
		{
			yyVAL.node = yyDollar[1].node
		}
	case 77:
		yyDollar = yyS[yypt-5 : yypt+1]
		//line php5/php5.y:532
		{
		}
	case 78:
		yyDollar = yyS[yypt-8 : yypt+1]
		//line php5/php5.y:533
		{
		}
	case 79:
		yyDollar = yyS[yypt-8 : yypt+1]
		//line php5/php5.y:534
		{
		}
	case 80:
		yyDollar = yyS[yypt-1 : yypt+1]
		//line php5/php5.y:535
		{
		}
	case 81:
		yyDollar = yyS[yypt-6 : yypt+1]
		//line php5/php5.y:535
		{
		}
	case 82:
		yyDollar = yyS[yypt-1 : yypt+1]
		//line php5/php5.y:536
		{
		}
	case 83:
		yyDollar = yyS[yypt-6 : yypt+1]
		//line php5/php5.y:537
		{
		}
	case 84:
		yyDollar = yyS[yypt-3 : yypt+1]
		//line php5/php5.y:538
		{
		}
	case 85:
		yyDollar = yyS[yypt-3 : yypt+1]
		//line php5/php5.y:539
		{
		}
	case 86:
		yyDollar = yyS[yypt-0 : yypt+1]
		//line php5/php5.y:543
		{
		}
	case 87:
		yyDollar = yyS[yypt-2 : yypt+1]
		//line php5/php5.y:544
		{
		}
	case 88:
		yyDollar = yyS[yypt-4 : yypt+1]
		//line php5/php5.y:545
		{
		}
	case 89:
		yyDollar = yyS[yypt-7 : yypt+1]
		//line php5/php5.y:546
		{
		}
	case 90:
		yyDollar = yyS[yypt-11 : yypt+1]
		//line php5/php5.y:547
		{
		}
	case 91:
		yyDollar = yyS[yypt-13 : yypt+1]
		//line php5/php5.y:548
		{
		}
	case 92:
		yyDollar = yyS[yypt-0 : yypt+1]
		//line php5/php5.y:551
		{
		}
	case 93:
		yyDollar = yyS[yypt-1 : yypt+1]
		//line php5/php5.y:552
		{
		}
	case 94:
		yyDollar = yyS[yypt-5 : yypt+1]
		//line php5/php5.y:552
		{
		}
	case 95:
		yyDollar = yyS[yypt-1 : yypt+1]
		//line php5/php5.y:556
		{
		}
	case 96:
		yyDollar = yyS[yypt-0 : yypt+1]
		//line php5/php5.y:557
		{
		}
	case 97:
		yyDollar = yyS[yypt-1 : yypt+1]
		//line php5/php5.y:561
		{
		}
	case 98:
		yyDollar = yyS[yypt-2 : yypt+1]
		//line php5/php5.y:562
		{
		}
	case 99:
		yyDollar = yyS[yypt-3 : yypt+1]
		//line php5/php5.y:566
		{
		}
	case 100:
		yyDollar = yyS[yypt-6 : yypt+1]
		//line php5/php5.y:566
		{
		}
	case 101:
		yyDollar = yyS[yypt-10 : yypt+1]
		//line php5/php5.y:566
		{
		}
	case 104:
		yyDollar = yyS[yypt-1 : yypt+1]
		//line php5/php5.y:575
		{
		}
	case 105:
		yyDollar = yyS[yypt-1 : yypt+1]
		//line php5/php5.y:579
		{
		}
	case 106:
		yyDollar = yyS[yypt-1 : yypt+1]
		//line php5/php5.y:583
		{
		}
	case 107:
		yyDollar = yyS[yypt-0 : yypt+1]
		//line php5/php5.y:587
		{
		}
	case 108:
		yyDollar = yyS[yypt-1 : yypt+1]
		//line php5/php5.y:588
		{
		}
	case 109:
		yyDollar = yyS[yypt-0 : yypt+1]
		//line php5/php5.y:592
		{
		}
	case 110:
		yyDollar = yyS[yypt-1 : yypt+1]
		//line php5/php5.y:593
		{
		}
	case 111:
		yyDollar = yyS[yypt-3 : yypt+1]
		//line php5/php5.y:597
		{
		}
	case 112:
		yyDollar = yyS[yypt-10 : yypt+1]
		//line php5/php5.y:599
		{
		}
	case 113:
		yyDollar = yyS[yypt-3 : yypt+1]
		//line php5/php5.y:604
		{
		}
	case 114:
		yyDollar = yyS[yypt-8 : yypt+1]
		//line php5/php5.y:608
		{
		}
	case 115:
		yyDollar = yyS[yypt-2 : yypt+1]
		//line php5/php5.y:610
		{
		}
	case 116:
		yyDollar = yyS[yypt-7 : yypt+1]
		//line php5/php5.y:614
		{
		}
	case 117:
		yyDollar = yyS[yypt-1 : yypt+1]
		//line php5/php5.y:619
		{
		}
	case 118:
		yyDollar = yyS[yypt-2 : yypt+1]
		//line php5/php5.y:620
		{
		}
	case 119:
		yyDollar = yyS[yypt-1 : yypt+1]
		//line php5/php5.y:621
		{
		}
	case 120:
		yyDollar = yyS[yypt-2 : yypt+1]
		//line php5/php5.y:622
		{
		}
	case 121:
		yyDollar = yyS[yypt-0 : yypt+1]
		//line php5/php5.y:626
		{
		}
	case 122:
		yyDollar = yyS[yypt-2 : yypt+1]
		//line php5/php5.y:627
		{
		}
	case 123:
		yyDollar = yyS[yypt-1 : yypt+1]
		//line php5/php5.y:631
		{
		}
	case 128:
		yyDollar = yyS[yypt-1 : yypt+1]
		//line php5/php5.y:645
		{
		}
	case 129:
		yyDollar = yyS[yypt-3 : yypt+1]
		//line php5/php5.y:646
		{
		}
	case 130:
		yyDollar = yyS[yypt-0 : yypt+1]
		//line php5/php5.y:650
		{
		}
	case 131:
		yyDollar = yyS[yypt-2 : yypt+1]
		//line php5/php5.y:651
		{
		}
	case 132:
		yyDollar = yyS[yypt-1 : yypt+1]
		//line php5/php5.y:656
		{
			yyVAL.foreachVariable = foreachVariable{yyDollar[1].node, false}
		}
	case 133:
		yyDollar = yyS[yypt-2 : yypt+1]
		//line php5/php5.y:658
		{
			yyVAL.foreachVariable = foreachVariable{yyDollar[2].node, true}
		}
	case 134:
		yyDollar = yyS[yypt-4 : yypt+1]
		//line php5/php5.y:660
		{
			list := expr.NewList(yyDollar[3].list)
			positions.AddPosition(list, positionBuilder.NewTokensPosition(yyDollar[1].token, yyDollar[4].token))
			yyVAL.foreachVariable = foreachVariable{list, false}
			comments.AddComments(list, yyDollar[1].token.Comments())
		}
	case 141:
		yyDollar = yyS[yypt-3 : yypt+1]
		//line php5/php5.y:687
		{
		}
	case 142:
		yyDollar = yyS[yypt-5 : yypt+1]
		//line php5/php5.y:688
		{
		}
	case 143:
		yyDollar = yyS[yypt-3 : yypt+1]
		//line php5/php5.y:693
		{
		}
	case 144:
		yyDollar = yyS[yypt-4 : yypt+1]
		//line php5/php5.y:694
		{
		}
	case 145:
		yyDollar = yyS[yypt-4 : yypt+1]
		//line php5/php5.y:695
		{
		}
	case 146:
		yyDollar = yyS[yypt-5 : yypt+1]
		//line php5/php5.y:696
		{
		}
	case 147:
		yyDollar = yyS[yypt-0 : yypt+1]
		//line php5/php5.y:701
		{
		}
	case 148:
		yyDollar = yyS[yypt-4 : yypt+1]
		//line php5/php5.y:702
		{
		}
	case 149:
		yyDollar = yyS[yypt-6 : yypt+1]
		//line php5/php5.y:702
		{
		}
	case 150:
		yyDollar = yyS[yypt-3 : yypt+1]
		//line php5/php5.y:703
		{
		}
	case 151:
		yyDollar = yyS[yypt-5 : yypt+1]
		//line php5/php5.y:703
		{
		}
	case 157:
		yyDollar = yyS[yypt-3 : yypt+1]
		//line php5/php5.y:722
		{
		}
	case 158:
		yyDollar = yyS[yypt-5 : yypt+1]
		//line php5/php5.y:722
		{
		}
	case 160:
		yyDollar = yyS[yypt-4 : yypt+1]
		//line php5/php5.y:728
		{
		}
	case 161:
		yyDollar = yyS[yypt-6 : yypt+1]
		//line php5/php5.y:728
		{
		}
	case 170:
		yyDollar = yyS[yypt-4 : yypt+1]
		//line php5/php5.y:757
		{
		}
	case 171:
		yyDollar = yyS[yypt-6 : yypt+1]
		//line php5/php5.y:759
		{
		}
	case 172:
		yyDollar = yyS[yypt-0 : yypt+1]
		//line php5/php5.y:764
		{
		}
	case 173:
		yyDollar = yyS[yypt-1 : yypt+1]
		//line php5/php5.y:765
		{
		}
	case 174:
		yyDollar = yyS[yypt-1 : yypt+1]
		//line php5/php5.y:766
		{
		}
	case 175:
		yyDollar = yyS[yypt-1 : yypt+1]
		//line php5/php5.y:767
		{
		}
	case 176:
		yyDollar = yyS[yypt-2 : yypt+1]
		//line php5/php5.y:773
		{
			yyVAL.nodesWithEndToken = &nodesWithEndToken{[]node.Node{}, yyDollar[2].token}
		}
	case 177:
		yyDollar = yyS[yypt-3 : yypt+1]
		//line php5/php5.y:774
		{
		}
	case 178:
		yyDollar = yyS[yypt-3 : yypt+1]
		//line php5/php5.y:775
		{
		}
	case 181:
		yyDollar = yyS[yypt-1 : yypt+1]
		//line php5/php5.y:785
		{
		}
	case 182:
		yyDollar = yyS[yypt-1 : yypt+1]
		//line php5/php5.y:786
		{
		}
	case 183:
		yyDollar = yyS[yypt-2 : yypt+1]
		//line php5/php5.y:787
		{
		}
	case 184:
		yyDollar = yyS[yypt-2 : yypt+1]
		//line php5/php5.y:788
		{
		}
	case 185:
		yyDollar = yyS[yypt-3 : yypt+1]
		//line php5/php5.y:792
		{
			yyVAL.list = append(yyDollar[1].list, yyDollar[3].node)
		}
	case 186:
		yyDollar = yyS[yypt-1 : yypt+1]
		//line php5/php5.y:793
		{
			yyVAL.list = []node.Node{yyDollar[1].node}
		}
	case 187:
		yyDollar = yyS[yypt-1 : yypt+1]
		//line php5/php5.y:799
		{
			name := node.NewIdentifier(yyDollar[1].token.Value)
			positions.AddPosition(name, positionBuilder.NewTokenPosition(yyDollar[1].token))
			yyVAL.node = expr.NewVariable(name)
			positions.AddPosition(yyVAL.node, positionBuilder.NewTokenPosition(yyDollar[1].token))

			comments.AddComments(name, yyDollar[1].token.Comments())
			comments.AddComments(yyVAL.node, yyDollar[1].token.Comments())
		}
	case 188:
		yyDollar = yyS[yypt-2 : yypt+1]
		//line php5/php5.y:809
		{
			yyVAL.node = expr.NewVariable(yyDollar[2].node)
			positions.AddPosition(yyVAL.node, positionBuilder.NewTokenNodePosition(yyDollar[1].token, yyDollar[2].node))
			comments.AddComments(yyVAL.node, yyDollar[1].token.Comments())
		}
	case 189:
		yyDollar = yyS[yypt-4 : yypt+1]
		//line php5/php5.y:815
		{
			yyVAL.node = expr.NewVariable(yyDollar[3].node)
			positions.AddPosition(yyVAL.node, positionBuilder.NewTokensPosition(yyDollar[1].token, yyDollar[4].token))
			comments.AddComments(yyVAL.node, yyDollar[1].token.Comments())
		}
	case 190:
		yyDollar = yyS[yypt-3 : yypt+1]
		//line php5/php5.y:825
		{
			identifier := node.NewIdentifier(yyDollar[3].token.Value)
			positions.AddPosition(identifier, positionBuilder.NewTokenPosition(yyDollar[3].token))

			variable := expr.NewVariable(identifier)
			positions.AddPosition(variable, positionBuilder.NewTokenPosition(yyDollar[3].token))

			staticVar := stmt.NewStaticVar(variable, nil)
			positions.AddPosition(staticVar, positionBuilder.NewTokenPosition(yyDollar[3].token))

			yyVAL.list = append(yyDollar[1].list, staticVar)

			comments.AddComments(identifier, yyDollar[3].token.Comments())
			comments.AddComments(variable, yyDollar[3].token.Comments())
			comments.AddComments(staticVar, yyDollar[3].token.Comments())
		}
	case 191:
		yyDollar = yyS[yypt-5 : yypt+1]
		//line php5/php5.y:842
		{
			identifier := node.NewIdentifier(yyDollar[3].token.Value)
			positions.AddPosition(identifier, positionBuilder.NewTokenPosition(yyDollar[3].token))

			variable := expr.NewVariable(identifier)
			positions.AddPosition(variable, positionBuilder.NewTokenPosition(yyDollar[3].token))

			staticVar := stmt.NewStaticVar(variable, yyDollar[5].node)
			positions.AddPosition(staticVar, positionBuilder.NewTokenNodePosition(yyDollar[3].token, yyDollar[5].node))

			yyVAL.list = append(yyDollar[1].list, staticVar)

			comments.AddComments(identifier, yyDollar[3].token.Comments())
			comments.AddComments(variable, yyDollar[3].token.Comments())
			comments.AddComments(staticVar, yyDollar[3].token.Comments())
		}
	case 192:
		yyDollar = yyS[yypt-1 : yypt+1]
		//line php5/php5.y:859
		{
			identifier := node.NewIdentifier(yyDollar[1].token.Value)
			positions.AddPosition(identifier, positionBuilder.NewTokenPosition(yyDollar[1].token))

			variable := expr.NewVariable(identifier)
			positions.AddPosition(variable, positionBuilder.NewTokenPosition(yyDollar[1].token))

			staticVar := stmt.NewStaticVar(variable, nil)
			positions.AddPosition(staticVar, positionBuilder.NewTokenPosition(yyDollar[1].token))

			yyVAL.list = []node.Node{staticVar}

			comments.AddComments(identifier, yyDollar[1].token.Comments())
			comments.AddComments(variable, yyDollar[1].token.Comments())
			comments.AddComments(staticVar, yyDollar[1].token.Comments())
		}
	case 193:
		yyDollar = yyS[yypt-3 : yypt+1]
		//line php5/php5.y:876
		{
			identifier := node.NewIdentifier(yyDollar[1].token.Value)
			positions.AddPosition(identifier, positionBuilder.NewTokenPosition(yyDollar[1].token))

			variable := expr.NewVariable(identifier)
			positions.AddPosition(variable, positionBuilder.NewTokenPosition(yyDollar[1].token))

			staticVar := stmt.NewStaticVar(variable, yyDollar[3].node)
			positions.AddPosition(staticVar, positionBuilder.NewTokenNodePosition(yyDollar[1].token, yyDollar[3].node))

			yyVAL.list = []node.Node{staticVar}

			comments.AddComments(identifier, yyDollar[1].token.Comments())
			comments.AddComments(variable, yyDollar[1].token.Comments())
			comments.AddComments(staticVar, yyDollar[1].token.Comments())
		}
	case 196:
		yyDollar = yyS[yypt-1 : yypt+1]
		//line php5/php5.y:903
		{
		}
	case 200:
		yyDollar = yyS[yypt-4 : yypt+1]
		//line php5/php5.y:906
		{
		}
	case 201:
		yyDollar = yyS[yypt-9 : yypt+1]
		//line php5/php5.y:908
		{
		}
	case 203:
		yyDollar = yyS[yypt-1 : yypt+1]
		//line php5/php5.y:916
		{
		}
	case 204:
		yyDollar = yyS[yypt-3 : yypt+1]
		//line php5/php5.y:917
		{
		}
	case 213:
		yyDollar = yyS[yypt-3 : yypt+1]
		//line php5/php5.y:941
		{
		}
	case 214:
		yyDollar = yyS[yypt-1 : yypt+1]
		//line php5/php5.y:945
		{
		}
	case 215:
		yyDollar = yyS[yypt-3 : yypt+1]
		//line php5/php5.y:946
		{
		}
	case 216:
		yyDollar = yyS[yypt-1 : yypt+1]
		//line php5/php5.y:950
		{
		}
	case 217:
		yyDollar = yyS[yypt-1 : yypt+1]
		//line php5/php5.y:951
		{
		}
	case 218:
		yyDollar = yyS[yypt-3 : yypt+1]
		//line php5/php5.y:955
		{
		}
	case 219:
		yyDollar = yyS[yypt-4 : yypt+1]
		//line php5/php5.y:959
		{
		}
	case 220:
		yyDollar = yyS[yypt-3 : yypt+1]
		//line php5/php5.y:960
		{
		}
	case 221:
		yyDollar = yyS[yypt-0 : yypt+1]
		//line php5/php5.y:964
		{
		}
	case 222:
		yyDollar = yyS[yypt-1 : yypt+1]
		//line php5/php5.y:965
		{
		}
	case 223:
		yyDollar = yyS[yypt-1 : yypt+1]
		//line php5/php5.y:969
		{
		}
	case 224:
		yyDollar = yyS[yypt-3 : yypt+1]
		//line php5/php5.y:970
		{
		}
	case 225:
		yyDollar = yyS[yypt-1 : yypt+1]
		//line php5/php5.y:974
		{
		}
	case 226:
		yyDollar = yyS[yypt-1 : yypt+1]
		//line php5/php5.y:975
		{
		}
	case 227:
		yyDollar = yyS[yypt-0 : yypt+1]
		//line php5/php5.y:979
		{
		}
	case 228:
		yyDollar = yyS[yypt-1 : yypt+1]
		//line php5/php5.y:980
		{
		}
	case 229:
		yyDollar = yyS[yypt-1 : yypt+1]
		//line php5/php5.y:984
		{
		}
	case 230:
		yyDollar = yyS[yypt-2 : yypt+1]
		//line php5/php5.y:985
		{
		}
	case 231:
		yyDollar = yyS[yypt-1 : yypt+1]
		//line php5/php5.y:989
		{
		}
	case 232:
		yyDollar = yyS[yypt-1 : yypt+1]
		//line php5/php5.y:990
		{
		}
	case 233:
		yyDollar = yyS[yypt-1 : yypt+1]
		//line php5/php5.y:991
		{
		}
	case 234:
		yyDollar = yyS[yypt-1 : yypt+1]
		//line php5/php5.y:992
		{
		}
	case 235:
		yyDollar = yyS[yypt-1 : yypt+1]
		//line php5/php5.y:993
		{
		}
	case 236:
		yyDollar = yyS[yypt-1 : yypt+1]
		//line php5/php5.y:994
		{
		}
	case 237:
		yyDollar = yyS[yypt-3 : yypt+1]
		//line php5/php5.y:998
		{
		}
	case 238:
		yyDollar = yyS[yypt-5 : yypt+1]
		//line php5/php5.y:999
		{
		}
	case 239:
		yyDollar = yyS[yypt-1 : yypt+1]
		//line php5/php5.y:1000
		{
		}
	case 240:
		yyDollar = yyS[yypt-3 : yypt+1]
		//line php5/php5.y:1001
		{
		}
	case 241:
		yyDollar = yyS[yypt-5 : yypt+1]
		//line php5/php5.y:1005
		{
		}
	case 242:
		yyDollar = yyS[yypt-4 : yypt+1]
		//line php5/php5.y:1006
		{
		}
	case 243:
		yyDollar = yyS[yypt-3 : yypt+1]
		//line php5/php5.y:1010
		{
		}
	case 244:
		yyDollar = yyS[yypt-1 : yypt+1]
		//line php5/php5.y:1011
		{
		}
	case 245:
		yyDollar = yyS[yypt-0 : yypt+1]
		//line php5/php5.y:1016
		{
		}
	case 246:
		yyDollar = yyS[yypt-1 : yypt+1]
		//line php5/php5.y:1017
		{
		}
	case 247:
		yyDollar = yyS[yypt-2 : yypt+1]
		//line php5/php5.y:1021
		{
		}
	case 248:
		yyDollar = yyS[yypt-4 : yypt+1]
		//line php5/php5.y:1021
		{
		}
	case 249:
		yyDollar = yyS[yypt-1 : yypt+1]
		//line php5/php5.y:1022
		{
		}
	case 250:
		yyDollar = yyS[yypt-2 : yypt+1]
		//line php5/php5.y:1026
		{
		}
	case 251:
		yyDollar = yyS[yypt-1 : yypt+1]
		//line php5/php5.y:1027
		{
		}
	case 252:
		yyDollar = yyS[yypt-4 : yypt+1]
		//line php5/php5.y:1031
		{
		}
	case 253:
		yyDollar = yyS[yypt-3 : yypt+1]
		//line php5/php5.y:1032
		{
		}
	case 254:
		yyDollar = yyS[yypt-1 : yypt+1]
		//line php5/php5.y:1036
		{
		}
	case 255:
		yyDollar = yyS[yypt-3 : yypt+1]
		//line php5/php5.y:1036
		{
		}
	case 256:
		yyDollar = yyS[yypt-1 : yypt+1]
		//line php5/php5.y:1037
		{
		}
	case 257:
		yyDollar = yyS[yypt-1 : yypt+1]
		//line php5/php5.y:1038
		{
		}
	case 258:
		yyDollar = yyS[yypt-0 : yypt+1]
		//line php5/php5.y:1042
		{
		}
	case 259:
		yyDollar = yyS[yypt-0 : yypt+1]
		//line php5/php5.y:1043
		{
		}
	case 260:
		yyDollar = yyS[yypt-2 : yypt+1]
		//line php5/php5.y:1044
		{
		}
	case 261:
		yyDollar = yyS[yypt-3 : yypt+1]
		//line php5/php5.y:1049
		{
			if yyDollar[3].nodesWithEndToken != nil {
				yyVAL.node = expr.NewNew(yyDollar[2].node, yyDollar[3].nodesWithEndToken.nodes)
				positions.AddPosition(yyVAL.node, positionBuilder.NewTokensPosition(yyDollar[1].token, yyDollar[3].nodesWithEndToken.endToken))
			} else {
				yyVAL.node = expr.NewNew(yyDollar[2].node, nil)
				positions.AddPosition(yyVAL.node, positionBuilder.NewTokenNodePosition(yyDollar[1].token, yyDollar[2].node))
			}

			comments.AddComments(yyVAL.node, yyDollar[1].token.Comments())
		}
	case 262:
		yyDollar = yyS[yypt-6 : yypt+1]
		//line php5/php5.y:1064
		{
			list := expr.NewList(yyDollar[3].list)
			positions.AddPosition(list, positionBuilder.NewTokensPosition(yyDollar[1].token, yyDollar[4].token))
			yyVAL.node = assign_op.NewAssign(list, yyDollar[6].node)
			positions.AddPosition(yyVAL.node, positionBuilder.NewTokenNodePosition(yyDollar[1].token, yyDollar[6].node))

			comments.AddComments(list, yyDollar[1].token.Comments())
			comments.AddComments(yyVAL.node, yyDollar[1].token.Comments())
		}
	case 263:
		yyDollar = yyS[yypt-3 : yypt+1]
		//line php5/php5.y:1073
		{
		}
	case 264:
		yyDollar = yyS[yypt-4 : yypt+1]
		//line php5/php5.y:1074
		{
		}
	case 265:
		yyDollar = yyS[yypt-5 : yypt+1]
		//line php5/php5.y:1075
		{
		}
	case 266:
		yyDollar = yyS[yypt-7 : yypt+1]
		//line php5/php5.y:1075
		{
		}
	case 267:
		yyDollar = yyS[yypt-2 : yypt+1]
		//line php5/php5.y:1076
		{
		}
	case 268:
		yyDollar = yyS[yypt-3 : yypt+1]
		//line php5/php5.y:1077
		{
		}
	case 269:
		yyDollar = yyS[yypt-3 : yypt+1]
		//line php5/php5.y:1078
		{
		}
	case 270:
		yyDollar = yyS[yypt-3 : yypt+1]
		//line php5/php5.y:1079
		{
		}
	case 271:
		yyDollar = yyS[yypt-3 : yypt+1]
		//line php5/php5.y:1080
		{
		}
	case 272:
		yyDollar = yyS[yypt-3 : yypt+1]
		//line php5/php5.y:1081
		{
		}
	case 273:
		yyDollar = yyS[yypt-3 : yypt+1]
		//line php5/php5.y:1082
		{
		}
	case 274:
		yyDollar = yyS[yypt-3 : yypt+1]
		//line php5/php5.y:1083
		{
		}
	case 275:
		yyDollar = yyS[yypt-3 : yypt+1]
		//line php5/php5.y:1084
		{
		}
	case 276:
		yyDollar = yyS[yypt-3 : yypt+1]
		//line php5/php5.y:1085
		{
		}
	case 277:
		yyDollar = yyS[yypt-3 : yypt+1]
		//line php5/php5.y:1086
		{
		}
	case 278:
		yyDollar = yyS[yypt-3 : yypt+1]
		//line php5/php5.y:1087
		{
		}
	case 279:
		yyDollar = yyS[yypt-3 : yypt+1]
		//line php5/php5.y:1088
		{
		}
	case 280:
		yyDollar = yyS[yypt-2 : yypt+1]
		//line php5/php5.y:1089
		{
		}
	case 281:
		yyDollar = yyS[yypt-2 : yypt+1]
		//line php5/php5.y:1090
		{
		}
	case 282:
		yyDollar = yyS[yypt-2 : yypt+1]
		//line php5/php5.y:1091
		{
		}
	case 283:
		yyDollar = yyS[yypt-2 : yypt+1]
		//line php5/php5.y:1092
		{
		}
	case 284:
		yyDollar = yyS[yypt-2 : yypt+1]
		//line php5/php5.y:1093
		{
		}
	case 285:
		yyDollar = yyS[yypt-4 : yypt+1]
		//line php5/php5.y:1093
		{
		}
	case 286:
		yyDollar = yyS[yypt-2 : yypt+1]
		//line php5/php5.y:1094
		{
		}
	case 287:
		yyDollar = yyS[yypt-4 : yypt+1]
		//line php5/php5.y:1094
		{
		}
	case 288:
		yyDollar = yyS[yypt-2 : yypt+1]
		//line php5/php5.y:1095
		{
		}
	case 289:
		yyDollar = yyS[yypt-4 : yypt+1]
		//line php5/php5.y:1095
		{
		}
	case 290:
		yyDollar = yyS[yypt-2 : yypt+1]
		//line php5/php5.y:1096
		{
		}
	case 291:
		yyDollar = yyS[yypt-4 : yypt+1]
		//line php5/php5.y:1096
		{
		}
	case 292:
		yyDollar = yyS[yypt-3 : yypt+1]
		//line php5/php5.y:1097
		{
		}
	case 293:
		yyDollar = yyS[yypt-3 : yypt+1]
		//line php5/php5.y:1098
		{
		}
	case 294:
		yyDollar = yyS[yypt-3 : yypt+1]
		//line php5/php5.y:1099
		{
		}
	case 295:
		yyDollar = yyS[yypt-3 : yypt+1]
		//line php5/php5.y:1100
		{
		}
	case 296:
		yyDollar = yyS[yypt-3 : yypt+1]
		//line php5/php5.y:1101
		{
		}
	case 297:
		yyDollar = yyS[yypt-3 : yypt+1]
		//line php5/php5.y:1102
		{
		}
	case 298:
		yyDollar = yyS[yypt-3 : yypt+1]
		//line php5/php5.y:1103
		{
		}
	case 299:
		yyDollar = yyS[yypt-3 : yypt+1]
		//line php5/php5.y:1104
		{
		}
	case 300:
		yyDollar = yyS[yypt-3 : yypt+1]
		//line php5/php5.y:1105
		{
		}
	case 301:
		yyDollar = yyS[yypt-3 : yypt+1]
		//line php5/php5.y:1106
		{
		}
	case 302:
		yyDollar = yyS[yypt-3 : yypt+1]
		//line php5/php5.y:1107
		{
		}
	case 303:
		yyDollar = yyS[yypt-3 : yypt+1]
		//line php5/php5.y:1108
		{
		}
	case 304:
		yyDollar = yyS[yypt-3 : yypt+1]
		//line php5/php5.y:1109
		{
		}
	case 305:
		yyDollar = yyS[yypt-2 : yypt+1]
		//line php5/php5.y:1110
		{
		}
	case 306:
		yyDollar = yyS[yypt-2 : yypt+1]
		//line php5/php5.y:1111
		{
		}
	case 307:
		yyDollar = yyS[yypt-2 : yypt+1]
		//line php5/php5.y:1112
		{
		}
	case 308:
		yyDollar = yyS[yypt-2 : yypt+1]
		//line php5/php5.y:1113
		{
		}
	case 309:
		yyDollar = yyS[yypt-3 : yypt+1]
		//line php5/php5.y:1114
		{
		}
	case 310:
		yyDollar = yyS[yypt-3 : yypt+1]
		//line php5/php5.y:1115
		{
		}
	case 311:
		yyDollar = yyS[yypt-3 : yypt+1]
		//line php5/php5.y:1116
		{
		}
	case 312:
		yyDollar = yyS[yypt-3 : yypt+1]
		//line php5/php5.y:1117
		{
		}
	case 313:
		yyDollar = yyS[yypt-3 : yypt+1]
		//line php5/php5.y:1118
		{
		}
	case 314:
		yyDollar = yyS[yypt-3 : yypt+1]
		//line php5/php5.y:1119
		{
		}
	case 315:
		yyDollar = yyS[yypt-3 : yypt+1]
		//line php5/php5.y:1120
		{
		}
	case 316:
		yyDollar = yyS[yypt-3 : yypt+1]
		//line php5/php5.y:1121
		{
		}
	case 317:
		yyDollar = yyS[yypt-3 : yypt+1]
		//line php5/php5.y:1122
		{
		}
	case 318:
		yyDollar = yyS[yypt-1 : yypt+1]
		//line php5/php5.y:1123
		{
		}
	case 319:
		yyDollar = yyS[yypt-1 : yypt+1]
		//line php5/php5.y:1125
		{
			yyVAL.node = yyDollar[1].node
		}
	case 320:
		yyDollar = yyS[yypt-3 : yypt+1]
		//line php5/php5.y:1126
		{
		}
	case 321:
		yyDollar = yyS[yypt-5 : yypt+1]
		//line php5/php5.y:1126
		{
		}
	case 322:
		yyDollar = yyS[yypt-2 : yypt+1]
		//line php5/php5.y:1127
		{
		}
	case 323:
		yyDollar = yyS[yypt-5 : yypt+1]
		//line php5/php5.y:1128
		{
		}
	case 324:
		yyDollar = yyS[yypt-7 : yypt+1]
		//line php5/php5.y:1129
		{
		}
	case 325:
		yyDollar = yyS[yypt-3 : yypt+1]
		//line php5/php5.y:1130
		{
		}
	case 326:
		yyDollar = yyS[yypt-5 : yypt+1]
		//line php5/php5.y:1131
		{
		}
	case 327:
		yyDollar = yyS[yypt-1 : yypt+1]
		//line php5/php5.y:1132
		{
		}
	case 328:
		yyDollar = yyS[yypt-2 : yypt+1]
		//line php5/php5.y:1133
		{
		}
	case 329:
		yyDollar = yyS[yypt-2 : yypt+1]
		//line php5/php5.y:1134
		{
		}
	case 330:
		yyDollar = yyS[yypt-2 : yypt+1]
		//line php5/php5.y:1135
		{
		}
	case 331:
		yyDollar = yyS[yypt-2 : yypt+1]
		//line php5/php5.y:1136
		{
		}
	case 332:
		yyDollar = yyS[yypt-2 : yypt+1]
		//line php5/php5.y:1137
		{
		}
	case 333:
		yyDollar = yyS[yypt-2 : yypt+1]
		//line php5/php5.y:1138
		{
		}
	case 334:
		yyDollar = yyS[yypt-2 : yypt+1]
		//line php5/php5.y:1139
		{
		}
	case 335:
		yyDollar = yyS[yypt-2 : yypt+1]
		//line php5/php5.y:1140
		{
		}
	case 336:
		yyDollar = yyS[yypt-1 : yypt+1]
		//line php5/php5.y:1141
		{
		}
	case 337:
		yyDollar = yyS[yypt-3 : yypt+1]
		//line php5/php5.y:1141
		{
		}
	case 338:
		yyDollar = yyS[yypt-1 : yypt+1]
		//line php5/php5.y:1142
		{
			yyVAL.node = yyDollar[1].node
		}
	case 339:
		yyDollar = yyS[yypt-1 : yypt+1]
		//line php5/php5.y:1143
		{
		}
	case 340:
		yyDollar = yyS[yypt-1 : yypt+1]
		//line php5/php5.y:1144
		{
		}
	case 341:
		yyDollar = yyS[yypt-3 : yypt+1]
		//line php5/php5.y:1145
		{
		}
	case 342:
		yyDollar = yyS[yypt-2 : yypt+1]
		//line php5/php5.y:1146
		{
		}
	case 343:
		yyDollar = yyS[yypt-1 : yypt+1]
		//line php5/php5.y:1147
		{
		}
	case 344:
		yyDollar = yyS[yypt-2 : yypt+1]
		//line php5/php5.y:1148
		{
		}
	case 345:
		yyDollar = yyS[yypt-10 : yypt+1]
		//line php5/php5.y:1150
		{
		}
	case 346:
		yyDollar = yyS[yypt-3 : yypt+1]
		//line php5/php5.y:1151
		{
		}
	case 347:
		yyDollar = yyS[yypt-11 : yypt+1]
		//line php5/php5.y:1153
		{
		}
	case 348:
		yyDollar = yyS[yypt-2 : yypt+1]
		//line php5/php5.y:1157
		{
		}
	case 349:
		yyDollar = yyS[yypt-2 : yypt+1]
		//line php5/php5.y:1158
		{
		}
	case 350:
		yyDollar = yyS[yypt-4 : yypt+1]
		//line php5/php5.y:1159
		{
		}
	case 351:
		yyDollar = yyS[yypt-4 : yypt+1]
		//line php5/php5.y:1160
		{
		}
	case 352:
		yyDollar = yyS[yypt-4 : yypt+1]
		//line php5/php5.y:1164
		{
		}
	case 353:
		yyDollar = yyS[yypt-4 : yypt+1]
		//line php5/php5.y:1165
		{
		}
	case 354:
		yyDollar = yyS[yypt-4 : yypt+1]
		//line php5/php5.y:1166
		{
		}
	case 355:
		yyDollar = yyS[yypt-4 : yypt+1]
		//line php5/php5.y:1167
		{
		}
	case 356:
		yyDollar = yyS[yypt-4 : yypt+1]
		//line php5/php5.y:1171
		{
		}
	case 357:
		yyDollar = yyS[yypt-3 : yypt+1]
		//line php5/php5.y:1172
		{
		}
	case 358:
		yyDollar = yyS[yypt-1 : yypt+1]
		//line php5/php5.y:1176
		{
		}
	case 361:
		yyDollar = yyS[yypt-3 : yypt+1]
		//line php5/php5.y:1185
		{
		}
	case 362:
		yyDollar = yyS[yypt-4 : yypt+1]
		//line php5/php5.y:1186
		{
		}
	case 363:
		yyDollar = yyS[yypt-1 : yypt+1]
		//line php5/php5.y:1187
		{
		}
	case 364:
		yyDollar = yyS[yypt-2 : yypt+1]
		//line php5/php5.y:1188
		{
		}
	case 365:
		yyDollar = yyS[yypt-1 : yypt+1]
		//line php5/php5.y:1192
		{
		}
	case 366:
		yyDollar = yyS[yypt-3 : yypt+1]
		//line php5/php5.y:1193
		{
		}
	case 367:
		yyDollar = yyS[yypt-3 : yypt+1]
		//line php5/php5.y:1194
		{
		}
	case 368:
		yyDollar = yyS[yypt-5 : yypt+1]
		//line php5/php5.y:1195
		{
		}
	case 369:
		yyDollar = yyS[yypt-2 : yypt+1]
		//line php5/php5.y:1196
		{
		}
	case 370:
		yyDollar = yyS[yypt-4 : yypt+1]
		//line php5/php5.y:1197
		{
		}
	case 371:
		yyDollar = yyS[yypt-3 : yypt+1]
		//line php5/php5.y:1198
		{
		}
	case 372:
		yyDollar = yyS[yypt-5 : yypt+1]
		//line php5/php5.y:1199
		{
		}
	case 373:
		yyDollar = yyS[yypt-3 : yypt+1]
		//line php5/php5.y:1200
		{
		}
	case 374:
		yyDollar = yyS[yypt-5 : yypt+1]
		//line php5/php5.y:1201
		{
		}
	case 375:
		yyDollar = yyS[yypt-3 : yypt+1]
		//line php5/php5.y:1202
		{
		}
	case 376:
		yyDollar = yyS[yypt-5 : yypt+1]
		//line php5/php5.y:1203
		{
		}
	case 377:
		yyDollar = yyS[yypt-3 : yypt+1]
		//line php5/php5.y:1204
		{
		}
	case 378:
		yyDollar = yyS[yypt-5 : yypt+1]
		//line php5/php5.y:1205
		{
		}
	case 379:
		yyDollar = yyS[yypt-1 : yypt+1]
		//line php5/php5.y:1206
		{
		}
	case 380:
		yyDollar = yyS[yypt-3 : yypt+1]
		//line php5/php5.y:1207
		{
		}
	case 381:
		yyDollar = yyS[yypt-1 : yypt+1]
		//line php5/php5.y:1212
		{
			yyVAL.node = node.NewIdentifier(yyDollar[1].token.Value)
			positions.AddPosition(yyVAL.node, positionBuilder.NewTokenPosition(yyDollar[1].token))
			comments.AddComments(yyVAL.node, yyDollar[1].token.Comments())
		}
	case 382:
		yyDollar = yyS[yypt-1 : yypt+1]
		//line php5/php5.y:1218
		{
			yyVAL.node = name.NewName(yyDollar[1].list)
			positions.AddPosition(yyVAL.node, positionBuilder.NewNodeListPosition(yyDollar[1].list))
			comments.AddComments(yyVAL.node, ListGetFirstNodeComments(yyDollar[1].list))
		}
	case 383:
		yyDollar = yyS[yypt-3 : yypt+1]
		//line php5/php5.y:1224
		{
			yyVAL.node = name.NewRelative(yyDollar[3].list)
			positions.AddPosition(yyVAL.node, positionBuilder.NewTokenNodeListPosition(yyDollar[1].token, yyDollar[3].list))
			comments.AddComments(yyVAL.node, yyDollar[1].token.Comments())
		}
	case 384:
		yyDollar = yyS[yypt-2 : yypt+1]
		//line php5/php5.y:1230
		{
			yyVAL.node = name.NewFullyQualified(yyDollar[2].list)
			positions.AddPosition(yyVAL.node, positionBuilder.NewTokenNodeListPosition(yyDollar[1].token, yyDollar[2].list))
			comments.AddComments(yyVAL.node, yyDollar[1].token.Comments())
		}
	case 385:
		yyDollar = yyS[yypt-1 : yypt+1]
		//line php5/php5.y:1238
		{
		}
	case 386:
		yyDollar = yyS[yypt-3 : yypt+1]
		//line php5/php5.y:1239
		{
		}
	case 387:
		yyDollar = yyS[yypt-2 : yypt+1]
		//line php5/php5.y:1240
		{
		}
	case 388:
		yyDollar = yyS[yypt-1 : yypt+1]
		//line php5/php5.y:1247
		{
			yyVAL.node = yyDollar[1].node
		}
	case 389:
		yyDollar = yyS[yypt-1 : yypt+1]
		//line php5/php5.y:1249
		{
			yyVAL.node = yyDollar[1].node
		}
	case 390:
		yyDollar = yyS[yypt-4 : yypt+1]
		//line php5/php5.y:1255
		{
			yyVAL.node = yyDollar[1].node

			for _, f := range yyDollar[3].objectPropertyList {
				switch f.fetchType {
				case arrayFetchType:
					yyVAL.node = expr.NewArrayDimFetch(yyVAL.node, f.node)
					positions.AddPosition(yyVAL.node, positionBuilder.NewNodesPosition(yyDollar[1].node, f.node))
					comments.AddComments(yyVAL.node, comments[yyDollar[1].node])
				case propertyFetchType:
					yyVAL.node = expr.NewPropertyFetch(yyVAL.node, f.node)
					positions.AddPosition(yyVAL.node, positionBuilder.NewNodesPosition(yyDollar[1].node, f.node))
					comments.AddComments(yyVAL.node, comments[yyDollar[1].node])
				}
			}

			for _, f := range yyDollar[4].objectPropertyList {
				switch f.fetchType {
				case arrayFetchType:
					yyVAL.node = expr.NewArrayDimFetch(yyVAL.node, f.node)
					positions.AddPosition(yyVAL.node, positionBuilder.NewNodesPosition(yyDollar[1].node, f.node))
					comments.AddComments(yyVAL.node, comments[yyDollar[1].node])
				case propertyFetchType:
					yyVAL.node = expr.NewPropertyFetch(yyVAL.node, f.node)
					positions.AddPosition(yyVAL.node, positionBuilder.NewNodesPosition(yyDollar[1].node, f.node))
					comments.AddComments(yyVAL.node, comments[yyDollar[1].node])
				}
			}
		}
	case 391:
		yyDollar = yyS[yypt-1 : yypt+1]
		//line php5/php5.y:1285
		{
			yyVAL.node = yyDollar[1].node
		}
	case 392:
		yyDollar = yyS[yypt-2 : yypt+1]
		//line php5/php5.y:1291
		{
			yyVAL.objectPropertyList = append(yyDollar[1].objectPropertyList, yyDollar[2].objectPropertyList...)
		}
	case 393:
		yyDollar = yyS[yypt-0 : yypt+1]
		//line php5/php5.y:1293
		{
			yyVAL.objectPropertyList = []objectProperty{}
		}
	case 394:
		yyDollar = yyS[yypt-2 : yypt+1]
		//line php5/php5.y:1299
		{
			yyVAL.objectPropertyList = yyDollar[2].objectPropertyList
		}
	case 395:
		yyDollar = yyS[yypt-0 : yypt+1]
		//line php5/php5.y:1303
		{
		}
	case 396:
		yyDollar = yyS[yypt-2 : yypt+1]
		//line php5/php5.y:1304
		{
		}
	case 397:
		yyDollar = yyS[yypt-1 : yypt+1]
		//line php5/php5.y:1305
		{
		}
	case 398:
		yyDollar = yyS[yypt-0 : yypt+1]
		//line php5/php5.y:1309
		{
		}
	case 399:
		yyDollar = yyS[yypt-1 : yypt+1]
		//line php5/php5.y:1310
		{
		}
	case 400:
		yyDollar = yyS[yypt-1 : yypt+1]
		//line php5/php5.y:1311
		{
		}
	case 401:
		yyDollar = yyS[yypt-0 : yypt+1]
		//line php5/php5.y:1316
		{
			yyVAL.nodesWithEndToken = nil
		}
	case 402:
		yyDollar = yyS[yypt-1 : yypt+1]
		//line php5/php5.y:1318
		{
			yyVAL.nodesWithEndToken = yyDollar[1].nodesWithEndToken
		}
	case 403:
		yyDollar = yyS[yypt-1 : yypt+1]
		//line php5/php5.y:1323
		{
			yyVAL.node = scalar.NewLnumber(yyDollar[1].token.Value)
			positions.AddPosition(yyVAL.node, positionBuilder.NewTokenPosition(yyDollar[1].token))
			comments.AddComments(yyVAL.node, yyDollar[1].token.Comments())
		}
	case 404:
		yyDollar = yyS[yypt-1 : yypt+1]
		//line php5/php5.y:1329
		{
			yyVAL.node = scalar.NewDnumber(yyDollar[1].token.Value)
			positions.AddPosition(yyVAL.node, positionBuilder.NewTokenPosition(yyDollar[1].token))
			comments.AddComments(yyVAL.node, yyDollar[1].token.Comments())
		}
	case 405:
		yyDollar = yyS[yypt-1 : yypt+1]
		//line php5/php5.y:1335
		{
			yyVAL.node = scalar.NewString(yyDollar[1].token.Value)
			positions.AddPosition(yyVAL.node, positionBuilder.NewTokenPosition(yyDollar[1].token))
			comments.AddComments(yyVAL.node, yyDollar[1].token.Comments())
		}
	case 406:
		yyDollar = yyS[yypt-1 : yypt+1]
		//line php5/php5.y:1341
		{
			yyVAL.node = scalar.NewMagicConstant(yyDollar[1].token.Value)
			positions.AddPosition(yyVAL.node, positionBuilder.NewTokenPosition(yyDollar[1].token))
			comments.AddComments(yyVAL.node, yyDollar[1].token.Comments())
		}
	case 407:
		yyDollar = yyS[yypt-1 : yypt+1]
		//line php5/php5.y:1347
		{
			yyVAL.node = scalar.NewMagicConstant(yyDollar[1].token.Value)
			positions.AddPosition(yyVAL.node, positionBuilder.NewTokenPosition(yyDollar[1].token))
			comments.AddComments(yyVAL.node, yyDollar[1].token.Comments())
		}
	case 408:
		yyDollar = yyS[yypt-1 : yypt+1]
		//line php5/php5.y:1353
		{
			yyVAL.node = scalar.NewMagicConstant(yyDollar[1].token.Value)
			positions.AddPosition(yyVAL.node, positionBuilder.NewTokenPosition(yyDollar[1].token))
			comments.AddComments(yyVAL.node, yyDollar[1].token.Comments())
		}
	case 409:
		yyDollar = yyS[yypt-1 : yypt+1]
		//line php5/php5.y:1359
		{
			yyVAL.node = scalar.NewMagicConstant(yyDollar[1].token.Value)
			positions.AddPosition(yyVAL.node, positionBuilder.NewTokenPosition(yyDollar[1].token))
			comments.AddComments(yyVAL.node, yyDollar[1].token.Comments())
		}
	case 410:
		yyDollar = yyS[yypt-1 : yypt+1]
		//line php5/php5.y:1365
		{
			yyVAL.node = scalar.NewMagicConstant(yyDollar[1].token.Value)
			positions.AddPosition(yyVAL.node, positionBuilder.NewTokenPosition(yyDollar[1].token))
			comments.AddComments(yyVAL.node, yyDollar[1].token.Comments())
		}
	case 411:
		yyDollar = yyS[yypt-1 : yypt+1]
		//line php5/php5.y:1371
		{
			yyVAL.node = scalar.NewMagicConstant(yyDollar[1].token.Value)
			positions.AddPosition(yyVAL.node, positionBuilder.NewTokenPosition(yyDollar[1].token))
			comments.AddComments(yyVAL.node, yyDollar[1].token.Comments())
		}
	case 412:
		yyDollar = yyS[yypt-1 : yypt+1]
		//line php5/php5.y:1377
		{
			yyVAL.node = scalar.NewMagicConstant(yyDollar[1].token.Value)
			positions.AddPosition(yyVAL.node, positionBuilder.NewTokenPosition(yyDollar[1].token))
			comments.AddComments(yyVAL.node, yyDollar[1].token.Comments())
		}
	case 413:
		yyDollar = yyS[yypt-3 : yypt+1]
		//line php5/php5.y:1383
		{
			yyVAL.node = scalar.NewString(yyDollar[2].token.Value)
			positions.AddPosition(yyVAL.node, positionBuilder.NewTokensPosition(yyDollar[1].token, yyDollar[3].token)) /* TODO: mark as Heredoc*/
			comments.AddComments(yyVAL.node, yyDollar[1].token.Comments())
		}
	case 414:
		yyDollar = yyS[yypt-2 : yypt+1]
		//line php5/php5.y:1388
		{
			yyVAL.node = scalar.NewEncapsed(nil)
			positions.AddPosition(yyVAL.node, positionBuilder.NewTokensPosition(yyDollar[1].token, yyDollar[2].token))
			comments.AddComments(yyVAL.node, yyDollar[1].token.Comments())
		}
	case 415:
		yyDollar = yyS[yypt-3 : yypt+1]
		//line php5/php5.y:1397
		{
			target := node.NewIdentifier(yyDollar[3].token.Value)
			positions.AddPosition(target, positionBuilder.NewTokenPosition(yyDollar[3].token))
			yyVAL.node = expr.NewClassConstFetch(yyDollar[1].node, target)
			positions.AddPosition(yyVAL.node, positionBuilder.NewNodeTokenPosition(yyDollar[1].node, yyDollar[3].token))

			comments.AddComments(target, yyDollar[3].token.Comments())
			comments.AddComments(yyVAL.node, comments[yyDollar[1].node])
		}
	case 416:
		yyDollar = yyS[yypt-1 : yypt+1]
		//line php5/php5.y:1409
		{
		}
	case 417:
		yyDollar = yyS[yypt-1 : yypt+1]
		//line php5/php5.y:1413
		{
		}
	case 418:
		yyDollar = yyS[yypt-1 : yypt+1]
		//line php5/php5.y:1414
		{
		}
	case 419:
		yyDollar = yyS[yypt-1 : yypt+1]
		//line php5/php5.y:1415
		{
		}
	case 420:
		yyDollar = yyS[yypt-3 : yypt+1]
		//line php5/php5.y:1416
		{
		}
	case 421:
		yyDollar = yyS[yypt-2 : yypt+1]
		//line php5/php5.y:1417
		{
		}
	case 422:
		yyDollar = yyS[yypt-4 : yypt+1]
		//line php5/php5.y:1418
		{
		}
	case 423:
		yyDollar = yyS[yypt-3 : yypt+1]
		//line php5/php5.y:1419
		{
		}
	case 424:
		yyDollar = yyS[yypt-1 : yypt+1]
		//line php5/php5.y:1420
		{
		}
	case 425:
		yyDollar = yyS[yypt-1 : yypt+1]
		//line php5/php5.y:1421
		{
		}
	case 426:
		yyDollar = yyS[yypt-1 : yypt+1]
		//line php5/php5.y:1422
		{
		}
	case 427:
		yyDollar = yyS[yypt-4 : yypt+1]
		//line php5/php5.y:1426
		{
		}
	case 428:
		yyDollar = yyS[yypt-3 : yypt+1]
		//line php5/php5.y:1427
		{
		}
	case 429:
		yyDollar = yyS[yypt-3 : yypt+1]
		//line php5/php5.y:1428
		{
		}
	case 430:
		yyDollar = yyS[yypt-3 : yypt+1]
		//line php5/php5.y:1429
		{
		}
	case 431:
		yyDollar = yyS[yypt-3 : yypt+1]
		//line php5/php5.y:1430
		{
		}
	case 432:
		yyDollar = yyS[yypt-3 : yypt+1]
		//line php5/php5.y:1431
		{
		}
	case 433:
		yyDollar = yyS[yypt-3 : yypt+1]
		//line php5/php5.y:1432
		{
		}
	case 434:
		yyDollar = yyS[yypt-2 : yypt+1]
		//line php5/php5.y:1433
		{
		}
	case 435:
		yyDollar = yyS[yypt-2 : yypt+1]
		//line php5/php5.y:1434
		{
		}
	case 436:
		yyDollar = yyS[yypt-3 : yypt+1]
		//line php5/php5.y:1435
		{
		}
	case 437:
		yyDollar = yyS[yypt-3 : yypt+1]
		//line php5/php5.y:1436
		{
		}
	case 438:
		yyDollar = yyS[yypt-3 : yypt+1]
		//line php5/php5.y:1437
		{
		}
	case 439:
		yyDollar = yyS[yypt-3 : yypt+1]
		//line php5/php5.y:1438
		{
		}
	case 440:
		yyDollar = yyS[yypt-3 : yypt+1]
		//line php5/php5.y:1439
		{
		}
	case 441:
		yyDollar = yyS[yypt-3 : yypt+1]
		//line php5/php5.y:1440
		{
		}
	case 442:
		yyDollar = yyS[yypt-3 : yypt+1]
		//line php5/php5.y:1441
		{
		}
	case 443:
		yyDollar = yyS[yypt-3 : yypt+1]
		//line php5/php5.y:1442
		{
		}
	case 444:
		yyDollar = yyS[yypt-3 : yypt+1]
		//line php5/php5.y:1443
		{
		}
	case 445:
		yyDollar = yyS[yypt-3 : yypt+1]
		//line php5/php5.y:1444
		{
		}
	case 446:
		yyDollar = yyS[yypt-3 : yypt+1]
		//line php5/php5.y:1445
		{
		}
	case 447:
		yyDollar = yyS[yypt-3 : yypt+1]
		//line php5/php5.y:1446
		{
		}
	case 448:
		yyDollar = yyS[yypt-3 : yypt+1]
		//line php5/php5.y:1447
		{
		}
	case 449:
		yyDollar = yyS[yypt-3 : yypt+1]
		//line php5/php5.y:1448
		{
		}
	case 450:
		yyDollar = yyS[yypt-3 : yypt+1]
		//line php5/php5.y:1449
		{
		}
	case 451:
		yyDollar = yyS[yypt-3 : yypt+1]
		//line php5/php5.y:1450
		{
		}
	case 452:
		yyDollar = yyS[yypt-3 : yypt+1]
		//line php5/php5.y:1451
		{
		}
	case 453:
		yyDollar = yyS[yypt-3 : yypt+1]
		//line php5/php5.y:1452
		{
		}
	case 454:
		yyDollar = yyS[yypt-3 : yypt+1]
		//line php5/php5.y:1453
		{
		}
	case 455:
		yyDollar = yyS[yypt-4 : yypt+1]
		//line php5/php5.y:1454
		{
		}
	case 456:
		yyDollar = yyS[yypt-5 : yypt+1]
		//line php5/php5.y:1455
		{
		}
	case 457:
		yyDollar = yyS[yypt-2 : yypt+1]
		//line php5/php5.y:1456
		{
		}
	case 458:
		yyDollar = yyS[yypt-2 : yypt+1]
		//line php5/php5.y:1457
		{
		}
	case 459:
		yyDollar = yyS[yypt-3 : yypt+1]
		//line php5/php5.y:1458
		{
		}
	case 460:
		yyDollar = yyS[yypt-1 : yypt+1]
		//line php5/php5.y:1462
		{
		}
	case 461:
		yyDollar = yyS[yypt-1 : yypt+1]
		//line php5/php5.y:1463
		{
		}
	case 462:
		yyDollar = yyS[yypt-3 : yypt+1]
		//line php5/php5.y:1464
		{
		}
	case 463:
		yyDollar = yyS[yypt-2 : yypt+1]
		//line php5/php5.y:1465
		{
		}
	case 464:
		yyDollar = yyS[yypt-1 : yypt+1]
		//line php5/php5.y:1470
		{
			name := node.NewIdentifier(yyDollar[1].token.Value)
			positions.AddPosition(name, positionBuilder.NewTokenPosition(yyDollar[1].token))
			yyVAL.node = expr.NewVariable(name)
			positions.AddPosition(yyVAL.node, positionBuilder.NewTokenPosition(yyDollar[1].token))

			comments.AddComments(name, yyDollar[1].token.Comments())
			comments.AddComments(yyVAL.node, yyDollar[1].token.Comments())
		}
	case 465:
		yyDollar = yyS[yypt-1 : yypt+1]
		//line php5/php5.y:1480
		{
			yyVAL.node = yyDollar[1].node
		}
	case 466:
		yyDollar = yyS[yypt-1 : yypt+1]
		//line php5/php5.y:1482
		{
			yyVAL.node = yyDollar[1].node
		}
	case 467:
		yyDollar = yyS[yypt-1 : yypt+1]
		//line php5/php5.y:1484
		{
			yyVAL.node = yyDollar[1].node
		}
	case 468:
		yyDollar = yyS[yypt-3 : yypt+1]
		//line php5/php5.y:1486
		{
			yyVAL.node = scalar.NewEncapsed(yyDollar[2].list)
			positions.AddPosition(yyVAL.node, positionBuilder.NewTokensPosition(yyDollar[1].token, yyDollar[3].token))
			comments.AddComments(yyVAL.node, yyDollar[1].token.Comments())
		}
	case 469:
		yyDollar = yyS[yypt-3 : yypt+1]
		//line php5/php5.y:1492
		{
			yyVAL.node = scalar.NewEncapsed(yyDollar[2].list)
			positions.AddPosition(yyVAL.node, positionBuilder.NewTokensPosition(yyDollar[1].token, yyDollar[3].token))
			comments.AddComments(yyVAL.node, yyDollar[1].token.Comments())
		}
	case 470:
		yyDollar = yyS[yypt-1 : yypt+1]
		//line php5/php5.y:1498
		{
			yyVAL.node = scalar.NewMagicConstant(yyDollar[1].token.Value)
			positions.AddPosition(yyVAL.node, positionBuilder.NewTokenPosition(yyDollar[1].token))
			comments.AddComments(yyVAL.node, yyDollar[1].token.Comments())
		}
	case 471:
		yyDollar = yyS[yypt-0 : yypt+1]
		//line php5/php5.y:1506
		{
		}
	case 472:
		yyDollar = yyS[yypt-2 : yypt+1]
		//line php5/php5.y:1507
		{
		}
	case 475:
		yyDollar = yyS[yypt-5 : yypt+1]
		//line php5/php5.y:1516
		{
		}
	case 476:
		yyDollar = yyS[yypt-3 : yypt+1]
		//line php5/php5.y:1517
		{
		}
	case 477:
		yyDollar = yyS[yypt-3 : yypt+1]
		//line php5/php5.y:1518
		{
		}
	case 478:
		yyDollar = yyS[yypt-1 : yypt+1]
		//line php5/php5.y:1519
		{
		}
	case 479:
		yyDollar = yyS[yypt-1 : yypt+1]
		//line php5/php5.y:1523
		{
			yyVAL.node = yyDollar[1].node
		}
	case 480:
		yyDollar = yyS[yypt-1 : yypt+1]
		//line php5/php5.y:1524
		{
			yyVAL.node = yyDollar[1].node
		}
	case 481:
		yyDollar = yyS[yypt-3 : yypt+1]
		//line php5/php5.y:1528
		{
		}
	case 482:
		yyDollar = yyS[yypt-3 : yypt+1]
		//line php5/php5.y:1529
		{
		}
	case 483:
		yyDollar = yyS[yypt-1 : yypt+1]
		//line php5/php5.y:1535
		{
			yyVAL.node = yyDollar[1].node
		}
	case 484:
		yyDollar = yyS[yypt-1 : yypt+1]
		//line php5/php5.y:1543
		{
			yyVAL.node = yyDollar[1].node
		}
	case 485:
		yyDollar = yyS[yypt-1 : yypt+1]
		//line php5/php5.y:1550
		{
			yyVAL.node = yyDollar[1].node
		}
	case 486:
		yyDollar = yyS[yypt-5 : yypt+1]
		//line php5/php5.y:1557
		{
		}
	case 487:
		yyDollar = yyS[yypt-1 : yypt+1]
		//line php5/php5.y:1559
		{
			yyVAL.node = yyDollar[1].node
		}
	case 488:
		yyDollar = yyS[yypt-2 : yypt+1]
		//line php5/php5.y:1563
		{
		}
	case 489:
		yyDollar = yyS[yypt-0 : yypt+1]
		//line php5/php5.y:1564
		{
		}
	case 490:
		yyDollar = yyS[yypt-2 : yypt+1]
		//line php5/php5.y:1569
		{
		}
	case 491:
		yyDollar = yyS[yypt-4 : yypt+1]
		//line php5/php5.y:1569
		{
		}
	case 492:
		yyDollar = yyS[yypt-4 : yypt+1]
		//line php5/php5.y:1573
		{
		}
	case 493:
		yyDollar = yyS[yypt-4 : yypt+1]
		//line php5/php5.y:1574
		{
		}
	case 494:
		yyDollar = yyS[yypt-0 : yypt+1]
		//line php5/php5.y:1578
		{
		}
	case 495:
		yyDollar = yyS[yypt-2 : yypt+1]
		//line php5/php5.y:1579
		{
		}
	case 496:
		yyDollar = yyS[yypt-1 : yypt+1]
		//line php5/php5.y:1583
		{
		}
	case 497:
		yyDollar = yyS[yypt-1 : yypt+1]
		//line php5/php5.y:1584
		{
		}
	case 498:
		yyDollar = yyS[yypt-0 : yypt+1]
		//line php5/php5.y:1585
		{
		}
	case 499:
		yyDollar = yyS[yypt-1 : yypt+1]
		//line php5/php5.y:1589
		{
		}
	case 500:
		yyDollar = yyS[yypt-2 : yypt+1]
		//line php5/php5.y:1590
		{
		}
	case 501:
		yyDollar = yyS[yypt-3 : yypt+1]
		//line php5/php5.y:1594
		{
		}
	case 502:
		yyDollar = yyS[yypt-3 : yypt+1]
		//line php5/php5.y:1595
		{
		}
	case 503:
		yyDollar = yyS[yypt-1 : yypt+1]
		//line php5/php5.y:1601
		{
			yyVAL.node = yyDollar[1].node
		}
	case 504:
		yyDollar = yyS[yypt-4 : yypt+1]
		//line php5/php5.y:1607
		{
		}
	case 505:
		yyDollar = yyS[yypt-4 : yypt+1]
		//line php5/php5.y:1608
		{
		}
	case 506:
		yyDollar = yyS[yypt-1 : yypt+1]
		//line php5/php5.y:1612
		{
			yyVAL.node = yyDollar[1].node
		}
	case 507:
		yyDollar = yyS[yypt-1 : yypt+1]
		//line php5/php5.y:1613
		{
			yyVAL.node = yyDollar[1].node
		}
	case 508:
		yyDollar = yyS[yypt-1 : yypt+1]
		//line php5/php5.y:1614
		{
			yyVAL.node = yyDollar[1].node
		}
	case 509:
		yyDollar = yyS[yypt-1 : yypt+1]
		//line php5/php5.y:1619
		{
			yyVAL.node = yyDollar[1].node
		}
	case 510:
		yyDollar = yyS[yypt-2 : yypt+1]
		//line php5/php5.y:1621
		{
			yyDollar[1].simpleIndirectReference.last.SetVarName(yyDollar[2].node)

			for _, n := range yyDollar[1].simpleIndirectReference.all {
				positions[n] = positionBuilder.NewNodesPosition(n, yyDollar[2].node)
			}

			yyVAL.node = yyDollar[1].simpleIndirectReference.all[0]
		}
	case 511:
		yyDollar = yyS[yypt-1 : yypt+1]
		//line php5/php5.y:1630
		{
		}
	case 512:
		yyDollar = yyS[yypt-4 : yypt+1]
		//line php5/php5.y:1635
		{
			yyVAL.node = expr.NewArrayDimFetch(yyDollar[1].node, yyDollar[3].node)
			positions.AddPosition(yyVAL.node, positionBuilder.NewNodeTokenPosition(yyDollar[1].node, yyDollar[4].token))
			comments.AddComments(yyVAL.node, comments[yyDollar[1].node])
		}
	case 513:
		yyDollar = yyS[yypt-4 : yypt+1]
		//line php5/php5.y:1641
		{
			yyVAL.node = expr.NewArrayDimFetch(yyDollar[1].node, yyDollar[3].node)
			positions.AddPosition(yyVAL.node, positionBuilder.NewNodeTokenPosition(yyDollar[1].node, yyDollar[4].token))
			comments.AddComments(yyVAL.node, comments[yyDollar[1].node])
		}
	case 514:
		yyDollar = yyS[yypt-1 : yypt+1]
		//line php5/php5.y:1646
		{
			yyVAL.node = yyDollar[1].node
		}
	case 515:
		yyDollar = yyS[yypt-1 : yypt+1]
		//line php5/php5.y:1652
		{
			name := node.NewIdentifier(yyDollar[1].token.Value)
			positions.AddPosition(name, positionBuilder.NewTokenPosition(yyDollar[1].token))
			yyVAL.node = expr.NewVariable(name)
			positions.AddPosition(yyVAL.node, positionBuilder.NewTokenPosition(yyDollar[1].token))

			comments.AddComments(name, yyDollar[1].token.Comments())
			comments.AddComments(yyVAL.node, yyDollar[1].token.Comments())
		}
	case 516:
		yyDollar = yyS[yypt-4 : yypt+1]
		//line php5/php5.y:1662
		{
			yyVAL.node = expr.NewVariable(yyDollar[3].node)
			positions.AddPosition(yyVAL.node, positionBuilder.NewTokensPosition(yyDollar[1].token, yyDollar[4].token))
			comments.AddComments(yyVAL.node, yyDollar[1].token.Comments())
		}
	case 517:
		yyDollar = yyS[yypt-0 : yypt+1]
		//line php5/php5.y:1670
		{
			yyVAL.node = nil
		}
	case 518:
		yyDollar = yyS[yypt-1 : yypt+1]
		//line php5/php5.y:1671
		{
			yyVAL.node = yyDollar[1].node
		}
	case 519:
		yyDollar = yyS[yypt-1 : yypt+1]
		//line php5/php5.y:1677
		{
			yyVAL.objectPropertyList = yyDollar[1].objectPropertyList
		}
	case 520:
		yyDollar = yyS[yypt-1 : yypt+1]
		//line php5/php5.y:1679
		{
			op := objectProperty{yyDollar[1].node, propertyFetchType}
			yyVAL.objectPropertyList = []objectProperty{op}
		}
	case 521:
		yyDollar = yyS[yypt-4 : yypt+1]
		//line php5/php5.y:1687
		{
			op := objectProperty{yyDollar[3].node, arrayFetchType}
			yyVAL.objectPropertyList = append(yyDollar[1].objectPropertyList, op)
		}
	case 522:
		yyDollar = yyS[yypt-4 : yypt+1]
		//line php5/php5.y:1692
		{
			op := objectProperty{yyDollar[3].node, arrayFetchType}
			yyVAL.objectPropertyList = append(yyDollar[1].objectPropertyList, op)
		}
	case 523:
		yyDollar = yyS[yypt-1 : yypt+1]
		//line php5/php5.y:1697
		{
			op := objectProperty{yyDollar[1].node, propertyFetchType}
			yyVAL.objectPropertyList = []objectProperty{op}
		}
	case 524:
		yyDollar = yyS[yypt-1 : yypt+1]
		//line php5/php5.y:1705
		{
			yyVAL.node = node.NewIdentifier(yyDollar[1].token.Value)
			positions.AddPosition(yyVAL.node, positionBuilder.NewTokenPosition(yyDollar[1].token))
			comments.AddComments(yyVAL.node, yyDollar[1].token.Comments())
		}
	case 525:
		yyDollar = yyS[yypt-3 : yypt+1]
		//line php5/php5.y:1711
		{
			yyVAL.node = yyDollar[2].node
		}
	case 526:
		yyDollar = yyS[yypt-1 : yypt+1]
		//line php5/php5.y:1716
		{
			n := expr.NewVariable(nil)
			positions.AddPosition(n, positionBuilder.NewTokenPosition(yyDollar[1].token))
			comments.AddComments(n, yyDollar[1].token.Comments())

			yyVAL.simpleIndirectReference = simpleIndirectReference{[]*expr.Variable{n}, n}
		}
	case 527:
		yyDollar = yyS[yypt-2 : yypt+1]
		//line php5/php5.y:1724
		{
			n := expr.NewVariable(nil)
			positions.AddPosition(n, positionBuilder.NewTokenPosition(yyDollar[2].token))
			comments.AddComments(n, yyDollar[2].token.Comments())

			yyDollar[1].simpleIndirectReference.last.SetVarName(n)

			yyDollar[1].simpleIndirectReference.all = append(yyDollar[1].simpleIndirectReference.all, n)
			yyDollar[1].simpleIndirectReference.last = n
			yyVAL.simpleIndirectReference = yyDollar[1].simpleIndirectReference
		}
	case 528:
		yyDollar = yyS[yypt-3 : yypt+1]
		//line php5/php5.y:1739
		{
			yyVAL.list = append(yyDollar[1].list, yyDollar[3].node)
		}
	case 529:
		yyDollar = yyS[yypt-1 : yypt+1]
		//line php5/php5.y:1741
		{
			yyVAL.list = []node.Node{yyDollar[1].node}
		}
	case 530:
		yyDollar = yyS[yypt-1 : yypt+1]
		//line php5/php5.y:1747
		{
			yyVAL.node = yyDollar[1].node
		}
	case 531:
		yyDollar = yyS[yypt-4 : yypt+1]
		//line php5/php5.y:1749
		{
			yyVAL.node = expr.NewList(yyDollar[3].list)
			positions.AddPosition(yyVAL.node, positionBuilder.NewTokensPosition(yyDollar[1].token, yyDollar[4].token))
			comments.AddComments(yyVAL.node, yyDollar[1].token.Comments())
		}
	case 532:
		yyDollar = yyS[yypt-0 : yypt+1]
		//line php5/php5.y:1755
		{
			yyVAL.node = nil
		}
	case 533:
		yyDollar = yyS[yypt-0 : yypt+1]
		//line php5/php5.y:1761
		{
			yyVAL.list = nil
		}
	case 534:
		yyDollar = yyS[yypt-2 : yypt+1]
		//line php5/php5.y:1763
		{
			yyVAL.list = yyDollar[1].list
		}
	case 535:
		yyDollar = yyS[yypt-5 : yypt+1]
		//line php5/php5.y:1768
		{
			arrayItem := expr.NewArrayItem(yyDollar[3].node, yyDollar[5].node, false)
			positions.AddPosition(arrayItem, positionBuilder.NewNodesPosition(yyDollar[3].node, yyDollar[5].node))
			comments.AddComments(arrayItem, comments[yyDollar[3].node])

			yyVAL.list = append(yyDollar[1].list, arrayItem)
		}
	case 536:
		yyDollar = yyS[yypt-3 : yypt+1]
		//line php5/php5.y:1776
		{
			arrayItem := expr.NewArrayItem(nil, yyDollar[3].node, false)
			positions.AddPosition(arrayItem, positionBuilder.NewNodePosition(yyDollar[3].node))
			comments.AddComments(arrayItem, comments[yyDollar[3].node])

			yyVAL.list = append(yyDollar[1].list, arrayItem)
		}
	case 537:
		yyDollar = yyS[yypt-3 : yypt+1]
		//line php5/php5.y:1784
		{
			arrayItem := expr.NewArrayItem(yyDollar[1].node, yyDollar[3].node, false)
			positions.AddPosition(arrayItem, positionBuilder.NewNodesPosition(yyDollar[1].node, yyDollar[3].node))
			comments.AddComments(arrayItem, comments[yyDollar[1].node])

			yyVAL.list = []node.Node{arrayItem}
		}
	case 538:
		yyDollar = yyS[yypt-1 : yypt+1]
		//line php5/php5.y:1792
		{
			arrayItem := expr.NewArrayItem(nil, yyDollar[1].node, false)
			positions.AddPosition(arrayItem, positionBuilder.NewNodePosition(yyDollar[1].node))
			comments.AddComments(arrayItem, comments[yyDollar[1].node])

			yyVAL.list = []node.Node{arrayItem}
		}
	case 539:
		yyDollar = yyS[yypt-6 : yypt+1]
		//line php5/php5.y:1800
		{
			arrayItem := expr.NewArrayItem(yyDollar[3].node, yyDollar[6].node, true)
			positions.AddPosition(arrayItem, positionBuilder.NewNodesPosition(yyDollar[3].node, yyDollar[6].node))
			comments.AddComments(arrayItem, comments[yyDollar[3].node])

			yyVAL.list = append(yyDollar[1].list, arrayItem)
		}
	case 540:
		yyDollar = yyS[yypt-4 : yypt+1]
		//line php5/php5.y:1808
		{
			arrayItem := expr.NewArrayItem(nil, yyDollar[4].node, true)
			positions.AddPosition(arrayItem, positionBuilder.NewTokenNodePosition(yyDollar[3].token, yyDollar[4].node))
			comments.AddComments(arrayItem, yyDollar[3].token.Comments())

			yyVAL.list = append(yyDollar[1].list, arrayItem)
		}
	case 541:
		yyDollar = yyS[yypt-4 : yypt+1]
		//line php5/php5.y:1816
		{
			arrayItem := expr.NewArrayItem(yyDollar[1].node, yyDollar[4].node, true)
			positions.AddPosition(arrayItem, positionBuilder.NewNodesPosition(yyDollar[1].node, yyDollar[4].node))
			comments.AddComments(arrayItem, comments[yyDollar[1].node])

			yyVAL.list = []node.Node{arrayItem}
		}
	case 542:
		yyDollar = yyS[yypt-2 : yypt+1]
		//line php5/php5.y:1824
		{
			arrayItem := expr.NewArrayItem(nil, yyDollar[2].node, true)
			positions.AddPosition(arrayItem, positionBuilder.NewTokenNodePosition(yyDollar[1].token, yyDollar[2].node))
			comments.AddComments(arrayItem, yyDollar[1].token.Comments())

			yyVAL.list = []node.Node{arrayItem}
		}
	case 543:
		yyDollar = yyS[yypt-2 : yypt+1]
		//line php5/php5.y:1835
		{
			yyVAL.list = append(yyDollar[1].list, yyDollar[2].node)
		}
	case 544:
		yyDollar = yyS[yypt-2 : yypt+1]
		//line php5/php5.y:1837
		{
			encapsed := scalar.NewEncapsedStringPart(yyDollar[2].token.Value)
			positions.AddPosition(encapsed, positionBuilder.NewTokenPosition(yyDollar[2].token))
			yyVAL.list = append(yyDollar[1].list, encapsed)
			comments.AddComments(encapsed, yyDollar[2].token.Comments())
		}
	case 545:
		yyDollar = yyS[yypt-1 : yypt+1]
		//line php5/php5.y:1844
		{
			yyVAL.list = []node.Node{yyDollar[1].node}
		}
	case 546:
		yyDollar = yyS[yypt-2 : yypt+1]
		//line php5/php5.y:1846
		{
			encapsed := scalar.NewEncapsedStringPart(yyDollar[1].token.Value)
			positions.AddPosition(encapsed, positionBuilder.NewTokenPosition(yyDollar[1].token))
			yyVAL.list = []node.Node{encapsed, yyDollar[2].node}
			comments.AddComments(encapsed, yyDollar[1].token.Comments())
		}
	case 547:
		yyDollar = yyS[yypt-1 : yypt+1]
		//line php5/php5.y:1856
		{
			name := node.NewIdentifier(yyDollar[1].token.Value)
			positions.AddPosition(name, positionBuilder.NewTokenPosition(yyDollar[1].token))
			yyVAL.node = expr.NewVariable(name)
			positions.AddPosition(yyVAL.node, positionBuilder.NewTokenPosition(yyDollar[1].token))

			comments.AddComments(name, yyDollar[1].token.Comments())
			comments.AddComments(yyVAL.node, yyDollar[1].token.Comments())
		}
	case 548:
		yyDollar = yyS[yypt-4 : yypt+1]
		//line php5/php5.y:1866
		{
			identifier := node.NewIdentifier(yyDollar[1].token.Value)
			positions.AddPosition(identifier, positionBuilder.NewTokenPosition(yyDollar[1].token))
			variable := expr.NewVariable(identifier)
			positions.AddPosition(variable, positionBuilder.NewTokenPosition(yyDollar[1].token))
			yyVAL.node = expr.NewArrayDimFetch(variable, yyDollar[3].node)
			positions.AddPosition(yyVAL.node, positionBuilder.NewTokensPosition(yyDollar[1].token, yyDollar[4].token))

			comments.AddComments(identifier, yyDollar[1].token.Comments())
			comments.AddComments(variable, yyDollar[1].token.Comments())
			comments.AddComments(yyVAL.node, yyDollar[1].token.Comments())
		}
	case 549:
		yyDollar = yyS[yypt-3 : yypt+1]
		//line php5/php5.y:1879
		{
			identifier := node.NewIdentifier(yyDollar[1].token.Value)
			positions.AddPosition(identifier, positionBuilder.NewTokenPosition(yyDollar[1].token))
			variable := expr.NewVariable(identifier)
			positions.AddPosition(variable, positionBuilder.NewTokenPosition(yyDollar[1].token))
			fetch := node.NewIdentifier(yyDollar[3].token.Value)
			positions.AddPosition(fetch, positionBuilder.NewTokenPosition(yyDollar[3].token))
			yyVAL.node = expr.NewPropertyFetch(variable, fetch)
			positions.AddPosition(yyVAL.node, positionBuilder.NewTokensPosition(yyDollar[1].token, yyDollar[3].token))

			comments.AddComments(identifier, yyDollar[1].token.Comments())
			comments.AddComments(variable, yyDollar[1].token.Comments())
			comments.AddComments(fetch, yyDollar[3].token.Comments())
			comments.AddComments(yyVAL.node, yyDollar[1].token.Comments())
		}
	case 550:
		yyDollar = yyS[yypt-3 : yypt+1]
		//line php5/php5.y:1895
		{
			yyVAL.node = expr.NewVariable(yyDollar[2].node)
			positions.AddPosition(yyVAL.node, positionBuilder.NewTokensPosition(yyDollar[1].token, yyDollar[3].token))
			comments.AddComments(yyVAL.node, yyDollar[1].token.Comments())
		}
	case 551:
		yyDollar = yyS[yypt-6 : yypt+1]
		//line php5/php5.y:1901
		{
			identifier := node.NewIdentifier(yyDollar[2].token.Value)
			positions.AddPosition(identifier, positionBuilder.NewTokenPosition(yyDollar[2].token))
			variable := expr.NewVariable(identifier)
			positions.AddPosition(variable, positionBuilder.NewTokenPosition(yyDollar[2].token))
			yyVAL.node = expr.NewArrayDimFetch(variable, yyDollar[4].node)
			positions.AddPosition(yyVAL.node, positionBuilder.NewTokensPosition(yyDollar[1].token, yyDollar[6].token))

			comments.AddComments(identifier, yyDollar[2].token.Comments())
			comments.AddComments(variable, yyDollar[1].token.Comments())
			comments.AddComments(yyVAL.node, yyDollar[1].token.Comments())
		}
	case 552:
		yyDollar = yyS[yypt-3 : yypt+1]
		//line php5/php5.y:1915
		{
			yyVAL.node = yyDollar[2].node
		}
	case 553:
		yyDollar = yyS[yypt-1 : yypt+1]
		//line php5/php5.y:1920
		{
			yyVAL.node = scalar.NewString(yyDollar[1].token.Value)
			positions.AddPosition(yyVAL.node, positionBuilder.NewTokenPosition(yyDollar[1].token))
			comments.AddComments(yyVAL.node, yyDollar[1].token.Comments())
		}
	case 554:
		yyDollar = yyS[yypt-1 : yypt+1]
		//line php5/php5.y:1926
		{
			// TODO: add option to handle 64 bit integer
			if _, err := strconv.Atoi(yyDollar[1].token.Value); err == nil {
				yyVAL.node = scalar.NewLnumber(yyDollar[1].token.Value)
				positions.AddPosition(yyVAL.node, positionBuilder.NewTokenPosition(yyDollar[1].token))
			} else {
				yyVAL.node = scalar.NewString(yyDollar[1].token.Value)
				positions.AddPosition(yyVAL.node, positionBuilder.NewTokenPosition(yyDollar[1].token))
			}
			comments.AddComments(yyVAL.node, yyDollar[1].token.Comments())
		}
	case 555:
		yyDollar = yyS[yypt-1 : yypt+1]
		//line php5/php5.y:1938
		{
			identifier := node.NewIdentifier(yyDollar[1].token.Value)
			positions.AddPosition(identifier, positionBuilder.NewTokenPosition(yyDollar[1].token))
			yyVAL.node = expr.NewVariable(identifier)
			positions.AddPosition(yyVAL.node, positionBuilder.NewTokenPosition(yyDollar[1].token))

			comments.AddComments(identifier, yyDollar[1].token.Comments())
			comments.AddComments(yyVAL.node, yyDollar[1].token.Comments())
		}
	case 556:
		yyDollar = yyS[yypt-4 : yypt+1]
		//line php5/php5.y:1951
		{
			yyVAL.node = expr.NewIsset(yyDollar[3].list)
			positions.AddPosition(yyVAL.node, positionBuilder.NewTokensPosition(yyDollar[1].token, yyDollar[4].token))
			comments.AddComments(yyVAL.node, yyDollar[1].token.Comments())
		}
	case 557:
		yyDollar = yyS[yypt-4 : yypt+1]
		//line php5/php5.y:1957
		{
			yyVAL.node = expr.NewEmpty(yyDollar[3].node)
			positions.AddPosition(yyVAL.node, positionBuilder.NewTokensPosition(yyDollar[1].token, yyDollar[4].token))
			comments.AddComments(yyVAL.node, yyDollar[1].token.Comments())
		}
	case 558:
		yyDollar = yyS[yypt-4 : yypt+1]
		//line php5/php5.y:1963
		{
			yyVAL.node = expr.NewEmpty(yyDollar[3].node)
			positions.AddPosition(yyVAL.node, positionBuilder.NewTokensPosition(yyDollar[1].token, yyDollar[4].token))
			comments.AddComments(yyVAL.node, yyDollar[1].token.Comments())
		}
	case 559:
		yyDollar = yyS[yypt-2 : yypt+1]
		//line php5/php5.y:1969
		{
			yyVAL.node = expr.NewInclude(yyDollar[2].node)
			positions.AddPosition(yyVAL.node, positionBuilder.NewTokenNodePosition(yyDollar[1].token, yyDollar[2].node))
			comments.AddComments(yyVAL.node, yyDollar[1].token.Comments())
		}
	case 560:
		yyDollar = yyS[yypt-2 : yypt+1]
		//line php5/php5.y:1975
		{
			yyVAL.node = expr.NewIncludeOnce(yyDollar[2].node)
			positions.AddPosition(yyVAL.node, positionBuilder.NewTokenNodePosition(yyDollar[1].token, yyDollar[2].node))
			comments.AddComments(yyVAL.node, yyDollar[1].token.Comments())
		}
	case 561:
		yyDollar = yyS[yypt-4 : yypt+1]
		//line php5/php5.y:1981
		{
			yyVAL.node = expr.NewEval(yyDollar[3].node)
			positions.AddPosition(yyVAL.node, positionBuilder.NewTokensPosition(yyDollar[1].token, yyDollar[4].token))
			comments.AddComments(yyVAL.node, yyDollar[1].token.Comments())
		}
	case 562:
		yyDollar = yyS[yypt-2 : yypt+1]
		//line php5/php5.y:1987
		{
			yyVAL.node = expr.NewRequire(yyDollar[2].node)
			positions.AddPosition(yyVAL.node, positionBuilder.NewTokenNodePosition(yyDollar[1].token, yyDollar[2].node))
			comments.AddComments(yyVAL.node, yyDollar[1].token.Comments())
		}
	case 563:
		yyDollar = yyS[yypt-2 : yypt+1]
		//line php5/php5.y:1993
		{
			yyVAL.node = expr.NewRequireOnce(yyDollar[2].node)
			positions.AddPosition(yyVAL.node, positionBuilder.NewTokenNodePosition(yyDollar[1].token, yyDollar[2].node))
			comments.AddComments(yyVAL.node, yyDollar[1].token.Comments())
		}
	case 564:
		yyDollar = yyS[yypt-1 : yypt+1]
		//line php5/php5.y:2002
		{
			yyVAL.list = []node.Node{yyDollar[1].node}
		}
	case 565:
		yyDollar = yyS[yypt-3 : yypt+1]
		//line php5/php5.y:2004
		{
			yyVAL.list = append(yyDollar[1].list, yyDollar[3].node)
		}
	case 566:
		yyDollar = yyS[yypt-1 : yypt+1]
		//line php5/php5.y:2008
		{
			yyVAL.node = yyDollar[1].node
		}
	case 567:
		yyDollar = yyS[yypt-1 : yypt+1]
		//line php5/php5.y:2009
		{
			yyVAL.node = yyDollar[1].node
		}
	case 568:
		yyDollar = yyS[yypt-3 : yypt+1]
		//line php5/php5.y:2014
		{
			target := node.NewIdentifier(yyDollar[3].token.Value)
			positions.AddPosition(target, positionBuilder.NewTokenPosition(yyDollar[3].token))
			yyVAL.node = expr.NewClassConstFetch(yyDollar[1].node, target)
			positions.AddPosition(yyVAL.node, positionBuilder.NewNodeTokenPosition(yyDollar[1].node, yyDollar[3].token))

			comments.AddComments(target, yyDollar[3].token.Comments())
			comments.AddComments(yyVAL.node, comments[yyDollar[1].node])
		}
	case 569:
		yyDollar = yyS[yypt-3 : yypt+1]
		//line php5/php5.y:2024
		{
			target := node.NewIdentifier(yyDollar[3].token.Value)
			positions.AddPosition(target, positionBuilder.NewTokenPosition(yyDollar[3].token))
			yyVAL.node = expr.NewClassConstFetch(yyDollar[1].node, target)
			positions.AddPosition(yyVAL.node, positionBuilder.NewNodeTokenPosition(yyDollar[1].node, yyDollar[3].token))

			comments.AddComments(target, yyDollar[3].token.Comments())
			comments.AddComments(yyVAL.node, comments[yyDollar[1].node])
		}
	case 570:
		yyDollar = yyS[yypt-3 : yypt+1]
		//line php5/php5.y:2037
		{
			target := node.NewIdentifier(yyDollar[3].token.Value)
			positions.AddPosition(target, positionBuilder.NewTokenPosition(yyDollar[3].token))
			yyVAL.node = expr.NewClassConstFetch(yyDollar[1].node, target)
			positions.AddPosition(yyVAL.node, positionBuilder.NewNodeTokenPosition(yyDollar[1].node, yyDollar[3].token))

			comments.AddComments(target, yyDollar[3].token.Comments())
			comments.AddComments(yyVAL.node, comments[yyDollar[1].node])
		}
	case 571:
		yyDollar = yyS[yypt-3 : yypt+1]
		//line php5/php5.y:2050
		{
			target := node.NewIdentifier(yyDollar[3].token.Value)
			positions.AddPosition(target, positionBuilder.NewTokenPosition(yyDollar[3].token))
			yyVAL.node = expr.NewClassConstFetch(yyDollar[1].node, target)
			positions.AddPosition(yyVAL.node, positionBuilder.NewNodeTokenPosition(yyDollar[1].node, yyDollar[3].token))

			comments.AddComments(target, yyDollar[3].token.Comments())
			comments.AddComments(yyVAL.node, comments[yyDollar[1].node])
		}
	}
	goto yystack /* stack new state and value */
}
